/*
 * Pantalla.java
 *
 * Created on 25 de noviembre de 2008, 11:35
 */

package final_risk;

import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.util.Calendar;
import java.util.Observable;
import java.util.Observer;
import java.util.Random;
import javax.swing.JList;
import javax.swing.JOptionPane;
import java.awt.Rectangle;

/**
 *
 * @author  HP_Administrator
 */
public class Pantalla extends javax.swing.JFrame implements Observer {
    private int turno= 0, num_jug= 0, modo_juego= 1, op= 0, asig_com= 2, seleccion= 1;
    private int ancho, alto, ejer_ata= 0, ejer_def= 0, usuario_sele= 0, cartas= 42, sel_carta= 0;
    private int carta1= 0, carta2= 0, carta3= 0, activar= 0, ronda= 1;
    private boolean noasig_carta= false;
    private Random rnd = new Random();    
    private Random rnd_mision = new Random();    
    private Random rnd_comodin1 = new Random();
    private Random rnd_comodin2 = new Random();
    
    private int ocupado[]= new int[42];
    
    private String dir= "/Fondos/";
    private String nom= dir+"Snake.png";
    private String jug_icon= dir+"Jug_Snake.png";
    
    private Territorios origen, destino, info;
    
    private Juego_Principal juego;
    private Jugador jugadores[] = null;
    private Dados dados;
    
    private Ayuda ayuda;
    
    

    /** Creates new form Pantalla */
    public Pantalla(Juego_Principal juego, Jugador jugadores[], Dados dados) {
        initComponents();

                
        //Obtengo la resolucion del monitor.
        this.ancho=(int)(Toolkit.getDefaultToolkit().getScreenSize().width);
        this.alto=(int)(Toolkit.getDefaultToolkit().getScreenSize().height);
                
        //Pasamos los objetos
        this.juego= juego;
        this.jugadores= jugadores;
        this.dados= dados;
        
        this.ayuda= new Ayuda();
        
        //Le asignamos los identificadores a los jugadores
        for (int i= 0; i < 4; i++)
            this.jugadores[i]= new Jugador();
        
        //Inicializamos las tablas de los territorios asignados a los jugadores
        for(int i= 0; i < 42; i++)
            this.ocupado[i]= -1;

                
        //Evita que se pueda mover las columnas de la tabla
        Cartas_Territorios.getTableHeader().setReorderingAllowed(false);
        
        //Oculto los tres tipos de soldado.
        Soldado_Elite.setVisible(false);
        Guerrera.setVisible(false);
        Espartano.setVisible(false);
        
        //Oculto los botones
        Atacar_Ter.setEnabled(false);
        Trasladar_Ejer.setEnabled(false);
        Info_Ter.setEnabled(false);
        Ubicar_Ejer.setEnabled(false);
        Terminar_Turno.setEnabled(false);
    }

    private void Accion(int num_ter) {
        String nom4= "";
        int tablavecino[];
        

        nom4= Icono_Jugador(this.jugadores[turno].getId_jug());
        
            switch (this.op){
                case 1: //Ataca a Territorios vecinos
                        if (this.seleccion == 1) {//Seleccionamos el primer territorio
                          if (Comprobar_Territorio(num_ter) == false){ 
                            if (Check_Esp.isSelected() == true)  
                                Sel_Origen.setText("Territorio Origen seleccionado");
                            else
                                Sel_Origen.setText("Source selected territory");
                            
                            this.origen= this.jugadores[turno].getTerritorioPorId_Terr(num_ter);                            
                            jText_Ori.setText(this.origen.getNombre());
                            if (Check_Esp.isSelected() == true)  
                                Mensaje("Seleccin Territorio Destino",this.jugadores[turno].getNombre_jug()+" selecciona" +
                                        " el territorio destino para atacar.");
                            else
                                Mensaje("Destination selection Territory",this.jugadores[turno].getNombre_jug()+" select the territory to " +
                                        "attack target.");

                            
                            Icon_jug1.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom4)));
                            Nom_jug1.setText(this.jugadores[turno].getNombre_jug());
                            jText_Ter_Atacante.setText(this.origen.getNombre());
                            Ejer_Atacante.setText(this.origen.getEjercitos()+"");
                            Dado1_ata.setVisible(false);
                            Dado2_ata.setVisible(false);
                            Dado3_ata.setVisible(false);
                            this.seleccion++;
                          }  
                        }
                        else{//Comprobar que no se haya pulsado sobre el mismo territorio
                            
                          this.destino= this.jugadores[this.ocupado[num_ter - 1] - 1].getTerritorioPorId_Terr(num_ter);
                          if (this.origen.getIdTerritorio() != this.destino.getIdTerritorio()){ 
                           if (Comprobar_Territorio2(num_ter) == false)   
                            if (this.jugadores[turno].SiVecinos(this.origen,this.destino.getIdTerritorio()) == true){
                             if (Check_Esp.isSelected() == true)                                  
                                Sel_Destino.setText("Territorio Destino seleccionado");
                             else
                                Sel_Destino.setText("Destination selected territory"); 
                                
                                jText_Des.setText(this.destino.getNombre());
                                nom4= Icono_Jugador(this.jugadores[this.ocupado[num_ter - 1] - 1].getId_jug());
                                Icon_jug2.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom4)));
                                Nom_jug2.setText(this.jugadores[this.ocupado[num_ter - 1] - 1].getNombre_jug());
                                jText_Ter_Defensor.setText(this.destino.getNombre());
                                Ejer_Defensor.setText(this.destino.getEjercitos()+"");
                                Dado1_def.setVisible(false);
                                Dado2_def.setVisible(false);
                                
                                if (this.origen.getEjercitos() == 0 || this.origen.getEjercitos() == 1){
                                    Combo_Ejercitos1.addItem("0");
                                    if (Check_Esp.isSelected() == true)
                                        Mensaje("Atacar Territorios",this.jugadores[turno].getNombre_jug()+" debes" +
                                                " tener ms de 2 tropas para poder realizar el ataque.");
                                    else
                                        Mensaje("Attacking Territories",this.jugadores[turno].getNombre_jug()+" must have more than 2 troops " +
                                                "to carry out the attack.");
                                        
                                    this.op= 0;
                                    this.seleccion= 1;
                                    Modo_Seleccionado.setText("");
                                    Sel_Origen.setText("");
                                    jText_Ori.setText("");
                                    Sel_Destino.setText("");
                                    jText_Des.setText("");
                                }    
                                else{
                                        ejer_ata= this.origen.getEjercitos();
                                        ejer_def= this.destino.getEjercitos();
                                        usuario_sele= this.ocupado[num_ter - 1] - 1;
                                    
                                       if (this.destino.getEjercitos() != 0){ 
                                            Ataque1.setSize(800, 500);
                                            Ataque1.setLocation((ancho - 800)/2,(alto - 500)/2);
                                            Ataque1.setVisible(true);
                                       } 
                                       else{ 
                                          if (Check_Esp.isSelected() == true) 
                                            Mensaje("Atacar Territorios",this.jugadores[turno].getNombre_jug()+" el territorio " +
                                                this.destino.getNombre()+ " que se va a atacar, no dispone de ejercito para defenderse.");
                                          else
                                            Mensaje("Attacking Territories",this.jugadores[turno].getNombre_jug()+" the territory " +
                                                this.destino.getNombre()+ " to be attacked, it has no army to defend itself.");
                                              
                                       }     
                                           
                                        
                                        Modo_Seleccionado.setText("");
                                        this.op= 0;
                                        this.seleccion= 1;
                                        Sel_Origen.setText("");
                                        jText_Ori.setText("");
                                        Sel_Destino.setText("");
                                        jText_Des.setText("");
                                }
                            }
                            else{
                                this.seleccion= 2;
                                if (Check_Esp.isSelected() == true) 
                                    Mensaje("Territorio no vecino",this.jugadores[turno].getNombre_jug()+" el territorio " +
                                        this.destino.getNombre()+" no es vecino de "+this.origen.getNombre()+ " seleccione" +
                                        " otro territorio.");
                                else
                                    Mensaje("Non Residents",this.jugadores[turno].getNombre_jug()+" the territory " +
                                        this.destino.getNombre()+" neighbor is not "+this.origen.getNombre()+ " selected" +
                                        " another territory.");
                                    
                            }
                          }
                          else{
                                this.seleccion= 2;
                                if (Check_Esp.isSelected() == true) 
                                    Mensaje("Seleccin del mismo Territorio",this.jugadores[turno].getNombre_jug()+" has pulsado sobre " +
                                       " el mismo territorio. Seleccione otro territorio.");
                                else
                                    Mensaje("Selection of the Territory",this.jugadores[turno].getNombre_jug()+" you have clicked on the same territory. Select another territory.");
                                    
                          }
                        }
                   
                      break;
                case 2: //Traslada Ejercitos entre territorios que son vecinos.
                    if (Comprobar_Territorio(num_ter) == false){
                        if (this.seleccion == 1) {//Seleccionamos el primer territorio
                            if (Check_Esp.isSelected() == true)  
                                Sel_Origen.setText("Territorio Origen seleccionado");
                            else
                                Sel_Origen.setText("Source selected territory");
                                
                            jText_Ori.setText(this.jugadores[turno].getTerritorioPorId_Terr(num_ter).getNombre());
                            this.origen= this.jugadores[turno].getTerritorioPorId_Terr(num_ter);
                            if (Check_Esp.isSelected() == true)
                                Mensaje("Seleccin Territorio Destino",this.jugadores[turno].getNombre_jug()+" selecciona" +
                                        " el territorio destino para trasladar tropas.");
                            else
                                Mensaje("Destination selection Territory",this.jugadores[turno].getNombre_jug()+" select the destination territory to move troops.");

                            this.seleccion++;
                        }
                        else{//Comprobar que no se haya pulsado sobre el mismo territorio
                           this.destino= this.jugadores[turno].getTerritorioPorId_Terr(num_ter);
                           if (this.origen.getIdTerritorio() != this.destino.getIdTerritorio()){ 
                            if (this.jugadores[turno].SiVecinos(this.origen,this.destino.getIdTerritorio()) == true){
                             if (Check_Esp.isSelected() == true)                                  
                                Sel_Destino.setText("Territorio Destino seleccionado");
                             else
                                Sel_Destino.setText("Destination selected territory"); 
                                
                                Jugador_Icon1.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom4)));
                                jText_Des.setText(this.jugadores[turno].getTerritorioPorId_Terr(num_ter).getNombre());
                                Jugador_Nom1.setText(this.jugadores[turno].getNombre_jug());
                                jText_Terri_Ori.setText(this.origen.getNombre());
                                jText_Terri_Des.setText(this.destino.getNombre());
                                jText_Asig1.setText(this.origen.getEjercitos()+"");
                                jText_Asig2.setText(this.destino.getEjercitos()+"");        
                                Combo_Ejercitos1.removeAllItems();
                                if (this.origen.getEjercitos() == 0 || this.origen.getEjercitos() == 1){
                                    Combo_Ejercitos1.addItem("0");
                                    if (Check_Esp.isSelected() == true)
                                        Mensaje("Traslado de Tropas",this.jugadores[turno].getNombre_jug()+" debes" +
                                                " tener ms de 2 tropas para poder realizar el traslado.");
                                    else
                                        Mensaje("Moving Troops",this.jugadores[turno].getNombre_jug()+" must have more than 2 troops to make the move.");
                                        
                                    this.op= 0;
                                    this.seleccion= 1;
                                    Modo_Seleccionado.setText("");
                                    Modo_Seleccionado.setText("");
                                    Sel_Origen.setText("");
                                    jText_Ori.setText("");
                                    Sel_Destino.setText("");
                                    jText_Des.setText("");
                                }    
                                else{
                                    for (int i= 0; i < this.origen.getEjercitos(); i++)
                                        Combo_Ejercitos1.addItem(Integer.toString(i));
                                    
                                    
                                        Trasladar_Ejercito2.setSize(950,400);
                                        Trasladar_Ejercito2.setLocation((ancho - 950)/2,(alto - 400)/2);
                                        Trasladar_Ejercito2.setVisible(true);


                                        this.op= 0;
                                        this.seleccion= 1;
                                        Modo_Seleccionado.setText("");
                                        Sel_Origen.setText("");
                                        jText_Ori.setText("");
                                        Sel_Destino.setText("");
                                        jText_Des.setText("");
                                        
                                        /*Despues de trasladar tropa, desactivamos todos lo botones excepto el 
                                          finalizar turno*/
                                        Atacar_Ter.setEnabled(false);
                                        Info_Ter.setEnabled(false);
                                        if (this.jugadores[turno].NoAsignado() != false){
                                            Ubicar_Ejer.setEnabled(false);
                                            Trasladar_Ejer.setEnabled(false);
                                        }    

                                }
                            }
                            else{
                                this.seleccion= 2;
                                if (Check_Esp.isSelected() == true) 
                                    Mensaje("Territorio no vecino",this.jugadores[turno].getNombre_jug()+" el territorio " +
                                        this.destino.getNombre()+" no es vecino de "+this.origen.getNombre()+ " seleccione" +
                                        " otro territorio.");
                                else
                                    Mensaje("Non Residents",this.jugadores[turno].getNombre_jug()+" the territory " +
                                        this.destino.getNombre()+" neighbor is not "+this.origen.getNombre()+ " selected" +
                                        " another territory.");
                            }
                           }
                           else{
                                this.seleccion= 2;
                                if (Check_Esp.isSelected() == true) 
                                    Mensaje("Seleccin del mismo Territorio",this.jugadores[turno].getNombre_jug()+" has pulsado sobre " +
                                       " el mismo territorio. Seleccione otro territorio.");
                                else
                                    Mensaje("Selection of the Territory",this.jugadores[turno].getNombre_jug()+" you have clicked on the same territory. Select another territory.");
                           }
                        }
                    }
                    break;
                case 3: //Informacion del Territorio Seleccionado
                    if (Comprobar_Territorio(num_ter) == false){
                      jText_JugPer.setText(this.jugadores[turno].getNombre_jug());
                      this.info= this.jugadores[turno].getTerritorioPorId_Terr(num_ter);
                      jTextTer_Sel.setText(this.info.getNombre());
                      jTextContinente.setText(this.info.getContinente());
                      jTextEjer_Asig.setText(this.info.getEjercitos()+"");
                      jTextNum_Vec.setText(this.info.getNVecinos()+"");
                      
                      switch (this.info.getTipo_soldado()){
                          case 1: Carta_soldado.setText("Soldado Elite");break;
                          case 2: Carta_soldado.setText("Guerrera");break;
                          case 3: Carta_soldado.setText("Espartano");break;
                      }
                      
                      tablavecino= new int[this.info.getNVecinos()];
                      tablavecino= this.info.getVecinos();
                      for (int i= 0; i < this.info.getNVecinos(); i++)
                        jTabla_Vecino.setValueAt(this.juego.Nom_Territorio(tablavecino[i]-1), i, 0);
                      
                      
                      Info_Territorio2.setSize(425,400);
                      Info_Territorio2.setLocation((ancho - 425)/2,(alto - 400)/2);
                      Info_Territorio2.setVisible(true);
                      this.op= 0;
                    } 
                    break;
                case 4: //Asignacion de Ejercitos a un Territorio
                    if (Comprobar_Territorio(num_ter) == false){
                      if (this.jugadores[turno].getN_ejercitos() == 0){
                          if (Check_Esp.isSelected() == true)
                            Mensaje("Falta Ejercitos","No dispones de ejercitos para asignar.");
                          else
                            Mensaje("Missing Armies","no army to assign.");                              
                      }        
                      else{
                        Jugador_Icon.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom4)));
                        Jugador_Nom.setText(this.jugadores[turno].getNombre_jug());
                        this.origen= this.jugadores[turno].getTerritorioPorId_Terr(num_ter);
                        jText_Terri.setText(this.origen.getNombre());
                        jText_Asig.setText(this.origen.getEjercitos()+"");
                        jText_Disp.setText(this.jugadores[turno].getN_ejercitos()+"");
                        Combo_Ejercitos.setSelectedIndex(0);
                        Ubicar_Ejercitos2.setSize(400, 350);
                        Ubicar_Ejercitos2.setLocation((ancho - 400)/2,(alto - 350)/2);
                        Ubicar_Ejercitos2.setVisible(true);
                      } 
                      this.op= 0;
                    }  
                    break;
            }
    }

    private void Actualizar(int num_ter, int usuario, Territorios ter) {
        String prop= "";
        
        switch (usuario){
            case 1: nom= dir+"Snake.png"; prop= "Propiedad de "+this.jugadores[0].getNombre_jug();break;
            case 2: nom= dir+"Meryl.png"; prop= "Propiedad de "+this.jugadores[1].getNombre_jug();break;
            case 3: nom= dir+"Raiden.png"; prop= "Propiedad de "+this.jugadores[2].getNombre_jug();break;
            case 4: nom= dir+"Mantis.png"; prop= "Propiedad de "+this.jugadores[3].getNombre_jug();break;
        }

        switch(num_ter)
        {
            case 1:  Ejer_1.setText(ter.getEjercitos()+""); //Alaska
                     Marca_1.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_1.setToolTipText(prop);break;
            case 2:  Ejer_2.setText(ter.getEjercitos()+""); //Alberta
                     Marca_2.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_2.setToolTipText(prop);break;
            case 3:  Ejer_3.setText(ter.getEjercitos()+""); //America Central
                     Marca_3.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_3.setToolTipText(prop);break;
            case 4:  Ejer_4.setText(ter.getEjercitos()+""); //Estados Unidos del Este
                     Marca_4.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_4.setToolTipText(prop);break;
            case 5:  Ejer_5.setText(ter.getEjercitos()+""); //Groenlandia
                     Marca_5.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_5.setToolTipText(prop);break;
            case 6:  Ejer_6.setText(ter.getEjercitos()+""); //Territorios del Noroeste
                     Marca_6.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_6.setToolTipText(prop);break;
            case 7:  Ejer_7.setText(ter.getEjercitos()+""); //Ontario
                     Marca_7.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_7.setToolTipText(prop);break;
            case 8:  Ejer_8.setText(ter.getEjercitos()+""); //Quebec
                     Marca_8.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_8.setToolTipText(prop);break;
            case 9:  Ejer_9.setText(ter.getEjercitos()+""); //Estados Unidos del Oeste
                     Marca_9.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_9.setToolTipText(prop);break;
            case 10:  Ejer_10.setText(ter.getEjercitos()+""); //Argentina
                     Marca_10.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_10.setToolTipText(prop);break;
            case 11:  Ejer_11.setText(ter.getEjercitos()+""); //Brasil
                     Marca_11.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_11.setToolTipText(prop);break;
            case 12:  Ejer_12.setText(ter.getEjercitos()+""); //Peru
                     Marca_12.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_12.setToolTipText(prop);break;
            case 13:  Ejer_13.setText(ter.getEjercitos()+""); //Venezuela
                     Marca_13.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_13.setToolTipText(prop);break;
            case 14:  Ejer_14.setText(ter.getEjercitos()+""); //Congo
                     Marca_14.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_14.setToolTipText(prop);break;
            case 15:  Ejer_15.setText(ter.getEjercitos()+""); //Africa Oriental
                     Marca_15.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_15.setToolTipText(prop);break;
            case 16:  Ejer_16.setText(ter.getEjercitos()+""); //Egipto
                     Marca_16.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_16.setToolTipText(prop);break;
            case 17:  Ejer_17.setText(ter.getEjercitos()+""); //Madagascar
                     Marca_17.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_17.setToolTipText(prop);break;
            case 18:  Ejer_18.setText(ter.getEjercitos()+""); //Africa del Norte
                     Marca_18.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_18.setToolTipText(prop);break;
            case 19:  Ejer_19.setText(ter.getEjercitos()+""); //Sudafrica
                     Marca_19.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_19.setToolTipText(prop);break;
            case 20:  Ejer_20.setText(ter.getEjercitos()+""); //Afghanistan
                     Marca_20.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_20.setToolTipText(prop);break;
            case 21:  Ejer_21.setText(ter.getEjercitos()+""); //China
                     Marca_21.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_21.setToolTipText(prop);break;
            case 22:  Ejer_22.setText(ter.getEjercitos()+""); //India
                     Marca_22.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_22.setToolTipText(prop);break;
            case 23:  Ejer_23.setText(ter.getEjercitos()+""); //Irkutsk
                     Marca_23.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_23.setToolTipText(prop);break;
            case 24:  Ejer_24.setText(ter.getEjercitos()+""); //Japon
                     Marca_24.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_24.setToolTipText(prop);break;
            case 25:  Ejer_25.setText(ter.getEjercitos()+""); //Kamchatka
                     Marca_25.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_25.setToolTipText(prop);break;
            case 26:  Ejer_26.setText(ter.getEjercitos()+""); //Oriente Medio
                     Marca_26.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_26.setToolTipText(prop);break;
            case 27:  Ejer_27.setText(ter.getEjercitos()+""); //Gran Bretaa
                     Marca_27.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_27.setToolTipText(prop);break;
            case 28:  Ejer_28.setText(ter.getEjercitos()+""); //Iceland
                     Marca_28.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_28.setToolTipText(prop);break;
            case 29:  Ejer_29.setText(ter.getEjercitos()+""); //Europa del Norte
                     Marca_29.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_29.setToolTipText(prop);break;
            case 30:  Ejer_30.setText(ter.getEjercitos()+""); //Escandinavia
                     Marca_30.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_30.setToolTipText(prop);break;
            case 31:  Ejer_31.setText(ter.getEjercitos()+""); //Europa del Sur
                     Marca_31.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_31.setToolTipText(prop);break;
            case 32:  Ejer_32.setText(ter.getEjercitos()+""); //Ucrania
                     Marca_32.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_32.setToolTipText(prop);break;
            case 33:  Ejer_33.setText(ter.getEjercitos()+""); //Europa Occidental
                     Marca_33.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_33.setToolTipText(prop);break;
            case 34:  Ejer_34.setText(ter.getEjercitos()+""); //Mongolia
                     Marca_34.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_34.setToolTipText(prop);break;
            case 35:  Ejer_35.setText(ter.getEjercitos()+""); //Siam
                     Marca_35.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_35.setToolTipText(prop);break;
            case 36:  Ejer_36.setText(ter.getEjercitos()+""); //Siberia
                     Marca_36.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_36.setToolTipText(prop);break;
            case 37:  Ejer_37.setText(ter.getEjercitos()+""); //Ural
                     Marca_37.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_37.setToolTipText(prop);break;
            case 38:  Ejer_38.setText(ter.getEjercitos()+""); //Yakutsk
                     Marca_38.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_38.setToolTipText(prop);break;
            case 39:  Ejer_39.setText(ter.getEjercitos()+""); //Australia Oriental
                     Marca_39.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_39.setToolTipText(prop);break;
            case 40:  Ejer_40.setText(ter.getEjercitos()+""); //Indonesia
                     Marca_40.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_40.setToolTipText(prop);break;
            case 41:  Ejer_41.setText(ter.getEjercitos()+""); //Nueva Guinea
                     Marca_41.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_41.setToolTipText(prop);break;
            case 42:  Ejer_42.setText(ter.getEjercitos()+""); //Australia Occidental
                     Marca_42.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom)));
                     Marca_42.setToolTipText(prop);break;
            
        }        
    }

    private void Asignar_Territorio(int num_jug) {
        int i= 0, valor= 0, z= 0;
        String nom2= "";
        Territorios nuevo;
        
        /*Activamos los paneles
        Panel_Tablero.setVisible(true);
        Panel_Botones.setVisible(true);                */
        
        switch (num_jug){
            case 2: //Para dos jugadores
                    while (i < 21){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[0].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[0].getId_jug());
                            this.jugadores[0].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio(),this.jugadores[0].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 42){
                        if (this.ocupado[i] == -1){
                            this.ocupado[i]= this.jugadores[1].getId_jug();
                            nuevo= this.juego.getTerritorio(i);
                            nuevo.setPropietario(this.jugadores[1].getId_jug());
                            this.jugadores[1].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*i+1*/,this.jugadores[1].getId_jug(),nuevo);
                        }
                        i++;
                    }
                    this.jugadores[0].setN_ejercitos(30);
                    this.jugadores[1].setN_ejercitos(30);        
                    break;
            case 3: //Para 3 jugadores
                    while (i < 14){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[0].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[0].getId_jug());
                            this.jugadores[0].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[0].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 14){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[1].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[1].getId_jug());
                            this.jugadores[1].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[1].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 42){
                        if (this.ocupado[i] == -1){
                            this.ocupado[i]= this.jugadores[2].getId_jug();
                            nuevo= this.juego.getTerritorio(i);
                            nuevo.setPropietario(this.jugadores[2].getId_jug());
                            this.jugadores[2].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*i+1*/,this.jugadores[2].getId_jug(),nuevo);
                        }
                        i++;
                    }
                    this.jugadores[0].setN_ejercitos(25);
                    this.jugadores[1].setN_ejercitos(25);
                    this.jugadores[2].setN_ejercitos(25);
                    break;
            case 4: //Para 4 jugadores
                    while (i < 11){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[0].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[0].getId_jug());
                            this.jugadores[0].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[0].getId_jug(),nuevo);
                            i++;
                        }
                    }
                    
                    i= 0;
                    while (i < 11){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[1].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[1].getId_jug());
                            this.jugadores[1].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[1].getId_jug(),nuevo);
                            i++;
                        }
                    }

                    i= 0;
                    while (i < 10){
                        valor= rnd.nextInt(42);
                        if (this.ocupado[valor] == -1){
                            this.ocupado[valor]= this.jugadores[2].getId_jug();
                            nuevo= this.juego.getTerritorio(valor);
                            nuevo.setPropietario(this.jugadores[2].getId_jug());
                            this.jugadores[2].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*valor+1*/,this.jugadores[2].getId_jug(),nuevo);
                            i++;
                        }
                    }

                    i= 0;
                    while (i < 42){
                        if (this.ocupado[i] == -1){
                            this.ocupado[i]= this.jugadores[3].getId_jug();
                            nuevo= this.juego.getTerritorio(i);
                            nuevo.setPropietario(this.jugadores[3].getId_jug());
                            this.jugadores[3].AddTerritorios(nuevo);
                            Actualizar(nuevo.getIdTerritorio()/*i+1*/,this.jugadores[3].getId_jug(),nuevo);
                        }
                        i++;
                    }
                    this.jugadores[0].setN_ejercitos(20);
                    this.jugadores[1].setN_ejercitos(20);
                    this.jugadores[2].setN_ejercitos(20);
                    this.jugadores[3].setN_ejercitos(20);
                    break;
        }
        
        fondo2.setVisible(false);
        
        i= 0;
        switch (this.modo_juego){
            case 2:
                    while (i < this.num_jug){
                        z= 0;
                        valor= this.rnd_mision.nextInt(6);
                        while (z < this.num_jug){
                            if ((valor+1) == this.jugadores[z].getNum_mision()){
                                valor= this.rnd_mision.nextInt(6);
                                z= -1;
                            }
                            z++;
                        }    
                        this.jugadores[i].setNum_mision(this.juego.getMision(valor).getNum_mision());
                        this.jugadores[i].setMision(this.juego.getMision(valor));
                        i++;
                    }
                    
                    break;
            
            case 3: 
                    while (i < this.num_jug){
                        this.turno= i;
                        switch (i){
                            case 0: nom2= dir+"Jug_Snake_2.png"; break;
                            case 1: nom2= dir+"Jug_Meryl_2.png"; break;
                            case 2: nom2= dir+"Jug_Raiden_2.png"; break;
                            case 3: nom2= dir+"Jug_Mantis_2.png"; break;
                        }
                        
                        Jugador.setText(this.jugadores[i].getNombre_jug()+"");
                        Jugador_icon.setIcon(new javax.swing.ImageIcon(getClass().getResource(nom2)));

                        for (int j= 0; j < this.jugadores[i].getnumTerritorios(); j++){
                            nuevo= this.jugadores[i].getTerritorios_One(j);
                            Combo_Territorio.addItem(nuevo.getNombre());
                        }
                        this.turno= i;
                        Selecionar_Capital.setSize(410, 300);
                        Selecionar_Capital.setLocation((ancho - 410)/2,(alto - 300)/2);
                        Selecionar_Capital.setVisible(true);
                        Combo_Territorio.removeAllItems();    
                        i++;
                    }
                    break;
        }

    }

    //Comprueba que el territorio seleccionado pertenece al usuario.
    private boolean Comprobar_Territorio(int num_ter) {
        
        if (this.jugadores[turno].getId_jug() != (this.ocupado[num_ter - 1])){
            if (Check_Esp.isSelected() == true)
                Mensaje("Territorio de otro jugador","El territorio "+this.juego.Nom_Territorio(num_ter - 1)+
                        " pertenece a otro jugador. Seleccione otro territorio que sea de su" +
                        " propiedad.");
            else
                Mensaje("Territory of another player","The territory "+this.juego.Nom_Territorio(num_ter - 1)+
                        " belongs to another player. Select another territory that is his property.");
                
            //this.op= 0;
            return true;
        }
        else
            return false;
    }

    private boolean Comprobar_Territorio2(int num_ter) {
        
        if (this.jugadores[turno].getId_jug() == (this.ocupado[num_ter - 1])){
            if (Check_Esp.isSelected() == true)
                Mensaje("Territorio del mismo jugador","El territorio "+this.juego.Nom_Territorio(num_ter - 1)+
                        " pertenece al mismo jugador. Seleccione otro territorio.");
            else
                Mensaje("Territory of the same player","The territory "+this.juego.Nom_Territorio(num_ter - 1)+
                        " belongs to the same player. Select another territory.");
                
            //this.op= 0;
            return true;
        }
        else
            return false;
    }

    private String Icono_Jugador(int id_jug) {
        String nom5="";
        switch (id_jug){
            case 1: nom5= dir+"Jug_Snake_2.png";break;
            case 2: nom5= dir+"Jug_Meryl_2.png";break;
            case 3: nom5= dir+"Jug_Raiden_2.png";break;
            case 4: nom5= dir+"Jug_Mantis_2.png";break;
        }
        return nom5;
    }

    private void Inicializar() {

       this.juego.setNum_jugadores(this.num_jug= 0);
       this.juego.setModo_juego(this.modo_juego= 0);  
       this.ronda= 1;
        
        for(int i= 0; i < 42; i++){
            this.ocupado[i]= -1;
            this.juego.getTerritorio(i).Inicializar();
            this.Actualizar(i+1, 0, this.juego.getTerritorio(i));
            Seleccionado(this.juego.getTerritorio(i).getIdTerritorio(),0);
        }   
        
        this.juego.Inicializar();
        
        for (int i= 0; i < 4; i++)
            this.jugadores[i].Inicializar();

    Nom_jug.setText("");
    jLabel_Ronda.setText("");
    Text_EjerSinAsig.setText("0");
    Text_EjerAsig.setText("0");
    Text_TerriOcu.setText("0");
    Modo_JuegoSel.setText("");
    Modo_Seleccionado.setText("");
    Jug_1.setIcon(new javax.swing.ImageIcon(getClass().getResource(dir+"Jug_Snake.png")));
    }

    private void Limpiar_Tabla() {

        for (int i= 0; i < Cartas_Territorios.getRowCount(); i++){
            Cartas_Territorios.setValueAt("", i, 0);
            Cartas_Territorios.setValueAt("", i, 1);
            Cartas_Territorios.setValueAt("", i, 2);
            Cartas_Territorios.setValueAt("", i, 3);
            Cartas_Territorios.setValueAt("", i, 4);
        }
        
    }

    private void Mensaje(String titulo, String tema) {
        
        Mensaje.setTitle(titulo);
        
        if (Check_Esp.isSelected() == true)
            jTextArea1.setText("Al jugador:  "+tema);
        else
            jTextArea1.setText("The player:  "+tema);
        
        if (Aviso.isSelected() != true){
            Habilitar_Mensaje.setSelected(false);
            Mensaje.setSize(400, 275);
            Mensaje.setLocation((ancho - 400)/2,(alto - 275)/2);
            Mensaje.setVisible(true);
        }
    }

    private void Pulsado(String name) {
        int num_ter= 0;
        
        num_ter= Integer.parseInt(name);
        
        switch (this.op){
            case 0: 
                if (Check_Esp.isSelected() == true)
                    Mensaje("Pulsar Opciones","Pulse en los botones " +
                        "(Atacar, Trasladar, Informacin o Ubicar Territorios) para realizar" +
                        " las operaciones.");
                else
                    Mensaje("Press Options","Click on the buttons (Attack, Move, or locate information Territories) " +
                            "to perform operations.");
                    
                break;
            case 1: Accion(num_ter);break;
            case 2: Accion(num_ter);break;
            case 3: Accion(num_ter);break;               
            case 4: Accion(num_ter);break;           
        }
    }

    private void Rellenar_Tabla() {
        ActionEvent evt = null;
        
        Limpiar_Tabla();
        
        jLabel64.setText(this.juego.getRonda_carta()+"");
        
        if (this.jugadores[turno].getComodin1() == true)
            Comodin1.setEnabled(true);
        else
            Comodin1.setEnabled(false);
        
        if (this.jugadores[turno].getComodin2() == true)
            Comodin2.setEnabled(true);
        else
            Comodin2.setEnabled(false);        
        
        if (CheckBox_Todo.isSelected() == true)
            CheckBox_TodoActionPerformed(evt);
        else
            if (CheckBox_Canjeadas.isSelected() == true)
                CheckBox_CanjeadasActionPerformed(evt);
            else
                CheckBox_NocanjeadaActionPerformed(evt);
                
    }


    private void Seleccionado(int idTerritorio, int borde) {
        switch(idTerritorio)
        {
            case 1:  //Alaska
                     Marca_1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 2:  //Alberta
                     Marca_2.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 3:  //America Central
                     Marca_3.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 4:  //Estados Unidos del Este
                     Marca_4.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 5:  //Groenlandia
                     Marca_5.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 6:  //Territorios del Noroeste
                     Marca_6.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 7:  //Ontario
                     Marca_7.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 8:  //Quebec
                     Marca_8.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 9:  //Estados Unidos del Oeste
                     Marca_9.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 10:  //Argentina
                     Marca_10.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 11:  //Brasil
                     Marca_11.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 12:  //Peru
                     Marca_12.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 13:  //Venezuela
                     Marca_13.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 14:  //Congo
                     Marca_14.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 15:  //Africa Oriental
                     Marca_15.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 16:  ; //Egipto
                     Marca_16.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 17:  //Madagascar
                     Marca_17.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 18:  //Africa del Norte
                     Marca_18.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 19:  //Sudafrica
                     Marca_19.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 20:  //Afghanistan
                     Marca_20.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 21:  //China
                     Marca_21.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 22:  //India
                     Marca_22.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 23:  //Irkutsk
                     Marca_23.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 24:  //Japon
                     Marca_24.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 25:  //Kamchatka
                     Marca_25.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 26:  //Oriente Medio
                     Marca_26.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 27:  //Gran Bretaa
                     Marca_27.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), borde, false));break;
            case 28:  //Iceland
                     Marca_28.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), borde, false));break;
            case 29:  //Europa del Norte
                     Marca_29.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), borde, false));break;
            case 30:  //Escandinavia
                     Marca_30.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), borde, false));break;
            case 31:  //Europa del Sur
                     Marca_31.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), borde, false));break;
            case 32:  //Ucrania
                     Marca_32.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), borde, false));break;
            case 33:  //Europa Occidental
                     Marca_33.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), borde, false));break;
            case 34:  //Mongolia
                     Marca_34.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 35:  //Siam
                     Marca_35.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 36:  //Siberia
                     Marca_36.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 37:  //Ural
                     Marca_37.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 38:  //Yakutsk
                     Marca_38.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 39:  //Australia Oriental
                     Marca_39.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 40:  //Indonesia
                     Marca_40.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 41:  //Nueva Guinea
                     Marca_41.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
            case 42:  //Australia Occidental
                     Marca_42.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 255), borde, false));break;
        }        
    }





    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        Ataque = new javax.swing.JDialog();
        jLabel1 = new javax.swing.JLabel();
        Ini_Ataque = new javax.swing.JButton();
        Can_Ataque = new javax.swing.JButton();
        Ataque1 = new javax.swing.JDialog();
        jLayeredPane2 = new javax.swing.JLayeredPane();
        Icon_jug1 = new javax.swing.JLabel();
        Icon_jug2 = new javax.swing.JLabel();
        Nom_jug1 = new javax.swing.JLabel();
        Nom_jug2 = new javax.swing.JLabel();
        jLabel43 = new javax.swing.JLabel();
        jLabel42 = new javax.swing.JLabel();
        jText_Ter_Atacante = new javax.swing.JTextField();
        jText_Ter_Defensor = new javax.swing.JTextField();
        jLabel45 = new javax.swing.JLabel();
        jLabel44 = new javax.swing.JLabel();
        Ejer_Defensor = new javax.swing.JLabel();
        Ejer_Atacante = new javax.swing.JLabel();
        jComboBox_Dados = new javax.swing.JComboBox();
        jLabel48 = new javax.swing.JLabel();
        Atacar = new javax.swing.JButton();
        Cancelar_ataque = new javax.swing.JButton();
        jLabel49 = new javax.swing.JLabel();
        jLabel50 = new javax.swing.JLabel();
        Dado1_ata = new javax.swing.JLabel();
        Dado2_ata = new javax.swing.JLabel();
        Dado3_ata = new javax.swing.JLabel();
        Dado1_def = new javax.swing.JLabel();
        Dado2_def = new javax.swing.JLabel();
        jSeparator8 = new javax.swing.JSeparator();
        Ubicar_Ejercito = new javax.swing.JDialog();
        jLabel2 = new javax.swing.JLabel();
        Ini_Sele = new javax.swing.JButton();
        Can_Sele = new javax.swing.JButton();
        Ubicar_Ejercitos2 = new javax.swing.JDialog();
        Jugador_Icon = new javax.swing.JLabel();
        Jugador_Nom = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jText_Terri = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jText_Asig = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        Combo_Ejercitos = new javax.swing.JComboBox();
        Ub_Ok = new javax.swing.JButton();
        Ub_Can = new javax.swing.JButton();
        jLabel16 = new javax.swing.JLabel();
        jText_Disp = new javax.swing.JTextField();
        Trasladar_Ejercito = new javax.swing.JDialog();
        jLabel3 = new javax.swing.JLabel();
        Ini_Traslado = new javax.swing.JButton();
        Can_Traslado = new javax.swing.JButton();
        Trasladar_Ejercito2 = new javax.swing.JDialog();
        Jugador_Icon1 = new javax.swing.JLabel();
        Jugador_Nom1 = new javax.swing.JLabel();
        jLabel35 = new javax.swing.JLabel();
        jText_Terri_Ori = new javax.swing.JTextField();
        jText_Terri_Des = new javax.swing.JTextField();
        jLabel36 = new javax.swing.JLabel();
        jText_Asig1 = new javax.swing.JTextField();
        jLabel37 = new javax.swing.JLabel();
        Combo_Ejercitos1 = new javax.swing.JComboBox();
        Ub_Ok1 = new javax.swing.JButton();
        Ub_Can1 = new javax.swing.JButton();
        jSeparator7 = new javax.swing.JSeparator();
        jLabel38 = new javax.swing.JLabel();
        jLabel39 = new javax.swing.JLabel();
        jText_Asig2 = new javax.swing.JTextField();
        Grupo_boton = new javax.swing.ButtonGroup();
        Info_Territorio = new javax.swing.JDialog();
        jLabel4 = new javax.swing.JLabel();
        Sel_Territorio = new javax.swing.JButton();
        Can_seleccion = new javax.swing.JButton();
        Info_Territorio2 = new javax.swing.JDialog();
        jLabel18 = new javax.swing.JLabel();
        jText_JugPer = new javax.swing.JTextField();
        jTextTer_Sel = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jTextContinente = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        jTextEjer_Asig = new javax.swing.JTextField();
        jLabel22 = new javax.swing.JLabel();
        OK_Info2 = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTabla_Vecino = new javax.swing.JTable();
        jTextNum_Vec = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        Carta_soldado = new javax.swing.JTextField();
        Nueva_Part = new javax.swing.JDialog();
        jPanel1 = new javax.swing.JPanel();
        Modo_1 = new javax.swing.JCheckBox();
        Modo_2 = new javax.swing.JCheckBox();
        Modo_3 = new javax.swing.JCheckBox();
        Ronda_juego = new javax.swing.JLabel();
        jComboBox_Ronda = new javax.swing.JComboBox();
        jPanel2 = new javax.swing.JPanel();
        jCheckBox1 = new javax.swing.JCheckBox();
        jCheckBox2 = new javax.swing.JCheckBox();
        jCheckBox3 = new javax.swing.JCheckBox();
        jText_Jug_1 = new javax.swing.JTextField();
        jText_Jug_2 = new javax.swing.JTextField();
        jText_Jug_3 = new javax.swing.JTextField();
        jText_Jug_4 = new javax.swing.JTextField();
        Icon_Jug1 = new javax.swing.JLabel();
        Icon_Jug2 = new javax.swing.JLabel();
        Icon_Jug3 = new javax.swing.JLabel();
        Icon_Jug4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        Aceptar_partida = new javax.swing.JButton();
        Cancelar_partida = new javax.swing.JButton();
        Grupo_modoJue = new javax.swing.ButtonGroup();
        Grupo_Jugadores = new javax.swing.ButtonGroup();
        Mision_Secreta = new javax.swing.JDialog();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        Text_Comp_Obj2 = new javax.swing.JTextField();
        Text_Comp_Obj1 = new javax.swing.JTextField();
        Text_Objetivo2 = new javax.swing.JTextField();
        Text_Objetivo1 = new javax.swing.JTextField();
        Text_Objetivos = new javax.swing.JTextField();
        Text_NumMision = new javax.swing.JTextField();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        Text_NumTerritorio1 = new javax.swing.JTextField();
        Text_NumTerritorio2 = new javax.swing.JTextField();
        Boton_mision_Ok = new javax.swing.JButton();
        Selecionar_Capital = new javax.swing.JDialog();
        jLabel9 = new javax.swing.JLabel();
        Combo_Territorio = new javax.swing.JComboBox();
        Jugador = new javax.swing.JLabel();
        Jugador_icon = new javax.swing.JLabel();
        Aceptar_capital = new javax.swing.JButton();
        Mensaje = new javax.swing.JDialog();
        Scroll_Mensaje = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        Boton_Ok = new javax.swing.JButton();
        Aviso = new javax.swing.JCheckBox();
        Filtros = new javax.swing.ButtonGroup();
        Estadistica = new javax.swing.JDialog();
        jLabel65 = new javax.swing.JLabel();
        jLabel66 = new javax.swing.JLabel();
        jLabel67 = new javax.swing.JLabel();
        jLabel68 = new javax.swing.JLabel();
        jLabel69 = new javax.swing.JLabel();
        jScrollPane3 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jButton1 = new javax.swing.JButton();
        Panel_Tablero = new javax.swing.JTabbedPane();
        jLayered_Tablero = new javax.swing.JLayeredPane();
        fondo2 = new javax.swing.JLabel();
        Ejer_1 = new javax.swing.JLabel();
        Ejer_2 = new javax.swing.JLabel();
        Ejer_3 = new javax.swing.JLabel();
        Ejer_4 = new javax.swing.JLabel();
        Ejer_5 = new javax.swing.JLabel();
        Ejer_6 = new javax.swing.JLabel();
        Ejer_7 = new javax.swing.JLabel();
        Ejer_8 = new javax.swing.JLabel();
        Ejer_9 = new javax.swing.JLabel();
        Ejer_10 = new javax.swing.JLabel();
        Ejer_11 = new javax.swing.JLabel();
        Ejer_12 = new javax.swing.JLabel();
        Ejer_13 = new javax.swing.JLabel();
        Ejer_14 = new javax.swing.JLabel();
        Ejer_15 = new javax.swing.JLabel();
        Ejer_16 = new javax.swing.JLabel();
        Ejer_17 = new javax.swing.JLabel();
        Ejer_18 = new javax.swing.JLabel();
        Ejer_19 = new javax.swing.JLabel();
        Ejer_20 = new javax.swing.JLabel();
        Ejer_21 = new javax.swing.JLabel();
        Ejer_22 = new javax.swing.JLabel();
        Ejer_23 = new javax.swing.JLabel();
        Ejer_24 = new javax.swing.JLabel();
        Ejer_25 = new javax.swing.JLabel();
        Ejer_26 = new javax.swing.JLabel();
        Ejer_27 = new javax.swing.JLabel();
        Ejer_28 = new javax.swing.JLabel();
        Ejer_29 = new javax.swing.JLabel();
        Ejer_30 = new javax.swing.JLabel();
        Ejer_31 = new javax.swing.JLabel();
        Ejer_32 = new javax.swing.JLabel();
        Ejer_33 = new javax.swing.JLabel();
        Ejer_34 = new javax.swing.JLabel();
        Ejer_35 = new javax.swing.JLabel();
        Ejer_36 = new javax.swing.JLabel();
        Ejer_37 = new javax.swing.JLabel();
        Ejer_38 = new javax.swing.JLabel();
        Ejer_39 = new javax.swing.JLabel();
        Ejer_40 = new javax.swing.JLabel();
        Ejer_41 = new javax.swing.JLabel();
        Ejer_42 = new javax.swing.JLabel();
        Marca_1 = new javax.swing.JLabel();
        Marca_2 = new javax.swing.JLabel();
        Marca_3 = new javax.swing.JLabel();
        Marca_4 = new javax.swing.JLabel();
        Marca_5 = new javax.swing.JLabel();
        Marca_6 = new javax.swing.JLabel();
        Marca_7 = new javax.swing.JLabel();
        Marca_8 = new javax.swing.JLabel();
        Marca_9 = new javax.swing.JLabel();
        Marca_10 = new javax.swing.JLabel();
        Marca_11 = new javax.swing.JLabel();
        Marca_12 = new javax.swing.JLabel();
        Marca_13 = new javax.swing.JLabel();
        Marca_14 = new javax.swing.JLabel();
        Marca_15 = new javax.swing.JLabel();
        Marca_16 = new javax.swing.JLabel();
        Marca_17 = new javax.swing.JLabel();
        Marca_18 = new javax.swing.JLabel();
        Marca_19 = new javax.swing.JLabel();
        Marca_20 = new javax.swing.JLabel();
        Marca_21 = new javax.swing.JLabel();
        Marca_22 = new javax.swing.JLabel();
        Marca_23 = new javax.swing.JLabel();
        Marca_24 = new javax.swing.JLabel();
        Marca_25 = new javax.swing.JLabel();
        Marca_26 = new javax.swing.JLabel();
        Marca_27 = new javax.swing.JLabel();
        Marca_28 = new javax.swing.JLabel();
        Marca_29 = new javax.swing.JLabel();
        Marca_30 = new javax.swing.JLabel();
        Marca_31 = new javax.swing.JLabel();
        Marca_32 = new javax.swing.JLabel();
        Marca_33 = new javax.swing.JLabel();
        Marca_34 = new javax.swing.JLabel();
        Marca_35 = new javax.swing.JLabel();
        Marca_36 = new javax.swing.JLabel();
        Marca_37 = new javax.swing.JLabel();
        Marca_38 = new javax.swing.JLabel();
        Marca_39 = new javax.swing.JLabel();
        Marca_40 = new javax.swing.JLabel();
        Marca_41 = new javax.swing.JLabel();
        Marca_42 = new javax.swing.JLabel();
        Nom_jug = new javax.swing.JLabel();
        Jug_1 = new javax.swing.JLabel();
        Modo_JuegoSel = new javax.swing.JLabel();
        Territorio_def = new javax.swing.JLabel();
        Modo_Seleccionado = new javax.swing.JLabel();
        fondo = new javax.swing.JLabel();
        jPanel_Cartas = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        Cartas_Territorios = new javax.swing.JTable();
        jLayeredPane1 = new javax.swing.JLayeredPane();
        jLabel60 = new javax.swing.JLabel();
        Guerrera = new javax.swing.JLabel();
        Soldado_Elite = new javax.swing.JLabel();
        Espartano = new javax.swing.JLabel();
        jSeparator5 = new javax.swing.JSeparator();
        jSeparator6 = new javax.swing.JSeparator();
        jLabel61 = new javax.swing.JLabel();
        jLabel62 = new javax.swing.JLabel();
        Panel_Opciones = new javax.swing.JPanel();
        Canjear_cartas = new javax.swing.JButton();
        Comodin1 = new javax.swing.JButton();
        Comodin2 = new javax.swing.JButton();
        Cancelar_Seleccion = new javax.swing.JButton();
        Panel_Filtros = new javax.swing.JPanel();
        CheckBox_Todo = new javax.swing.JCheckBox();
        CheckBox_Canjeadas = new javax.swing.JCheckBox();
        CheckBox_Nocanjeada = new javax.swing.JCheckBox();
        jPanel4 = new javax.swing.JPanel();
        jLabel24 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel40 = new javax.swing.JLabel();
        jSeparator9 = new javax.swing.JSeparator();
        jLabel41 = new javax.swing.JLabel();
        jLabel46 = new javax.swing.JLabel();
        jLabel47 = new javax.swing.JLabel();
        jLabel51 = new javax.swing.JLabel();
        jLabel52 = new javax.swing.JLabel();
        jSeparator10 = new javax.swing.JSeparator();
        jLabel53 = new javax.swing.JLabel();
        jLabel54 = new javax.swing.JLabel();
        jLabel55 = new javax.swing.JLabel();
        jSeparator11 = new javax.swing.JSeparator();
        jLabel56 = new javax.swing.JLabel();
        jLabel58 = new javax.swing.JLabel();
        jLabel57 = new javax.swing.JLabel();
        jLabel59 = new javax.swing.JLabel();
        jPanel5 = new javax.swing.JPanel();
        jLabel63 = new javax.swing.JLabel();
        jLabel64 = new javax.swing.JLabel();
        Panel_Botones = new javax.swing.JLayeredPane();
        Text_EjerSinAsig = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        Text_TerriOcu = new javax.swing.JTextField();
        Text_EjerAsig = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jSeparator3 = new javax.swing.JSeparator();
        Atacar_Ter = new javax.swing.JButton();
        Info_Ter = new javax.swing.JButton();
        Trasladar_Ejer = new javax.swing.JButton();
        Ubicar_Ejer = new javax.swing.JButton();
        Mision_Sec = new javax.swing.JButton();
        Terminar_Turno = new javax.swing.JButton();
        jSeparator4 = new javax.swing.JSeparator();
        Cancelar_Operacion = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        Sel_Origen = new javax.swing.JLabel();
        Sel_Destino = new javax.swing.JLabel();
        jText_Ori = new javax.swing.JTextField();
        jText_Des = new javax.swing.JTextField();
        jLabel_Ronda = new javax.swing.JLabel();
        Menu_Principal = new javax.swing.JMenuBar();
        Menu_Jugar = new javax.swing.JMenu();
        Item_Nueva_Partida = new javax.swing.JMenuItem();
        Item_Continuar = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JSeparator();
        Item_Guardar = new javax.swing.JMenuItem();
        jSeparator2 = new javax.swing.JSeparator();
        jMenuItem1 = new javax.swing.JMenuItem();
        jSeparator12 = new javax.swing.JSeparator();
        Item_Salir = new javax.swing.JMenuItem();
        Menu_Idioma = new javax.swing.JMenu();
        Idiomas = new javax.swing.JMenu();
        Check_Esp = new javax.swing.JCheckBoxMenuItem();
        Check_Ing = new javax.swing.JCheckBoxMenuItem();
        Habilitar_Mensaje = new javax.swing.JCheckBoxMenuItem();
        Menu_Ayuda = new javax.swing.JMenu();
        Ayuda = new javax.swing.JMenuItem();

        Ataque.setTitle("Modo de Ataque");
        Ataque.setMinimumSize(new java.awt.Dimension(375, 150));
        Ataque.setModal(true);
        Ataque.setResizable(false);

        jLabel1.setText("Seleccione el territorio de origen y destino para iniciar ataque");

        Ini_Ataque.setText("Iniciar Ataque");
        Ini_Ataque.setMaximumSize(new java.awt.Dimension(130, 23));
        Ini_Ataque.setMinimumSize(new java.awt.Dimension(130, 23));
        Ini_Ataque.setPreferredSize(new java.awt.Dimension(130, 23));
        Ini_Ataque.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ini_AtaqueActionPerformed(evt);
            }
        });

        Can_Ataque.setText("Cancelar Ataque");
        Can_Ataque.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_Ataque.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_Ataque.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_Ataque.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_AtaqueActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout AtaqueLayout = new javax.swing.GroupLayout(Ataque.getContentPane());
        Ataque.getContentPane().setLayout(AtaqueLayout);
        AtaqueLayout.setHorizontalGroup(
            AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(AtaqueLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(AtaqueLayout.createSequentialGroup()
                        .addComponent(Ini_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(Can_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jLabel1))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        AtaqueLayout.setVerticalGroup(
            AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(AtaqueLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel1)
                .addGap(30, 30, 30)
                .addGroup(AtaqueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ini_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Can_Ataque, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Ataque1.setTitle("Modo de Ataque");
        Ataque1.setModal(true);
        Ataque1.setResizable(false);

        Icon_jug1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Icon_jug1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N
        Icon_jug1.setBounds(50, 10, 130, 110);
        jLayeredPane2.add(Icon_jug1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Icon_jug2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Icon_jug2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N
        Icon_jug2.setBounds(560, 10, 130, 110);
        jLayeredPane2.add(Icon_jug2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Nom_jug1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Nom_jug1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Nom_jug1.setBounds(10, 120, 206, 20);
        jLayeredPane2.add(Nom_jug1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Nom_jug2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Nom_jug2.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Nom_jug2.setBounds(530, 120, 206, 20);
        jLayeredPane2.add(Nom_jug2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel43.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel43.setText("Territorio Atacado");
        jLabel43.setBounds(600, 170, 110, 14);
        jLayeredPane2.add(jLabel43, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel42.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel42.setText("Territorio Atacante");
        jLabel42.setBounds(40, 170, 110, 14);
        jLayeredPane2.add(jLabel42, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jText_Ter_Atacante.setEditable(false);
        jText_Ter_Atacante.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Ter_Atacante.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Ter_Atacante.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Ter_Atacante.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Ter_Atacante.setPreferredSize(new java.awt.Dimension(206, 20));
        jText_Ter_Atacante.setBounds(10, 210, 206, 20);
        jLayeredPane2.add(jText_Ter_Atacante, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jText_Ter_Defensor.setEditable(false);
        jText_Ter_Defensor.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Ter_Defensor.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Ter_Defensor.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Ter_Defensor.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Ter_Defensor.setPreferredSize(new java.awt.Dimension(206, 20));
        jText_Ter_Defensor.setBounds(550, 210, 206, 20);
        jLayeredPane2.add(jText_Ter_Defensor, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel45.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel45.setText("Nmero de Ejercitos");
        jLabel45.setBounds(550, 240, 206, 14);
        jLayeredPane2.add(jLabel45, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel44.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel44.setText("Nmero de Ejercitos");
        jLabel44.setBounds(10, 240, 206, 14);
        jLayeredPane2.add(jLabel44, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_Defensor.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_Defensor.setText("0");
        Ejer_Defensor.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Ejer_Defensor.setBounds(640, 270, 30, 30);
        jLayeredPane2.add(Ejer_Defensor, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_Atacante.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_Atacante.setText("0");
        Ejer_Atacante.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Ejer_Atacante.setBounds(100, 270, 30, 30);
        jLayeredPane2.add(Ejer_Atacante, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jComboBox_Dados.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "0", "1", "2", "3" }));
        jComboBox_Dados.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBox_DadosActionPerformed(evt);
            }
        });
        jComboBox_Dados.setBounds(350, 320, 90, 20);
        jLayeredPane2.add(jComboBox_Dados, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel48.setText("Nmero de dado de Ataque a usar:");
        jLabel48.setBounds(140, 326, 210, 14);
        jLayeredPane2.add(jLabel48, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Atacar.setText("Atacar");
        Atacar.setEnabled(false);
        Atacar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AtacarActionPerformed(evt);
            }
        });
        Atacar.setBounds(110, 380, 100, 23);
        jLayeredPane2.add(Atacar, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Cancelar_ataque.setText("Cancelar Ataque");
        Cancelar_ataque.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Cancelar_ataqueActionPerformed(evt);
            }
        });
        Cancelar_ataque.setBounds(533, 380, 150, 23);
        jLayeredPane2.add(Cancelar_ataque, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel49.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel49.setText("Dados de Ataque");
        jLabel49.setBounds(230, 170, 100, 14);
        jLayeredPane2.add(jLabel49, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel50.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel50.setText("Dados Defensivos");
        jLabel50.setBounds(400, 170, 140, 14);
        jLayeredPane2.add(jLabel50, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Dado1_ata.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Dado1_ata.setText("0");
        Dado1_ata.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Dado1_ata.setBounds(270, 200, 30, 20);
        jLayeredPane2.add(Dado1_ata, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Dado2_ata.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Dado2_ata.setText("0");
        Dado2_ata.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Dado2_ata.setBounds(270, 230, 30, 20);
        jLayeredPane2.add(Dado2_ata, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Dado3_ata.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Dado3_ata.setText("0");
        Dado3_ata.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Dado3_ata.setBounds(270, 260, 30, 20);
        jLayeredPane2.add(Dado3_ata, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Dado1_def.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Dado1_def.setText("0");
        Dado1_def.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Dado1_def.setBounds(480, 200, 30, 20);
        jLayeredPane2.add(Dado1_def, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Dado2_def.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Dado2_def.setText("0");
        Dado2_def.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Dado2_def.setBounds(480, 230, 30, 20);
        jLayeredPane2.add(Dado2_def, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator8.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator8.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jSeparator8.setBounds(230, 160, 300, 140);
        jLayeredPane2.add(jSeparator8, javax.swing.JLayeredPane.DEFAULT_LAYER);

        javax.swing.GroupLayout Ataque1Layout = new javax.swing.GroupLayout(Ataque1.getContentPane());
        Ataque1.getContentPane().setLayout(Ataque1Layout);
        Ataque1Layout.setHorizontalGroup(
            Ataque1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLayeredPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 767, Short.MAX_VALUE)
        );
        Ataque1Layout.setVerticalGroup(
            Ataque1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLayeredPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 449, Short.MAX_VALUE)
        );

        Ubicar_Ejercito.setTitle("Seleccionar Territorio");
        Ubicar_Ejercito.setMinimumSize(new java.awt.Dimension(375, 150));
        Ubicar_Ejercito.setModal(true);
        Ubicar_Ejercito.setResizable(false);

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("Seleccione su territorio para ubicar ejercitos");

        Ini_Sele.setText("Iniciar Seleccin");
        Ini_Sele.setMaximumSize(new java.awt.Dimension(130, 23));
        Ini_Sele.setMinimumSize(new java.awt.Dimension(130, 23));
        Ini_Sele.setPreferredSize(new java.awt.Dimension(130, 23));
        Ini_Sele.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ini_SeleActionPerformed(evt);
            }
        });

        Can_Sele.setText("Cancelar");
        Can_Sele.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_Sele.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_Sele.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_Sele.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_SeleActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Ubicar_EjercitoLayout = new javax.swing.GroupLayout(Ubicar_Ejercito.getContentPane());
        Ubicar_Ejercito.getContentPane().setLayout(Ubicar_EjercitoLayout);
        Ubicar_EjercitoLayout.setHorizontalGroup(
            Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_EjercitoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, 293, Short.MAX_VALUE)
                    .addGroup(Ubicar_EjercitoLayout.createSequentialGroup()
                        .addComponent(Ini_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 33, Short.MAX_VALUE)
                        .addComponent(Can_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        Ubicar_EjercitoLayout.setVerticalGroup(
            Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_EjercitoLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel2)
                .addGap(30, 30, 30)
                .addGroup(Ubicar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ini_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Can_Sele, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Ubicar_Ejercitos2.setTitle("Asignacin de Ejercitos");
        Ubicar_Ejercitos2.setModal(true);
        Ubicar_Ejercitos2.setResizable(false);

        Jugador_Icon.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N

        Jugador_Nom.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Jugador_Nom.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Jugador_Nom.setMaximumSize(new java.awt.Dimension(189, 20));
        Jugador_Nom.setMinimumSize(new java.awt.Dimension(189, 20));
        Jugador_Nom.setPreferredSize(new java.awt.Dimension(189, 20));

        jLabel13.setText("Territorio Seleccionado:");

        jText_Terri.setEditable(false);
        jText_Terri.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Terri.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Terri.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Terri.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Terri.setPreferredSize(new java.awt.Dimension(206, 20));

        jLabel14.setText("Ejercitos Asignados:");

        jText_Asig.setEditable(false);
        jText_Asig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Asig.setText("0");
        jText_Asig.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Asig.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Asig.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Asig.setPreferredSize(new java.awt.Dimension(206, 20));

        jLabel15.setText("Ejercitos a Asignar:");

        Combo_Ejercitos.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "Asignacin Automatica" }));
        Combo_Ejercitos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Combo_EjercitosActionPerformed(evt);
            }
        });

        Ub_Ok.setText("Ok");
        Ub_Ok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ub_OkActionPerformed(evt);
            }
        });

        Ub_Can.setText("Cancelar");
        Ub_Can.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ub_CanActionPerformed(evt);
            }
        });

        jLabel16.setText("Ejercitos Disponibles:");

        jText_Disp.setEditable(false);
        jText_Disp.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Disp.setText("0");
        jText_Disp.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Disp.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Disp.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Disp.setPreferredSize(new java.awt.Dimension(206, 20));

        javax.swing.GroupLayout Ubicar_Ejercitos2Layout = new javax.swing.GroupLayout(Ubicar_Ejercitos2.getContentPane());
        Ubicar_Ejercitos2.getContentPane().setLayout(Ubicar_Ejercitos2Layout);
        Ubicar_Ejercitos2Layout.setHorizontalGroup(
            Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addComponent(Jugador_Icon)
                        .addGap(18, 18, 18)
                        .addComponent(Jugador_Nom, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addGap(19, 19, 19)
                        .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(Ub_Can)
                            .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                                        .addComponent(jLabel13)
                                        .addGap(6, 6, 6)
                                        .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addComponent(jText_Terri, javax.swing.GroupLayout.PREFERRED_SIZE, 206, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jText_Asig, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(Combo_Ejercitos, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 206, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                                        .addComponent(jLabel16)
                                        .addGap(18, 18, 18)
                                        .addComponent(jText_Disp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                        .addComponent(Ub_Ok, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(jLabel15)
                                        .addComponent(jLabel14)))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))))
                .addContainerGap(56, Short.MAX_VALUE))
        );
        Ubicar_Ejercitos2Layout.setVerticalGroup(
            Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(Jugador_Icon))
                    .addGroup(Ubicar_Ejercitos2Layout.createSequentialGroup()
                        .addGap(50, 50, 50)
                        .addComponent(Jugador_Nom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(37, 37, 37)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Terri, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel13))
                .addGap(9, 9, 9)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Disp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel16))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Asig, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel14))
                .addGap(8, 8, 8)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel15)
                    .addComponent(Combo_Ejercitos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(Ubicar_Ejercitos2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ub_Can)
                    .addComponent(Ub_Ok))
                .addContainerGap(40, Short.MAX_VALUE))
        );

        Trasladar_Ejercito.setTitle("Trasladar Ejercitos");
        Trasladar_Ejercito.setMinimumSize(new java.awt.Dimension(400, 150));
        Trasladar_Ejercito.setModal(true);
        Trasladar_Ejercito.setResizable(false);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel3.setText("Seleccione el territorio de origen y destino para trasladar ejercitos");

        Ini_Traslado.setText("Iniciar Traslado");
        Ini_Traslado.setMaximumSize(new java.awt.Dimension(130, 23));
        Ini_Traslado.setMinimumSize(new java.awt.Dimension(130, 23));
        Ini_Traslado.setPreferredSize(new java.awt.Dimension(130, 23));
        Ini_Traslado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ini_TrasladoActionPerformed(evt);
            }
        });

        Can_Traslado.setText("Cancelar");
        Can_Traslado.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_Traslado.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_Traslado.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_Traslado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_TrasladoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Trasladar_EjercitoLayout = new javax.swing.GroupLayout(Trasladar_Ejercito.getContentPane());
        Trasladar_Ejercito.getContentPane().setLayout(Trasladar_EjercitoLayout);
        Trasladar_EjercitoLayout.setHorizontalGroup(
            Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Trasladar_EjercitoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(Trasladar_EjercitoLayout.createSequentialGroup()
                        .addComponent(Ini_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 56, Short.MAX_VALUE)
                        .addComponent(Can_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        Trasladar_EjercitoLayout.setVerticalGroup(
            Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Trasladar_EjercitoLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel3)
                .addGap(30, 30, 30)
                .addGroup(Trasladar_EjercitoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ini_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Can_Traslado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Trasladar_Ejercito2.setTitle("Traslado de Ejercitos");
        Trasladar_Ejercito2.setModal(true);
        Trasladar_Ejercito2.setResizable(false);

        Jugador_Icon1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N

        Jugador_Nom1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Jugador_Nom1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Jugador_Nom1.setMaximumSize(new java.awt.Dimension(189, 20));
        Jugador_Nom1.setMinimumSize(new java.awt.Dimension(189, 20));
        Jugador_Nom1.setPreferredSize(new java.awt.Dimension(189, 20));

        jLabel35.setText("Territorio Origen Seleccionado:");

        jText_Terri_Ori.setEditable(false);
        jText_Terri_Ori.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Terri_Ori.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Terri_Ori.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Terri_Ori.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Terri_Ori.setPreferredSize(new java.awt.Dimension(206, 20));

        jText_Terri_Des.setEditable(false);
        jText_Terri_Des.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Terri_Des.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Terri_Des.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Terri_Des.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Terri_Des.setPreferredSize(new java.awt.Dimension(206, 20));

        jLabel36.setText("Ejercitos Asignados:");

        jText_Asig1.setEditable(false);
        jText_Asig1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Asig1.setText("0");
        jText_Asig1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Asig1.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Asig1.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Asig1.setPreferredSize(new java.awt.Dimension(206, 20));

        jLabel37.setText("Ejercitos a Enviar:");

        Ub_Ok1.setText("Ok");
        Ub_Ok1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ub_Ok1ActionPerformed(evt);
            }
        });

        Ub_Can1.setText("Cancelar");
        Ub_Can1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ub_Can1ActionPerformed(evt);
            }
        });

        jSeparator7.setOrientation(javax.swing.SwingConstants.VERTICAL);

        jLabel38.setText("Territorio Destino Seleccionado:");

        jLabel39.setText("Ejercitos Asignados:");

        jText_Asig2.setEditable(false);
        jText_Asig2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Asig2.setText("0");
        jText_Asig2.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jText_Asig2.setMaximumSize(new java.awt.Dimension(206, 20));
        jText_Asig2.setMinimumSize(new java.awt.Dimension(206, 20));
        jText_Asig2.setPreferredSize(new java.awt.Dimension(206, 20));

        javax.swing.GroupLayout Trasladar_Ejercito2Layout = new javax.swing.GroupLayout(Trasladar_Ejercito2.getContentPane());
        Trasladar_Ejercito2.getContentPane().setLayout(Trasladar_Ejercito2Layout);
        Trasladar_Ejercito2Layout.setHorizontalGroup(
            Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                .addGap(29, 29, 29)
                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addComponent(jLabel36, javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                            .addGap(160, 160, 160)
                            .addComponent(Ub_Ok1, javax.swing.GroupLayout.PREFERRED_SIZE, 65, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGap(131, 131, 131)))
                    .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                        .addComponent(jLabel35)
                        .addGap(6, 6, 6)
                        .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                                .addComponent(Jugador_Icon1)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(Jugador_Nom1, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jText_Terri_Ori, javax.swing.GroupLayout.PREFERRED_SIZE, 206, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jText_Asig1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 39, Short.MAX_VALUE)
                                .addComponent(jSeparator7, javax.swing.GroupLayout.PREFERRED_SIZE, 24, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addGap(18, 18, 18)
                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel38)
                    .addComponent(jLabel39))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jText_Asig2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jText_Terri_Des, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(50, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Trasladar_Ejercito2Layout.createSequentialGroup()
                .addContainerGap(546, Short.MAX_VALUE)
                .addComponent(Ub_Can1)
                .addGap(261, 261, 261))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Trasladar_Ejercito2Layout.createSequentialGroup()
                .addContainerGap(216, Short.MAX_VALUE)
                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel37, javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                        .addGap(150, 150, 150)
                        .addComponent(Combo_Ejercitos1, javax.swing.GroupLayout.PREFERRED_SIZE, 206, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(310, 310, 310))
        );
        Trasladar_Ejercito2Layout.setVerticalGroup(
            Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                        .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(Jugador_Icon1)
                            .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                                .addGap(39, 39, 39)
                                .addComponent(Jugador_Nom1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(46, 46, 46)
                        .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Trasladar_Ejercito2Layout.createSequentialGroup()
                                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jText_Terri_Ori, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabel35))
                                .addGap(18, 18, 18)
                                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel36)
                                    .addComponent(jText_Asig1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(18, 18, 18))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Trasladar_Ejercito2Layout.createSequentialGroup()
                                .addComponent(jSeparator7, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(16, 16, 16))))
                    .addGroup(Trasladar_Ejercito2Layout.createSequentialGroup()
                        .addGap(155, 155, 155)
                        .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel38)
                            .addComponent(jText_Terri_Des, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel39)
                            .addComponent(jText_Asig2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel37)
                    .addComponent(Combo_Ejercitos1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(Trasladar_Ejercito2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ub_Ok1)
                    .addComponent(Ub_Can1))
                .addContainerGap(40, Short.MAX_VALUE))
        );

        Info_Territorio.setTitle("Informacin del Territorio");
        Info_Territorio.setMinimumSize(new java.awt.Dimension(400, 150));
        Info_Territorio.setModal(true);
        Info_Territorio.setResizable(false);

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel4.setText("Seleccione el territorio para mostrar su informacin");

        Sel_Territorio.setText("Seleccionar Territorio");
        Sel_Territorio.setMaximumSize(new java.awt.Dimension(130, 23));
        Sel_Territorio.setMinimumSize(new java.awt.Dimension(130, 23));
        Sel_Territorio.setPreferredSize(new java.awt.Dimension(130, 23));
        Sel_Territorio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Sel_TerritorioActionPerformed(evt);
            }
        });

        Can_seleccion.setText("Cancelar");
        Can_seleccion.setMaximumSize(new java.awt.Dimension(130, 23));
        Can_seleccion.setMinimumSize(new java.awt.Dimension(130, 23));
        Can_seleccion.setPreferredSize(new java.awt.Dimension(130, 23));
        Can_seleccion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Can_seleccionActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Info_TerritorioLayout = new javax.swing.GroupLayout(Info_Territorio.getContentPane());
        Info_Territorio.getContentPane().setLayout(Info_TerritorioLayout);
        Info_TerritorioLayout.setHorizontalGroup(
            Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_TerritorioLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel4, javax.swing.GroupLayout.DEFAULT_SIZE, 316, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Info_TerritorioLayout.createSequentialGroup()
                        .addComponent(Sel_Territorio, javax.swing.GroupLayout.DEFAULT_SIZE, 168, Short.MAX_VALUE)
                        .addGap(18, 18, 18)
                        .addComponent(Can_seleccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        Info_TerritorioLayout.setVerticalGroup(
            Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_TerritorioLayout.createSequentialGroup()
                .addGap(28, 28, 28)
                .addComponent(jLabel4)
                .addGap(30, 30, 30)
                .addGroup(Info_TerritorioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Can_seleccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Sel_Territorio, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        Info_Territorio2.setTitle("Informacin del territorio");
        Info_Territorio2.setModal(true);
        Info_Territorio2.setResizable(false);

        jLabel18.setText("Territorio Seleccionado:");

        jText_JugPer.setEditable(false);
        jText_JugPer.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_JugPer.setMaximumSize(new java.awt.Dimension(200, 20));
        jText_JugPer.setMinimumSize(new java.awt.Dimension(200, 20));
        jText_JugPer.setPreferredSize(new java.awt.Dimension(200, 20));

        jTextTer_Sel.setEditable(false);
        jTextTer_Sel.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextTer_Sel.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextTer_Sel.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextTer_Sel.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel19.setText("Territorio al que pertenece:");

        jLabel20.setText("Contienente al que pertenece:");

        jTextContinente.setEditable(false);
        jTextContinente.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextContinente.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextContinente.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextContinente.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel21.setText("N de Ejercitos Asignados:");

        jTextEjer_Asig.setEditable(false);
        jTextEjer_Asig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextEjer_Asig.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextEjer_Asig.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextEjer_Asig.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel22.setText("Territorios vecinos:");

        OK_Info2.setText("Ok");
        OK_Info2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                OK_Info2ActionPerformed(evt);
            }
        });

        jTabla_Vecino.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null},
                {null},
                {null},
                {null},
                {null},
                {null}
            },
            new String [] {
                "Territorio Vecinos"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane2.setViewportView(jTabla_Vecino);

        jTextNum_Vec.setEditable(false);
        jTextNum_Vec.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextNum_Vec.setMaximumSize(new java.awt.Dimension(200, 20));
        jTextNum_Vec.setMinimumSize(new java.awt.Dimension(200, 20));
        jTextNum_Vec.setPreferredSize(new java.awt.Dimension(200, 20));

        jLabel25.setText("Carta Soldado del Territorio:");

        Carta_soldado.setEditable(false);
        Carta_soldado.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Carta_soldado.setMaximumSize(new java.awt.Dimension(200, 20));
        Carta_soldado.setMinimumSize(new java.awt.Dimension(200, 20));
        Carta_soldado.setPreferredSize(new java.awt.Dimension(200, 20));

        javax.swing.GroupLayout Info_Territorio2Layout = new javax.swing.GroupLayout(Info_Territorio2.getContentPane());
        Info_Territorio2.getContentPane().setLayout(Info_Territorio2Layout);
        Info_Territorio2Layout.setHorizontalGroup(
            Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_Territorio2Layout.createSequentialGroup()
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Info_Territorio2Layout.createSequentialGroup()
                        .addGap(162, 162, 162)
                        .addComponent(OK_Info2, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(Info_Territorio2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel25)
                            .addComponent(jLabel22)
                            .addComponent(jLabel20)
                            .addComponent(jLabel21)
                            .addComponent(jLabel19)
                            .addComponent(jLabel18))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextNum_Vec, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(Info_Territorio2Layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                        .addComponent(jTextEjer_Asig, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(Carta_soldado, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                        .addComponent(jText_JugPer, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jTextTer_Sel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addComponent(jTextContinente, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))))
                    .addGroup(Info_Territorio2Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 383, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(32, 32, 32))
        );
        Info_Territorio2Layout.setVerticalGroup(
            Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Info_Territorio2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel19)
                    .addComponent(jText_JugPer, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel18)
                    .addComponent(jTextTer_Sel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel20)
                    .addComponent(jTextContinente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(9, 9, 9)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel21)
                    .addComponent(jTextEjer_Asig, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel25)
                    .addComponent(Carta_soldado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(Info_Territorio2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel22)
                    .addComponent(jTextNum_Vec, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(OK_Info2)
                .addContainerGap())
        );

        Nueva_Part.setTitle("Nueva Partida");
        Nueva_Part.setModal(true);
        Nueva_Part.setResizable(false);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Seleccionar el modo de juego", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        Grupo_modoJue.add(Modo_1);
        Modo_1.setSelected(true);
        Modo_1.setText("Conquista el mundo");
        Modo_1.setToolTipText("Conquista todos los territorios y ganaras");

        Grupo_modoJue.add(Modo_2);
        Modo_2.setText("Misin Secreta");
        Modo_2.setToolTipText("Completa la misin y ganaras");

        Grupo_modoJue.add(Modo_3);
        Modo_3.setText("Defiende tu territorio");
        Modo_3.setToolTipText("Acaba con tus oponentes y ganaras");

        Ronda_juego.setText("Nmero de Ronda:");

        jComboBox_Ronda.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "10", "20", "40", "50", "Ilimitada" }));

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(Ronda_juego)
                    .addComponent(Modo_1))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(Modo_2)
                        .addGap(18, 18, 18)
                        .addComponent(Modo_3))
                    .addComponent(jComboBox_Ronda, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Modo_1)
                    .addComponent(Modo_2)
                    .addComponent(Modo_3))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Ronda_juego)
                    .addComponent(jComboBox_Ronda, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(23, Short.MAX_VALUE))
        );

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Seleccionar el modo de juego", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        Grupo_Jugadores.add(jCheckBox1);
        jCheckBox1.setSelected(true);
        jCheckBox1.setText("2 Jugadores");
        jCheckBox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox1ActionPerformed(evt);
            }
        });

        Grupo_Jugadores.add(jCheckBox2);
        jCheckBox2.setText("3 Jugadores");
        jCheckBox2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox2ActionPerformed(evt);
            }
        });

        Grupo_Jugadores.add(jCheckBox3);
        jCheckBox3.setText("4 Jugadores");
        jCheckBox3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBox3ActionPerformed(evt);
            }
        });

        jText_Jug_1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_1.setText("Jugador 1");
        jText_Jug_1.setSelectionEnd(10);

        jText_Jug_2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_2.setText("Jugador 2");

        jText_Jug_3.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_3.setText("Jugador 3");
        jText_Jug_3.setEnabled(false);

        jText_Jug_4.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Jug_4.setText("Jugador 4");
        jText_Jug_4.setEnabled(false);

        Icon_Jug1.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        Icon_Jug1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N

        Icon_Jug2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Meryl_2.png"))); // NOI18N

        Icon_Jug3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Raiden_2.png"))); // NOI18N

        Icon_Jug4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Mantis_2.png"))); // NOI18N

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel5.setText("Jugador 1");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel6.setText("Jugador 2");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel7.setText("Jugador 3");
        jLabel7.setEnabled(false);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel8.setText("Jugador 4");
        jLabel8.setEnabled(false);

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jText_Jug_4)
                    .addComponent(jText_Jug_2)
                    .addComponent(jText_Jug_3)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jCheckBox1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCheckBox2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCheckBox3))
                    .addComponent(jText_Jug_1))
                .addGap(49, 49, 49)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addComponent(Icon_Jug3))
                    .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                        .addComponent(jLabel7, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel5, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(Icon_Jug1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel2Layout.createSequentialGroup()
                        .addGap(8, 8, 8)
                        .addComponent(jLabel8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addComponent(Icon_Jug4, javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 94, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(Icon_Jug2))))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(23, 23, 23)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(Icon_Jug2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel6)
                        .addGap(12, 12, 12)
                        .addComponent(Icon_Jug4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel8))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jCheckBox1)
                                    .addComponent(jCheckBox2)
                                    .addComponent(jCheckBox3))
                                .addGap(31, 31, 31)
                                .addComponent(jText_Jug_1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addComponent(Icon_Jug1)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel5)
                                    .addComponent(jText_Jug_2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGap(39, 39, 39)
                                .addComponent(jText_Jug_3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jText_Jug_4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGap(12, 12, 12)
                                .addComponent(Icon_Jug3)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel7)))
                .addContainerGap(34, Short.MAX_VALUE))
        );

        Aceptar_partida.setText("Aceptar");
        Aceptar_partida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Aceptar_partidaActionPerformed(evt);
            }
        });

        Cancelar_partida.setText("Cancelar");
        Cancelar_partida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Cancelar_partidaActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Nueva_PartLayout = new javax.swing.GroupLayout(Nueva_Part.getContentPane());
        Nueva_Part.getContentPane().setLayout(Nueva_PartLayout);
        Nueva_PartLayout.setHorizontalGroup(
            Nueva_PartLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Nueva_PartLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(Nueva_PartLayout.createSequentialGroup()
                .addGap(67, 67, 67)
                .addComponent(Aceptar_partida)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 286, Short.MAX_VALUE)
                .addComponent(Cancelar_partida)
                .addGap(70, 70, 70))
            .addGroup(Nueva_PartLayout.createSequentialGroup()
                .addGap(82, 82, 82)
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(82, Short.MAX_VALUE))
        );
        Nueva_PartLayout.setVerticalGroup(
            Nueva_PartLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Nueva_PartLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(Nueva_PartLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Aceptar_partida)
                    .addComponent(Cancelar_partida))
                .addContainerGap(84, Short.MAX_VALUE))
        );

        Mision_Secreta.setTitle("Estado de la Misin");
        Mision_Secreta.setForeground(java.awt.Color.white);
        Mision_Secreta.setMinimumSize(new java.awt.Dimension(500, 300));
        Mision_Secreta.setModal(true);
        Mision_Secreta.setResizable(false);

        jLabel27.setText("Objetivo de la misin:");

        jLabel28.setText("Misin nmero:");

        jLabel29.setText("Objetivo 1:");

        jLabel30.setText("Objetivo 2:");

        jLabel31.setText("Territorio conquistado del objetivo 1:");

        jLabel32.setText("Territorio conquistado del objetivo 2:");

        Text_Comp_Obj2.setEditable(false);
        Text_Comp_Obj2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_Comp_Obj2.setText("0");

        Text_Comp_Obj1.setEditable(false);
        Text_Comp_Obj1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_Comp_Obj1.setText("0");

        Text_Objetivo2.setEditable(false);
        Text_Objetivo2.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        Text_Objetivo1.setEditable(false);
        Text_Objetivo1.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        Text_Objetivos.setEditable(false);
        Text_Objetivos.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        Text_NumMision.setEditable(false);
        Text_NumMision.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel33.setText("de");

        jLabel34.setText("de");

        Text_NumTerritorio1.setEditable(false);
        Text_NumTerritorio1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_NumTerritorio1.setText("0");

        Text_NumTerritorio2.setEditable(false);
        Text_NumTerritorio2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_NumTerritorio2.setText("0");

        Boton_mision_Ok.setText("Ok");
        Boton_mision_Ok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Boton_mision_OkActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Mision_SecretaLayout = new javax.swing.GroupLayout(Mision_Secreta.getContentPane());
        Mision_Secreta.getContentPane().setLayout(Mision_SecretaLayout);
        Mision_SecretaLayout.setHorizontalGroup(
            Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(Mision_SecretaLayout.createSequentialGroup()
                        .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel31)
                            .addComponent(jLabel30)
                            .addComponent(jLabel29)
                            .addComponent(jLabel27)
                            .addComponent(jLabel28))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                                .addComponent(Text_Comp_Obj1, javax.swing.GroupLayout.DEFAULT_SIZE, 32, Short.MAX_VALUE)
                                .addGap(18, 18, 18)
                                .addComponent(jLabel33)
                                .addGap(18, 18, 18)
                                .addComponent(Text_NumTerritorio1, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(130, 130, 130))
                            .addComponent(Text_Objetivos, javax.swing.GroupLayout.DEFAULT_SIZE, 227, Short.MAX_VALUE)
                            .addComponent(Text_Objetivo1)
                            .addComponent(Text_Objetivo2)
                            .addComponent(Text_NumMision, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Mision_SecretaLayout.createSequentialGroup()
                        .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(Boton_mision_Ok)
                            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                                .addComponent(jLabel32)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(Text_Comp_Obj2)))
                        .addGap(18, 18, 18)
                        .addComponent(jLabel34)
                        .addGap(18, 18, 18)
                        .addComponent(Text_NumTerritorio2, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(130, 130, 130)))
                .addContainerGap())
        );
        Mision_SecretaLayout.setVerticalGroup(
            Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Mision_SecretaLayout.createSequentialGroup()
                .addGap(51, 51, 51)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel28)
                    .addComponent(Text_NumMision, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel27)
                    .addComponent(Text_Objetivos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel29)
                    .addComponent(Text_Objetivo1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel30)
                    .addComponent(Text_Objetivo2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel31)
                    .addComponent(Text_Comp_Obj1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel33)
                    .addComponent(Text_NumTerritorio1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(Mision_SecretaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel32)
                    .addComponent(Text_Comp_Obj2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel34)
                    .addComponent(Text_NumTerritorio2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(42, 42, 42)
                .addComponent(Boton_mision_Ok)
                .addContainerGap(24, Short.MAX_VALUE))
        );

        Selecionar_Capital.setTitle("Seleccione el Territorio a Defender");
        Selecionar_Capital.setModal(true);
        Selecionar_Capital.setResizable(false);

        jLabel9.setText("Seleccione el territorio a defender");

        Jugador.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Jugador.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Jugador.setPreferredSize(new java.awt.Dimension(172, 20));

        Jugador_icon.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake_2.png"))); // NOI18N

        Aceptar_capital.setText("Ok");
        Aceptar_capital.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Aceptar_capitalActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Selecionar_CapitalLayout = new javax.swing.GroupLayout(Selecionar_Capital.getContentPane());
        Selecionar_Capital.getContentPane().setLayout(Selecionar_CapitalLayout);
        Selecionar_CapitalLayout.setHorizontalGroup(
            Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                .addGroup(Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                        .addGap(111, 111, 111)
                        .addComponent(jLabel9))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Selecionar_CapitalLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(Jugador, javax.swing.GroupLayout.DEFAULT_SIZE, 172, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(Combo_Territorio, javax.swing.GroupLayout.PREFERRED_SIZE, 205, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                        .addGap(157, 157, 157)
                        .addComponent(Jugador_icon)))
                .addContainerGap())
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, Selecionar_CapitalLayout.createSequentialGroup()
                .addContainerGap(171, Short.MAX_VALUE)
                .addComponent(Aceptar_capital, javax.swing.GroupLayout.PREFERRED_SIZE, 62, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(168, 168, 168))
        );
        Selecionar_CapitalLayout.setVerticalGroup(
            Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Selecionar_CapitalLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel9)
                .addGap(18, 18, 18)
                .addComponent(Jugador_icon)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 29, Short.MAX_VALUE)
                .addGroup(Selecionar_CapitalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(Jugador, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Combo_Territorio, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(Aceptar_capital)
                .addGap(67, 67, 67))
        );

        Mensaje.setModal(true);
        Mensaje.setResizable(false);

        jTextArea1.setColumns(20);
        jTextArea1.setEditable(false);
        jTextArea1.setLineWrap(true);
        jTextArea1.setRows(5);
        jTextArea1.setWrapStyleWord(true);
        Scroll_Mensaje.setViewportView(jTextArea1);

        Boton_Ok.setText("Ok");
        Boton_Ok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Boton_OkActionPerformed(evt);
            }
        });

        Aviso.setText("No mostrar ms mensajes de aviso");

        javax.swing.GroupLayout MensajeLayout = new javax.swing.GroupLayout(Mensaje.getContentPane());
        Mensaje.getContentPane().setLayout(MensajeLayout);
        MensajeLayout.setHorizontalGroup(
            MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(MensajeLayout.createSequentialGroup()
                .addGroup(MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(MensajeLayout.createSequentialGroup()
                        .addGap(172, 172, 172)
                        .addComponent(Boton_Ok))
                    .addGroup(MensajeLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(Aviso)
                            .addComponent(Scroll_Mensaje, javax.swing.GroupLayout.DEFAULT_SIZE, 380, Short.MAX_VALUE))))
                .addContainerGap())
        );
        MensajeLayout.setVerticalGroup(
            MensajeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(MensajeLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(Scroll_Mensaje, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(Boton_Ok)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 6, Short.MAX_VALUE)
                .addComponent(Aviso))
        );

        Estadistica.setTitle("Resultado");
        Estadistica.setMinimumSize(new java.awt.Dimension(990, 420));
        Estadistica.setModal(true);

        jLabel65.setText("Resultado de la partida.");

        jLabel66.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel66.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake.png"))); // NOI18N

        jLabel67.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel67.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Meryl.png"))); // NOI18N

        jLabel68.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel68.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Raiden.png"))); // NOI18N
        jLabel68.setEnabled(false);

        jLabel69.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel69.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Mantis.png"))); // NOI18N
        jLabel69.setEnabled(false);

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null, null},
                {null, null, null, null, null, null, null, null}
            },
            new String [] {
                "Jugadores", "Territorios", "N de Cartas", "N de Ejercitos Asignado", "N de Ejercitos Disponibles", "Territorio Cuartel", "Mision", "Estado"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane3.setViewportView(jTable1);

        jButton1.setText("Ok");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout EstadisticaLayout = new javax.swing.GroupLayout(Estadistica.getContentPane());
        Estadistica.getContentPane().setLayout(EstadisticaLayout);
        EstadisticaLayout.setHorizontalGroup(
            EstadisticaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(EstadisticaLayout.createSequentialGroup()
                .addGroup(EstadisticaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, EstadisticaLayout.createSequentialGroup()
                        .addGap(55, 55, 55)
                        .addComponent(jLabel66)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 100, Short.MAX_VALUE)
                        .addComponent(jLabel67)
                        .addGap(139, 139, 139)
                        .addComponent(jLabel68)
                        .addGap(87, 87, 87)
                        .addComponent(jLabel69)
                        .addGap(46, 46, 46))
                    .addGroup(EstadisticaLayout.createSequentialGroup()
                        .addGap(400, 400, 400)
                        .addComponent(jLabel65))
                    .addGroup(EstadisticaLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jScrollPane3, javax.swing.GroupLayout.DEFAULT_SIZE, 963, Short.MAX_VALUE))
                    .addGroup(EstadisticaLayout.createSequentialGroup()
                        .addGap(422, 422, 422)
                        .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 73, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        EstadisticaLayout.setVerticalGroup(
            EstadisticaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(EstadisticaLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(EstadisticaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(EstadisticaLayout.createSequentialGroup()
                        .addComponent(jLabel65)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(EstadisticaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel67)
                            .addComponent(jLabel66)))
                    .addComponent(jLabel69)
                    .addComponent(jLabel68))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 88, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jButton1)
                .addContainerGap(36, Short.MAX_VALUE))
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Juego Risk");
        setBackground(new java.awt.Color(201, 249, 238));
        setMinimumSize(new java.awt.Dimension(1257, 800));
        setResizable(false);

        Panel_Tablero.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        Panel_Tablero.setEnabled(false);
        Panel_Tablero.setMaximumSize(new java.awt.Dimension(1227, 628));
        Panel_Tablero.setMinimumSize(new java.awt.Dimension(1227, 628));
        Panel_Tablero.setOpaque(true);
        Panel_Tablero.setPreferredSize(new java.awt.Dimension(1227, 628));
        Panel_Tablero.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Panel_TableroMouseClicked(evt);
            }
        });

        jLayered_Tablero.setBackground(new java.awt.Color(204, 255, 255));

        fondo2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        fondo2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Risk_Game_Map_2004_Edition.jpg"))); // NOI18N
        fondo2.setBounds(0, 0, 1220, 600);
        jLayered_Tablero.add(fondo2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_1.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_1.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_1.setText("0");
        Ejer_1.setToolTipText("Alaska");
        Ejer_1.setName("1"); // NOI18N
        Ejer_1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_1MouseClicked(evt);
            }
        });
        Ejer_1.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_1MouseMoved(evt);
            }
        });
        Ejer_1.setBounds(90, 40, 30, 30);
        jLayered_Tablero.add(Ejer_1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_2.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_2.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_2.setText("0");
        Ejer_2.setToolTipText("Alberta");
        Ejer_2.setName("2"); // NOI18N
        Ejer_2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_2MouseClicked(evt);
            }
        });
        Ejer_2.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_2MouseMoved(evt);
            }
        });
        Ejer_2.setBounds(110, 90, 30, 20);
        jLayered_Tablero.add(Ejer_2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_3.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_3.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_3.setText("0");
        Ejer_3.setToolTipText("Amrica Central");
        Ejer_3.setName("3"); // NOI18N
        Ejer_3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_3MouseClicked(evt);
            }
        });
        Ejer_3.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Informacion_territorio(evt);
            }
        });
        Ejer_3.setBounds(150, 250, 40, 30);
        jLayered_Tablero.add(Ejer_3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_4.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_4.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_4.setText("0");
        Ejer_4.setToolTipText("Estados Unidos del Este");
        Ejer_4.setMaximumSize(new java.awt.Dimension(18, 17));
        Ejer_4.setMinimumSize(new java.awt.Dimension(18, 17));
        Ejer_4.setName("4"); // NOI18N
        Ejer_4.setPreferredSize(new java.awt.Dimension(18, 17));
        Ejer_4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_4MouseClicked(evt);
            }
        });
        Ejer_4.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_4MouseMoved(evt);
            }
        });
        Ejer_4.setBounds(200, 160, 40, 40);
        jLayered_Tablero.add(Ejer_4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_5.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_5.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_5.setText("0");
        Ejer_5.setToolTipText("Groenlandia");
        Ejer_5.setName("5"); // NOI18N
        Ejer_5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_5MouseClicked(evt);
            }
        });
        Ejer_5.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_5MouseMoved(evt);
            }
        });
        Ejer_5.setBounds(450, 10, 30, 30);
        jLayered_Tablero.add(Ejer_5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_6.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_6.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_6.setText("0");
        Ejer_6.setToolTipText("Territorio del Noroeste");
        Ejer_6.setName("6"); // NOI18N
        Ejer_6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_6MouseClicked(evt);
            }
        });
        Ejer_6.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_6MouseMoved(evt);
            }
        });
        Ejer_6.setBounds(140, 50, 30, 30);
        jLayered_Tablero.add(Ejer_6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_7.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_7.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_7.setText("0");
        Ejer_7.setToolTipText("Ontario");
        Ejer_7.setName("7"); // NOI18N
        Ejer_7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_7MouseClicked(evt);
            }
        });
        Ejer_7.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_7MouseMoved(evt);
            }
        });
        Ejer_7.setBounds(210, 80, 30, 30);
        jLayered_Tablero.add(Ejer_7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_8.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_8.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_8.setText("0");
        Ejer_8.setToolTipText("Quebec");
        Ejer_8.setName("8"); // NOI18N
        Ejer_8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_8MouseClicked(evt);
            }
        });
        Ejer_8.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_8MouseMoved(evt);
            }
        });
        Ejer_8.setBounds(310, 80, 30, 20);
        jLayered_Tablero.add(Ejer_8, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_9.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_9.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_9.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_9.setText("0");
        Ejer_9.setToolTipText("Estados Unidos del Oeste");
        Ejer_9.setName("9"); // NOI18N
        Ejer_9.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_9MouseClicked(evt);
            }
        });
        Ejer_9.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_9MouseMoved(evt);
            }
        });
        Ejer_9.setBounds(100, 160, 40, 30);
        jLayered_Tablero.add(Ejer_9, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_10.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_10.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_10.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_10.setText("0");
        Ejer_10.setToolTipText("Argentina");
        Ejer_10.setName("10"); // NOI18N
        Ejer_10.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_10MouseClicked(evt);
            }
        });
        Ejer_10.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_10MouseMoved(evt);
            }
        });
        Ejer_10.setBounds(280, 460, 30, 30);
        jLayered_Tablero.add(Ejer_10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_11.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_11.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_11.setText("0");
        Ejer_11.setToolTipText("Brasil");
        Ejer_11.setMaximumSize(new java.awt.Dimension(18, 17));
        Ejer_11.setMinimumSize(new java.awt.Dimension(18, 17));
        Ejer_11.setName("11"); // NOI18N
        Ejer_11.setPreferredSize(new java.awt.Dimension(18, 17));
        Ejer_11.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_11MouseClicked(evt);
            }
        });
        Ejer_11.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_11MouseMoved(evt);
            }
        });
        Ejer_11.setBounds(330, 370, 30, 30);
        jLayered_Tablero.add(Ejer_11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_12.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_12.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_12.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_12.setText("0");
        Ejer_12.setToolTipText("Per");
        Ejer_12.setName("12"); // NOI18N
        Ejer_12.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_12MouseClicked(evt);
            }
        });
        Ejer_12.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_12MouseMoved(evt);
            }
        });
        Ejer_12.setBounds(280, 420, 30, 30);
        jLayered_Tablero.add(Ejer_12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_13.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_13.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_13.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_13.setText("0");
        Ejer_13.setToolTipText("Venezuela");
        Ejer_13.setName("13"); // NOI18N
        Ejer_13.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_13MouseClicked(evt);
            }
        });
        Ejer_13.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_13MouseMoved(evt);
            }
        });
        Ejer_13.setBounds(240, 320, 30, 30);
        jLayered_Tablero.add(Ejer_13, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_14.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_14.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_14.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_14.setText("0");
        Ejer_14.setToolTipText("Congo");
        Ejer_14.setName("14"); // NOI18N
        Ejer_14.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_14MouseClicked(evt);
            }
        });
        Ejer_14.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_14MouseMoved(evt);
            }
        });
        Ejer_14.setBounds(600, 340, 30, 30);
        jLayered_Tablero.add(Ejer_14, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_15.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_15.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_15.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_15.setText("0");
        Ejer_15.setToolTipText("frica Oriental");
        Ejer_15.setName("15"); // NOI18N
        Ejer_15.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_15MouseClicked(evt);
            }
        });
        Ejer_15.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_15MouseMoved(evt);
            }
        });
        Ejer_15.setBounds(700, 320, 30, 20);
        jLayered_Tablero.add(Ejer_15, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_16.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_16.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_16.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_16.setText("0");
        Ejer_16.setToolTipText("Egipto");
        Ejer_16.setName("16"); // NOI18N
        Ejer_16.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_16MouseClicked(evt);
            }
        });
        Ejer_16.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_16MouseMoved(evt);
            }
        });
        Ejer_16.setBounds(660, 220, 30, 20);
        jLayered_Tablero.add(Ejer_16, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_17.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_17.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_17.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_17.setText("0");
        Ejer_17.setToolTipText("Madagascar");
        Ejer_17.setName("17"); // NOI18N
        Ejer_17.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_17MouseClicked(evt);
            }
        });
        Ejer_17.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_17MouseMoved(evt);
            }
        });
        Ejer_17.setBounds(730, 460, 30, 20);
        jLayered_Tablero.add(Ejer_17, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_18.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_18.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_18.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_18.setText("0");
        Ejer_18.setToolTipText("frica del Norte");
        Ejer_18.setName("18"); // NOI18N
        Ejer_18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_18MouseClicked(evt);
            }
        });
        Ejer_18.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_18MouseMoved(evt);
            }
        });
        Ejer_18.setBounds(530, 230, 30, 20);
        jLayered_Tablero.add(Ejer_18, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_19.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_19.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_19.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_19.setText("0");
        Ejer_19.setToolTipText("Sudfrica");
        Ejer_19.setName("19"); // NOI18N
        Ejer_19.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_19MouseClicked(evt);
            }
        });
        Ejer_19.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_19MouseMoved(evt);
            }
        });
        Ejer_19.setBounds(630, 410, 30, 20);
        jLayered_Tablero.add(Ejer_19, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_20.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_20.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_20.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_20.setText("0");
        Ejer_20.setToolTipText("Afghanistan");
        Ejer_20.setName("20"); // NOI18N
        Ejer_20.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_20MouseClicked(evt);
            }
        });
        Ejer_20.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_20MouseMoved(evt);
            }
        });
        Ejer_20.setBounds(790, 150, 30, 20);
        jLayered_Tablero.add(Ejer_20, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_21.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_21.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_21.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_21.setText("0");
        Ejer_21.setToolTipText("China");
        Ejer_21.setMaximumSize(new java.awt.Dimension(18, 17));
        Ejer_21.setMinimumSize(new java.awt.Dimension(18, 17));
        Ejer_21.setName("21"); // NOI18N
        Ejer_21.setPreferredSize(new java.awt.Dimension(18, 17));
        Ejer_21.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_21MouseClicked(evt);
            }
        });
        Ejer_21.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_21MouseMoved(evt);
            }
        });
        Ejer_21.setBounds(900, 180, 30, 30);
        jLayered_Tablero.add(Ejer_21, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_22.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_22.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_22.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_22.setText("0");
        Ejer_22.setToolTipText("India");
        Ejer_22.setName("22"); // NOI18N
        Ejer_22.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_22MouseClicked(evt);
            }
        });
        Ejer_22.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_22MouseMoved(evt);
            }
        });
        Ejer_22.setBounds(850, 210, 30, 20);
        jLayered_Tablero.add(Ejer_22, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_23.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_23.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_23.setText("0");
        Ejer_23.setToolTipText("Irkutsk");
        Ejer_23.setName("23"); // NOI18N
        Ejer_23.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_23MouseClicked(evt);
            }
        });
        Ejer_23.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_23MouseMoved(evt);
            }
        });
        Ejer_23.setBounds(900, 90, 30, 20);
        jLayered_Tablero.add(Ejer_23, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_24.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_24.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_24.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_24.setText("0");
        Ejer_24.setToolTipText("Japn");
        Ejer_24.setName("24"); // NOI18N
        Ejer_24.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_24MouseClicked(evt);
            }
        });
        Ejer_24.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_24MouseMoved(evt);
            }
        });
        Ejer_24.setBounds(1100, 160, 30, 20);
        jLayered_Tablero.add(Ejer_24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_25.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_25.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_25.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_25.setText("0");
        Ejer_25.setToolTipText("Kamchatka");
        Ejer_25.setName("25"); // NOI18N
        Ejer_25.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_25MouseClicked(evt);
            }
        });
        Ejer_25.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_25MouseMoved(evt);
            }
        });
        Ejer_25.setBounds(1070, 40, 30, 20);
        jLayered_Tablero.add(Ejer_25, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_26.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_26.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_26.setText("0");
        Ejer_26.setToolTipText("Oriente Medio");
        Ejer_26.setName("26"); // NOI18N
        Ejer_26.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_26MouseClicked(evt);
            }
        });
        Ejer_26.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_26MouseMoved(evt);
            }
        });
        Ejer_26.setBounds(710, 180, 30, 20);
        jLayered_Tablero.add(Ejer_26, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_27.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_27.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_27.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_27.setText("0");
        Ejer_27.setToolTipText("Gran Bretaa");
        Ejer_27.setName("27"); // NOI18N
        Ejer_27.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_27MouseClicked(evt);
            }
        });
        Ejer_27.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_27MouseMoved(evt);
            }
        });
        Ejer_27.setBounds(500, 90, 30, 17);
        jLayered_Tablero.add(Ejer_27, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_28.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_28.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_28.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_28.setText("0");
        Ejer_28.setToolTipText("Iceland");
        Ejer_28.setName("28"); // NOI18N
        Ejer_28.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_28MouseClicked(evt);
            }
        });
        Ejer_28.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_28MouseMoved(evt);
            }
        });
        Ejer_28.setBounds(470, 50, 30, 17);
        jLayered_Tablero.add(Ejer_28, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_29.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_29.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_29.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_29.setText("0");
        Ejer_29.setToolTipText("Europa del Norte");
        Ejer_29.setName("29"); // NOI18N
        Ejer_29.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_29MouseClicked(evt);
            }
        });
        Ejer_29.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_29MouseMoved(evt);
            }
        });
        Ejer_29.setBounds(580, 110, 30, 17);
        jLayered_Tablero.add(Ejer_29, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_30.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_30.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_30.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_30.setText("0");
        Ejer_30.setToolTipText("Escandinavia");
        Ejer_30.setName("30"); // NOI18N
        Ejer_30.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_30MouseClicked(evt);
            }
        });
        Ejer_30.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_30MouseMoved(evt);
            }
        });
        Ejer_30.setBounds(590, 70, 30, 17);
        jLayered_Tablero.add(Ejer_30, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_31.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_31.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_31.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_31.setText("0");
        Ejer_31.setToolTipText("Europa del Sur");
        Ejer_31.setName("31"); // NOI18N
        Ejer_31.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_31MouseClicked(evt);
            }
        });
        Ejer_31.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_31MouseMoved(evt);
            }
        });
        Ejer_31.setBounds(630, 150, 30, 17);
        jLayered_Tablero.add(Ejer_31, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_32.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_32.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_32.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_32.setText("0");
        Ejer_32.setToolTipText("Ucrania");
        Ejer_32.setName("32"); // NOI18N
        Ejer_32.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_32MouseClicked(evt);
            }
        });
        Ejer_32.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_32MouseMoved(evt);
            }
        });
        Ejer_32.setBounds(690, 110, 30, 17);
        jLayered_Tablero.add(Ejer_32, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_33.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_33.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_33.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_33.setText("0");
        Ejer_33.setToolTipText("Europa Occidental");
        Ejer_33.setName("33"); // NOI18N
        Ejer_33.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_33MouseClicked(evt);
            }
        });
        Ejer_33.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_33MouseMoved(evt);
            }
        });
        Ejer_33.setBounds(520, 160, 30, 20);
        jLayered_Tablero.add(Ejer_33, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_34.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_34.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_34.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_34.setText("0");
        Ejer_34.setToolTipText("Mongolia");
        Ejer_34.setName("34"); // NOI18N
        Ejer_34.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_34MouseClicked(evt);
            }
        });
        Ejer_34.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_34MouseMoved(evt);
            }
        });
        Ejer_34.setBounds(910, 130, 30, 17);
        jLayered_Tablero.add(Ejer_34, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_35.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_35.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_35.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_35.setText("0");
        Ejer_35.setToolTipText("Siam");
        Ejer_35.setName("35"); // NOI18N
        Ejer_35.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_35MouseClicked(evt);
            }
        });
        Ejer_35.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_35MouseMoved(evt);
            }
        });
        Ejer_35.setBounds(940, 250, 30, 17);
        jLayered_Tablero.add(Ejer_35, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_36.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_36.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_36.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_36.setText("0");
        Ejer_36.setToolTipText("Siberia");
        Ejer_36.setName("36"); // NOI18N
        Ejer_36.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_36MouseClicked(evt);
            }
        });
        Ejer_36.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_36MouseMoved(evt);
            }
        });
        Ejer_36.setBounds(860, 70, 30, 17);
        jLayered_Tablero.add(Ejer_36, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_37.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_37.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_37.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_37.setText("0");
        Ejer_37.setToolTipText("Ural");
        Ejer_37.setName("37"); // NOI18N
        Ejer_37.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_37MouseClicked(evt);
            }
        });
        Ejer_37.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_37MouseMoved(evt);
            }
        });
        Ejer_37.setBounds(760, 70, 30, 17);
        jLayered_Tablero.add(Ejer_37, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_38.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_38.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_38.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_38.setText("0");
        Ejer_38.setToolTipText("Yakutsk");
        Ejer_38.setName("38"); // NOI18N
        Ejer_38.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_38MouseClicked(evt);
            }
        });
        Ejer_38.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_38MouseMoved(evt);
            }
        });
        Ejer_38.setBounds(920, 50, 30, 17);
        jLayered_Tablero.add(Ejer_38, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_39.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_39.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_39.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_39.setText("0");
        Ejer_39.setToolTipText("Australia Oriental");
        Ejer_39.setName("39"); // NOI18N
        Ejer_39.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_39MouseClicked(evt);
            }
        });
        Ejer_39.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_39MouseMoved(evt);
            }
        });
        Ejer_39.setBounds(1130, 470, 30, 30);
        jLayered_Tablero.add(Ejer_39, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_40.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_40.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_40.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_40.setText("0");
        Ejer_40.setToolTipText("Indonesia");
        Ejer_40.setName("40"); // NOI18N
        Ejer_40.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_40MouseClicked(evt);
            }
        });
        Ejer_40.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_40MouseMoved(evt);
            }
        });
        Ejer_40.setBounds(1020, 330, 30, 30);
        jLayered_Tablero.add(Ejer_40, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_41.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_41.setForeground(new java.awt.Color(255, 0, 0));
        Ejer_41.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_41.setText("0");
        Ejer_41.setToolTipText("Nueva Guinea");
        Ejer_41.setName("41"); // NOI18N
        Ejer_41.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_41MouseClicked(evt);
            }
        });
        Ejer_41.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_41MouseMoved(evt);
            }
        });
        Ejer_41.setBounds(1170, 370, 30, 30);
        jLayered_Tablero.add(Ejer_41, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ejer_42.setFont(new java.awt.Font("Tahoma", 1, 14));
        Ejer_42.setForeground(new java.awt.Color(255, 255, 0));
        Ejer_42.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Ejer_42.setText("0");
        Ejer_42.setToolTipText("Australia Occidental");
        Ejer_42.setName("42"); // NOI18N
        Ejer_42.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Ejer_42MouseClicked(evt);
            }
        });
        Ejer_42.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                Ejer_42MouseMoved(evt);
            }
        });
        Ejer_42.setBounds(1080, 470, 30, 30);
        jLayered_Tablero.add(Ejer_42, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_1.setBounds(50, 30, 50, 50);
        jLayered_Tablero.add(Marca_1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_2.setBounds(140, 80, 50, 50);
        jLayered_Tablero.add(Marca_2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_3.setBounds(190, 240, 50, 50);
        jLayered_Tablero.add(Marca_3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_4.setBounds(230, 140, 50, 50);
        jLayered_Tablero.add(Marca_4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_5.setBounds(410, 20, 50, 50);
        jLayered_Tablero.add(Marca_5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_6.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_6.setBounds(190, 30, 50, 50);
        jLayered_Tablero.add(Marca_6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_7.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_7.setBounds(230, 90, 50, 50);
        jLayered_Tablero.add(Marca_7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_8.setBounds(280, 90, 50, 50);
        jLayered_Tablero.add(Marca_8, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_9.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_9.setBounds(120, 130, 50, 50);
        jLayered_Tablero.add(Marca_9, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_10.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_10.setBounds(270, 500, 50, 50);
        jLayered_Tablero.add(Marca_10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_11.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_11.setBounds(330, 410, 50, 50);
        jLayered_Tablero.add(Marca_11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_12.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_12.setBounds(230, 380, 50, 50);
        jLayered_Tablero.add(Marca_12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_13.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_13.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_13.setBounds(260, 290, 50, 50);
        jLayered_Tablero.add(Marca_13, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_14.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_14.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_14.setBounds(640, 330, 50, 50);
        jLayered_Tablero.add(Marca_14, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_15.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_15.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_15.setBounds(660, 260, 50, 50);
        jLayered_Tablero.add(Marca_15, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_16.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_16.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_16.setBounds(600, 200, 50, 50);
        jLayered_Tablero.add(Marca_16, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_17.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_17.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_17.setBounds(740, 400, 50, 50);
        jLayered_Tablero.add(Marca_17, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_18.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_18.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_18.setBounds(530, 270, 50, 50);
        jLayered_Tablero.add(Marca_18, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_19.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_19.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_19.setBounds(630, 440, 50, 50);
        jLayered_Tablero.add(Marca_19, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_20.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_20.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_20.setBounds(780, 100, 50, 50);
        jLayered_Tablero.add(Marca_20, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_21.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_21.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_21.setBounds(960, 170, 50, 50);
        jLayered_Tablero.add(Marca_21, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_22.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_22.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_22.setBounds(850, 250, 50, 50);
        jLayered_Tablero.add(Marca_22, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_23.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_23.setBounds(950, 80, 50, 50);
        jLayered_Tablero.add(Marca_23, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_24.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_24.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_24.setBounds(1100, 180, 50, 50);
        jLayered_Tablero.add(Marca_24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_25.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_25.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_25.setBounds(1060, 60, 50, 50);
        jLayered_Tablero.add(Marca_25, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_26.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_26.setBounds(710, 210, 50, 50);
        jLayered_Tablero.add(Marca_26, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_27.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_27.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_27.setBounds(520, 80, 50, 50);
        jLayered_Tablero.add(Marca_27, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_28.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_28.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_28.setBounds(510, 30, 50, 50);
        jLayered_Tablero.add(Marca_28, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_29.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_29.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_29.setBounds(600, 90, 50, 50);
        jLayered_Tablero.add(Marca_29, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_30.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_30.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_30.setBounds(610, 30, 50, 50);
        jLayered_Tablero.add(Marca_30, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_31.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_31.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_31.setBounds(590, 140, 50, 50);
        jLayered_Tablero.add(Marca_31, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_32.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_32.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_32.setBounds(690, 50, 50, 50);
        jLayered_Tablero.add(Marca_32, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_33.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_33.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_33.setBounds(540, 120, 50, 50);
        jLayered_Tablero.add(Marca_33, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_34.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_34.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_34.setBounds(1000, 120, 50, 50);
        jLayered_Tablero.add(Marca_34, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_35.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_35.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_35.setBounds(960, 280, 50, 50);
        jLayered_Tablero.add(Marca_35, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_36.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_36.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_36.setBounds(850, 10, 50, 50);
        jLayered_Tablero.add(Marca_36, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_37.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_37.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_37.setBounds(810, 60, 50, 50);
        jLayered_Tablero.add(Marca_37, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_38.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_38.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_38.setBounds(980, 30, 50, 50);
        jLayered_Tablero.add(Marca_38, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_39.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_39.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_39.setBounds(1130, 420, 50, 50);
        jLayered_Tablero.add(Marca_39, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_40.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_40.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_40.setBounds(970, 350, 50, 50);
        jLayered_Tablero.add(Marca_40, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_41.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_41.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_41.setBounds(1110, 350, 50, 50);
        jLayered_Tablero.add(Marca_41, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Marca_42.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Marca_42.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Mantis.png"))); // NOI18N
        Marca_42.setBounds(1010, 440, 50, 50);
        jLayered_Tablero.add(Marca_42, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Nom_jug.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Nom_jug.setText("Jugador 1");
        Nom_jug.setBounds(10, 380, 200, 20);
        jLayered_Tablero.add(Nom_jug, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Jug_1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Jug_1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Jug_Snake.png"))); // NOI18N
        Jug_1.setMaximumSize(new java.awt.Dimension(182, 188));
        Jug_1.setMinimumSize(new java.awt.Dimension(182, 188));
        Jug_1.setPreferredSize(new java.awt.Dimension(182, 188));
        Jug_1.setBounds(0, 400, 190, 200);
        jLayered_Tablero.add(Jug_1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Modo_JuegoSel.setFont(new java.awt.Font("Tahoma", 1, 14));
        Modo_JuegoSel.setForeground(new java.awt.Color(255, 0, 0));
        Modo_JuegoSel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Modo_JuegoSel.setBounds(430, 560, 410, 30);
        jLayered_Tablero.add(Modo_JuegoSel, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Territorio_def.setFont(new java.awt.Font("Tahoma", 1, 14));
        Territorio_def.setForeground(new java.awt.Color(0, 0, 255));
        Territorio_def.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Territorio_def.setBounds(430, 520, 410, 30);
        jLayered_Tablero.add(Territorio_def, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Modo_Seleccionado.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Modo_Seleccionado.setBounds(900, 570, 290, 20);
        jLayered_Tablero.add(Modo_Seleccionado, javax.swing.JLayeredPane.DEFAULT_LAYER);

        fondo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Risk_Game_Map_2004_Edition.jpg"))); // NOI18N
        fondo.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                fondoMouseMoved(evt);
            }
        });
        fondo.setBounds(0, 0, 1220, 600);
        jLayered_Tablero.add(fondo, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Panel_Tablero.addTab("Tablero", jLayered_Tablero);

        Cartas_Territorios.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null},
                {null, null, null, null, null}
            },
            new String [] {
                "Nmero", "Territorio", "Continente", "Carta Soldado", "Estado"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        Cartas_Territorios.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                Cartas_TerritoriosMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(Cartas_Territorios);

        jLayeredPane1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jLabel60.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel60.setBounds(10, 210, 190, 14);
        jLayeredPane1.add(jLabel60, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Guerrera.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Guerrera.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera.png"))); // NOI18N
        Guerrera.setBounds(260, 0, 160, 200);
        jLayeredPane1.add(Guerrera, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Soldado_Elite.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Soldado_Elite.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera.png"))); // NOI18N
        Soldado_Elite.setBounds(20, 0, 160, 200);
        jLayeredPane1.add(Soldado_Elite, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Espartano.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Espartano.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera.png"))); // NOI18N
        Espartano.setBounds(490, 0, 160, 200);
        jLayeredPane1.add(Espartano, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator5.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator5.setBounds(450, 0, 25, 250);
        jLayeredPane1.add(jSeparator5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator6.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator6.setBounds(210, 0, 25, 240);
        jLayeredPane1.add(jSeparator6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel61.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel61.setBounds(240, 210, 190, 14);
        jLayeredPane1.add(jLabel61, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel62.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel62.setBounds(470, 210, 190, 14);
        jLayeredPane1.add(jLabel62, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Panel_Opciones.setBorder(javax.swing.BorderFactory.createTitledBorder("Opciones"));

        Canjear_cartas.setText("Canjear Cartas");
        Canjear_cartas.setEnabled(false);
        Canjear_cartas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Canjear_cartasActionPerformed(evt);
            }
        });

        Comodin1.setText("Usar Comodin 1");
        Comodin1.setEnabled(false);
        Comodin1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Comodin1ActionPerformed(evt);
            }
        });

        Comodin2.setText("Usar Comodin 2");
        Comodin2.setEnabled(false);
        Comodin2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Comodin2ActionPerformed(evt);
            }
        });

        Cancelar_Seleccion.setText("Cancelar");
        Cancelar_Seleccion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Cancelar_SeleccionActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Panel_OpcionesLayout = new javax.swing.GroupLayout(Panel_Opciones);
        Panel_Opciones.setLayout(Panel_OpcionesLayout);
        Panel_OpcionesLayout.setHorizontalGroup(
            Panel_OpcionesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Panel_OpcionesLayout.createSequentialGroup()
                .addGap(30, 30, 30)
                .addGroup(Panel_OpcionesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(Comodin2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(Comodin1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(Canjear_cartas)
                    .addComponent(Cancelar_Seleccion, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(29, Short.MAX_VALUE))
        );
        Panel_OpcionesLayout.setVerticalGroup(
            Panel_OpcionesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Panel_OpcionesLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(Canjear_cartas)
                .addGap(18, 18, 18)
                .addComponent(Comodin1)
                .addGap(18, 18, 18)
                .addComponent(Comodin2)
                .addGap(18, 18, 18)
                .addComponent(Cancelar_Seleccion)
                .addContainerGap(21, Short.MAX_VALUE))
        );

        Panel_Filtros.setBorder(javax.swing.BorderFactory.createTitledBorder("Filtros"));

        Filtros.add(CheckBox_Todo);
        CheckBox_Todo.setSelected(true);
        CheckBox_Todo.setText("Mostrar todas las cartas");
        CheckBox_Todo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CheckBox_TodoActionPerformed(evt);
            }
        });

        Filtros.add(CheckBox_Canjeadas);
        CheckBox_Canjeadas.setText("Cartas Canjeadas");
        CheckBox_Canjeadas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CheckBox_CanjeadasActionPerformed(evt);
            }
        });

        Filtros.add(CheckBox_Nocanjeada);
        CheckBox_Nocanjeada.setText("Cartas No Canjeadas");
        CheckBox_Nocanjeada.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CheckBox_NocanjeadaActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout Panel_FiltrosLayout = new javax.swing.GroupLayout(Panel_Filtros);
        Panel_Filtros.setLayout(Panel_FiltrosLayout);
        Panel_FiltrosLayout.setHorizontalGroup(
            Panel_FiltrosLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Panel_FiltrosLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(Panel_FiltrosLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(CheckBox_Canjeadas)
                    .addComponent(CheckBox_Todo)
                    .addComponent(CheckBox_Nocanjeada))
                .addContainerGap(13, Short.MAX_VALUE))
        );
        Panel_FiltrosLayout.setVerticalGroup(
            Panel_FiltrosLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(Panel_FiltrosLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(CheckBox_Todo)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(CheckBox_Canjeadas)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(CheckBox_Nocanjeada)
                .addContainerGap(18, Short.MAX_VALUE))
        );

        jPanel4.setBorder(javax.swing.BorderFactory.createTitledBorder("Informacin sobre el canjeo de cartas"));

        jLabel24.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Soldado_Elite_carta.png"))); // NOI18N

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel23.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Soldado_Elite_carta.png"))); // NOI18N

        jLabel26.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Soldado_Elite_carta.png"))); // NOI18N

        jLabel40.setText("Tres Soldados Elites equivale a 1 Ejercito");

        jLabel41.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera_carta.png"))); // NOI18N

        jLabel46.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera_carta.png"))); // NOI18N

        jLabel47.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera_carta.png"))); // NOI18N

        jLabel51.setText("Tres Guerrera equivale a 5 Ejercito");

        jLabel52.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Espartano_carta.png"))); // NOI18N

        jLabel53.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Espartano_carta.png"))); // NOI18N

        jLabel54.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Espartano_carta.png"))); // NOI18N

        jLabel55.setText("Tres Espartanos equivale a 10 Ejercito");

        jLabel56.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Soldado_Elite_carta.png"))); // NOI18N

        jLabel58.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Espartano_carta.png"))); // NOI18N

        jLabel57.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Fondos/Guerrera_carta.png"))); // NOI18N

        jLabel59.setText("4 ejercitos la primera ronda");

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel4Layout.createSequentialGroup()
                                .addComponent(jLabel52)
                                .addGap(67, 67, 67)
                                .addComponent(jLabel53)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 54, Short.MAX_VALUE)
                                .addComponent(jLabel54)
                                .addGap(22, 22, 22))
                            .addComponent(jSeparator11, javax.swing.GroupLayout.DEFAULT_SIZE, 284, Short.MAX_VALUE)
                            .addGroup(jPanel4Layout.createSequentialGroup()
                                .addComponent(jLabel55)
                                .addGap(58, 58, 58))))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel4Layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel4Layout.createSequentialGroup()
                                .addComponent(jLabel23)
                                .addGap(54, 54, 54)
                                .addComponent(jLabel24)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 44, Short.MAX_VALUE)
                                .addComponent(jLabel26)
                                .addGap(24, 24, 24))
                            .addGroup(jPanel4Layout.createSequentialGroup()
                                .addComponent(jLabel40)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 89, Short.MAX_VALUE))))
                    .addComponent(jSeparator9, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 294, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel4Layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel4Layout.createSequentialGroup()
                                .addComponent(jLabel41)
                                .addGap(32, 32, 32)
                                .addComponent(jLabel46)
                                .addGap(18, 18, 18)
                                .addComponent(jLabel47))
                            .addGroup(jPanel4Layout.createSequentialGroup()
                                .addComponent(jLabel51)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 117, Short.MAX_VALUE))
                            .addComponent(jSeparator10, javax.swing.GroupLayout.DEFAULT_SIZE, 284, Short.MAX_VALUE))))
                .addContainerGap())
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel56)
                .addGap(48, 48, 48)
                .addComponent(jLabel57)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 39, Short.MAX_VALUE)
                .addComponent(jLabel58)
                .addGap(22, 22, 22))
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel59)
                .addContainerGap(153, Short.MAX_VALUE))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel23)
                            .addComponent(jLabel24))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel40))
                    .addComponent(jLabel26))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator9, javax.swing.GroupLayout.PREFERRED_SIZE, 15, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel41)
                            .addComponent(jLabel46))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel51))
                    .addComponent(jLabel47))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator10, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel52)
                            .addComponent(jLabel53))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel55))
                    .addComponent(jLabel54))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator11, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel56)
                    .addComponent(jLabel57)
                    .addComponent(jLabel58))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel59)
                .addContainerGap(22, Short.MAX_VALUE))
        );

        jPanel5.setBorder(javax.swing.BorderFactory.createTitledBorder("Ronda de Canjeo"));

        jLabel63.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel63.setText("Ronda de Canjeo");

        jLabel64.setFont(new java.awt.Font("Tahoma", 1, 14));
        jLabel64.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel64.setText("0");

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel5Layout.createSequentialGroup()
                        .addGap(59, 59, 59)
                        .addComponent(jLabel64, javax.swing.GroupLayout.PREFERRED_SIZE, 39, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel63, javax.swing.GroupLayout.DEFAULT_SIZE, 144, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel63)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel64, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(36, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanel_CartasLayout = new javax.swing.GroupLayout(jPanel_Cartas);
        jPanel_Cartas.setLayout(jPanel_CartasLayout);
        jPanel_CartasLayout.setHorizontalGroup(
            jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_CartasLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLayeredPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 694, Short.MAX_VALUE)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 682, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(Panel_Opciones, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(Panel_Filtros, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel_CartasLayout.setVerticalGroup(
            jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel_CartasLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jPanel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel_CartasLayout.createSequentialGroup()
                        .addGroup(jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(Panel_Opciones, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 240, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel_CartasLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 323, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel_CartasLayout.createSequentialGroup()
                                .addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(Panel_Filtros, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(21, Short.MAX_VALUE))
        );

        Panel_Tablero.addTab("Cartas de los Territorios", jPanel_Cartas);

        Panel_Botones.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        Text_EjerSinAsig.setEditable(false);
        Text_EjerSinAsig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_EjerSinAsig.setText("0");
        Text_EjerSinAsig.setMaximumSize(new java.awt.Dimension(30, 20));
        Text_EjerSinAsig.setMinimumSize(new java.awt.Dimension(30, 20));
        Text_EjerSinAsig.setPreferredSize(new java.awt.Dimension(30, 20));
        Text_EjerSinAsig.setBounds(166, 50, 30, 20);
        Panel_Botones.add(Text_EjerSinAsig, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel10.setText("N Ejercitos Asignados:");
        jLabel10.setBounds(10, 20, 160, 14);
        Panel_Botones.add(jLabel10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Text_TerriOcu.setEditable(false);
        Text_TerriOcu.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_TerriOcu.setText("0");
        Text_TerriOcu.setMaximumSize(new java.awt.Dimension(30, 20));
        Text_TerriOcu.setMinimumSize(new java.awt.Dimension(30, 20));
        Text_TerriOcu.setPreferredSize(new java.awt.Dimension(30, 20));
        Text_TerriOcu.setBounds(166, 80, 30, 20);
        Panel_Botones.add(Text_TerriOcu, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Text_EjerAsig.setEditable(false);
        Text_EjerAsig.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        Text_EjerAsig.setText("0");
        Text_EjerAsig.setMaximumSize(new java.awt.Dimension(30, 20));
        Text_EjerAsig.setMinimumSize(new java.awt.Dimension(30, 20));
        Text_EjerAsig.setPreferredSize(new java.awt.Dimension(30, 20));
        Text_EjerAsig.setBounds(166, 20, 30, 20);
        Panel_Botones.add(Text_EjerAsig, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel12.setText("Territorios Ocupados:");
        jLabel12.setBounds(10, 82, 130, 14);
        Panel_Botones.add(jLabel12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel11.setText("N Ejercitos Sin Asignar:");
        jLabel11.setBounds(10, 45, 160, 30);
        Panel_Botones.add(jLabel11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator3.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator3.setBounds(700, 0, 18, 120);
        Panel_Botones.add(jSeparator3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Atacar_Ter.setText("Atacar Territorio");
        Atacar_Ter.setToolTipText("Inicia el Ataque");
        Atacar_Ter.setEnabled(false);
        Atacar_Ter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Atacar_TerActionPerformed(evt);
            }
        });
        Atacar_Ter.setBounds(720, 10, 130, 23);
        Panel_Botones.add(Atacar_Ter, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Info_Ter.setText("Informacin Territorio");
        Info_Ter.setToolTipText("Muestra informacin del territorio seleccionado");
        Info_Ter.setMaximumSize(new java.awt.Dimension(180, 23));
        Info_Ter.setMinimumSize(new java.awt.Dimension(180, 23));
        Info_Ter.setPreferredSize(new java.awt.Dimension(180, 23));
        Info_Ter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Info_TerActionPerformed(evt);
            }
        });
        Info_Ter.setBounds(780, 50, 180, 23);
        Panel_Botones.add(Info_Ter, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Trasladar_Ejer.setText("Trasladar Ejercitos");
        Trasladar_Ejer.setToolTipText("Traslada Ejercitos");
        Trasladar_Ejer.setEnabled(false);
        Trasladar_Ejer.setMaximumSize(new java.awt.Dimension(180, 23));
        Trasladar_Ejer.setMinimumSize(new java.awt.Dimension(180, 23));
        Trasladar_Ejer.setPreferredSize(new java.awt.Dimension(180, 23));
        Trasladar_Ejer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Trasladar_EjerActionPerformed(evt);
            }
        });
        Trasladar_Ejer.setBounds(870, 10, 180, 23);
        Panel_Botones.add(Trasladar_Ejer, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Ubicar_Ejer.setText("Ubicar Ejercitos");
        Ubicar_Ejer.setToolTipText("Asigna Ejercitos");
        Ubicar_Ejer.setMaximumSize(new java.awt.Dimension(111, 23));
        Ubicar_Ejer.setMinimumSize(new java.awt.Dimension(111, 23));
        Ubicar_Ejer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ubicar_EjerActionPerformed(evt);
            }
        });
        Ubicar_Ejer.setBounds(720, 90, 130, 23);
        Panel_Botones.add(Ubicar_Ejer, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Mision_Sec.setText("Estado de la Misin");
        Mision_Sec.setToolTipText("Muestra la Misin Secreta");
        Mision_Sec.setEnabled(false);
        Mision_Sec.setMaximumSize(new java.awt.Dimension(180, 23));
        Mision_Sec.setMinimumSize(new java.awt.Dimension(180, 23));
        Mision_Sec.setPreferredSize(new java.awt.Dimension(180, 23));
        Mision_Sec.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Mision_SecActionPerformed(evt);
            }
        });
        Mision_Sec.setBounds(870, 90, 180, 23);
        Panel_Botones.add(Mision_Sec, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Terminar_Turno.setText("Terminar Turno");
        Terminar_Turno.setToolTipText("Finaliza el turno del Jugador");
        Terminar_Turno.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Terminar_TurnoActionPerformed(evt);
            }
        });
        Terminar_Turno.setBounds(1070, 90, 140, 23);
        Panel_Botones.add(Terminar_Turno, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jSeparator4.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator4.setBounds(200, 0, 20, 120);
        Panel_Botones.add(jSeparator4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Cancelar_Operacion.setText("Cancelar Opcin");
        Cancelar_Operacion.setEnabled(false);
        Cancelar_Operacion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Cancelar_OperacionActionPerformed(evt);
            }
        });
        Cancelar_Operacion.setBounds(1070, 50, 145, 23);
        Panel_Botones.add(Cancelar_Operacion, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Territorios Seleccionados", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));

        Sel_Origen.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Sel_Origen.setMaximumSize(new java.awt.Dimension(185, 14));
        Sel_Origen.setMinimumSize(new java.awt.Dimension(185, 14));
        Sel_Origen.setPreferredSize(new java.awt.Dimension(185, 20));

        Sel_Destino.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        Sel_Destino.setMaximumSize(new java.awt.Dimension(185, 20));
        Sel_Destino.setMinimumSize(new java.awt.Dimension(185, 20));
        Sel_Destino.setPreferredSize(new java.awt.Dimension(185, 20));

        jText_Ori.setEditable(false);
        jText_Ori.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Ori.setBorder(null);
        jText_Ori.setMaximumSize(new java.awt.Dimension(185, 20));
        jText_Ori.setMinimumSize(new java.awt.Dimension(185, 20));
        jText_Ori.setPreferredSize(new java.awt.Dimension(185, 20));

        jText_Des.setEditable(false);
        jText_Des.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jText_Des.setBorder(null);
        jText_Des.setMaximumSize(new java.awt.Dimension(185, 20));
        jText_Des.setMinimumSize(new java.awt.Dimension(185, 20));
        jText_Des.setPreferredSize(new java.awt.Dimension(185, 20));

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jText_Ori, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(Sel_Origen, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 74, Short.MAX_VALUE)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(Sel_Destino, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jText_Des, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(Sel_Origen, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Sel_Destino, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jText_Ori, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jText_Des, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(19, Short.MAX_VALUE))
        );

        jPanel3.setBounds(210, 10, 480, 100);
        Panel_Botones.add(jPanel3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel_Ronda.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel_Ronda.setBounds(1060, 14, 160, 15);
        Panel_Botones.add(jLabel_Ronda, javax.swing.JLayeredPane.DEFAULT_LAYER);

        Menu_Jugar.setText("Jugar");

        Item_Nueva_Partida.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_N, java.awt.event.InputEvent.CTRL_MASK));
        Item_Nueva_Partida.setText("Nueva Partida");
        Item_Nueva_Partida.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Item_Nueva_PartidaActionPerformed(evt);
            }
        });
        Menu_Jugar.add(Item_Nueva_Partida);

        Item_Continuar.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_R, java.awt.event.InputEvent.CTRL_MASK));
        Item_Continuar.setText("Continuar Partida");
        Item_Continuar.setEnabled(false);
        Item_Continuar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Item_ContinuarActionPerformed(evt);
            }
        });
        Menu_Jugar.add(Item_Continuar);
        Menu_Jugar.add(jSeparator1);

        Item_Guardar.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_G, java.awt.event.InputEvent.CTRL_MASK));
        Item_Guardar.setText("Guardar Partida");
        Item_Guardar.setEnabled(false);
        Item_Guardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Item_GuardarActionPerformed(evt);
            }
        });
        Menu_Jugar.add(Item_Guardar);
        Menu_Jugar.add(jSeparator2);

        jMenuItem1.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_E, java.awt.event.InputEvent.CTRL_MASK));
        jMenuItem1.setText("Estadistica");
        jMenuItem1.setEnabled(false);
        jMenuItem1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem1ActionPerformed(evt);
            }
        });
        Menu_Jugar.add(jMenuItem1);
        Menu_Jugar.add(jSeparator12);

        Item_Salir.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_X, java.awt.event.InputEvent.CTRL_MASK));
        Item_Salir.setText("Salir");
        Item_Salir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Item_SalirActionPerformed(evt);
            }
        });
        Menu_Jugar.add(Item_Salir);

        Menu_Principal.add(Menu_Jugar);

        Menu_Idioma.setText("Herramientas");

        Idiomas.setText("Seleccin de Idiomas");

        Check_Esp.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_E, java.awt.event.InputEvent.CTRL_MASK));
        Grupo_boton.add(Check_Esp);
        Check_Esp.setSelected(true);
        Check_Esp.setText("Espaol");
        Check_Esp.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Check_EspActionPerformed(evt);
            }
        });
        Idiomas.add(Check_Esp);

        Check_Ing.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_I, java.awt.event.InputEvent.CTRL_MASK));
        Grupo_boton.add(Check_Ing);
        Check_Ing.setText("Ingles");
        Check_Ing.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Check_IngActionPerformed(evt);
            }
        });
        Idiomas.add(Check_Ing);

        Menu_Idioma.add(Idiomas);

        Habilitar_Mensaje.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_M, java.awt.event.InputEvent.CTRL_MASK));
        Habilitar_Mensaje.setSelected(true);
        Habilitar_Mensaje.setText("Habilitar Mensajes");
        Habilitar_Mensaje.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Habilitar_MensajeActionPerformed(evt);
            }
        });
        Menu_Idioma.add(Habilitar_Mensaje);

        Menu_Principal.add(Menu_Idioma);

        Menu_Ayuda.setText("Ayuda");

        Ayuda.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_F1, 0));
        Ayuda.setText("Ayuda sobre como jugar");
        Ayuda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AyudaActionPerformed(evt);
            }
        });
        Menu_Ayuda.add(Ayuda);

        Menu_Principal.add(Menu_Ayuda);

        setJMenuBar(Menu_Principal);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(Panel_Tablero, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(Panel_Botones, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 1227, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(Panel_Tablero, javax.swing.GroupLayout.PREFERRED_SIZE, 633, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(Panel_Botones, javax.swing.GroupLayout.PREFERRED_SIZE, 122, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(7, 7, 7))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void Item_Nueva_PartidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Item_Nueva_PartidaActionPerformed
// TODO add your handling code here:
    Icon_Jug3.setEnabled(false);
    Icon_Jug4.setEnabled(false);
    Nueva_Part.setSize(605, 600);
    Nueva_Part.setLocation((ancho - 605)/2,(alto - 600)/2);
    Nueva_Part.setVisible(true);
}//GEN-LAST:event_Item_Nueva_PartidaActionPerformed

private void Informacion_territorio(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Informacion_territorio
// TODO add your handling code here:
    Ejer_3.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Informacion_territorio

private void Ejer_3MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_3MouseClicked
// TODO add your handling code here:
    //Pulsado(jLabel1.getText());
    Pulsado(Ejer_3.getName());
}//GEN-LAST:event_Ejer_3MouseClicked

private void Ejer_11MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_11MouseMoved
// TODO add your handling code here:
    Ejer_11.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_11MouseMoved

private void Ejer_21MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_21MouseMoved
// TODO add your handling code here:
    Ejer_21.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_21MouseMoved

private void Item_SalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Item_SalirActionPerformed
// TODO add your handling code here:
    dispose();
    System.exit(0);
}//GEN-LAST:event_Item_SalirActionPerformed

private void fondoMouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_fondoMouseMoved
// TODO add your handling code here:
    
       
    //America del Norte--------------------------------------------------------------------------   
    Ejer_1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_2.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_3.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_4.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_5.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_6.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_7.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_8.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 0, false));
    Ejer_9.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    //America del Norte--------------------------------------------------------------------------
    
    //America del Sur----------------------------------------------------------------------------
    Ejer_10.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_11.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_12.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_13.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //America del Sur----------------------------------------------------------------------------
    
    //Africa-------------------------------------------------------------------------------------
    Ejer_14.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_15.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_16.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_17.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_18.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_19.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Africa-------------------------------------------------------------------------------------

    //Asia---------------------------------------------------------------------------------------
    Ejer_20.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_21.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_22.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_23.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_24.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_25.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_26.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Asia----------------------------------------------------------------------------------------
    
    //Europa-------------------------------------------------------------------------------------
    Ejer_27.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_28.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_29.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_30.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_31.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_32.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_33.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 255), 0, false));
    Ejer_34.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_35.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_36.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_37.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_38.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Europa-------------------------------------------------------------------------------------
    
    //Australia----------------------------------------------------------------------------------
    Ejer_39.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_40.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 0, false));
    Ejer_41.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    Ejer_42.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 0, false));
    //Australia----------------------------------------------------------------------------------
    
}//GEN-LAST:event_fondoMouseMoved

private void Ejer_9MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_9MouseMoved
// TODO add your handling code here:
    Ejer_9.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_9MouseMoved

private void Ejer_4MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_4MouseMoved
// TODO add your handling code here:
    Ejer_4.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_4MouseMoved

private void Ejer_33MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_33MouseMoved
// TODO add your handling code here:
    Ejer_33.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_33MouseMoved

private void Ejer_9MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_9MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_9.getName());
}//GEN-LAST:event_Ejer_9MouseClicked

private void Ejer_4MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_4MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_4.getName());
}//GEN-LAST:event_Ejer_4MouseClicked

private void Ejer_11MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_11MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_11.getName());
}//GEN-LAST:event_Ejer_11MouseClicked

private void Ejer_33MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_33MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_33.getName());
}//GEN-LAST:event_Ejer_33MouseClicked

private void Ejer_21MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_21MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_21.getName());
}//GEN-LAST:event_Ejer_21MouseClicked

private void Terminar_TurnoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Terminar_TurnoActionPerformed
// TODO add your handling code here:
    this.juego.turno(this.jugadores[turno]);
}//GEN-LAST:event_Terminar_TurnoActionPerformed

private void Ejer_1MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_1MouseMoved
// TODO add your handling code here:
    Ejer_1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_1MouseMoved

private void Ejer_1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_1MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_1.getName());
}//GEN-LAST:event_Ejer_1MouseClicked

private void Can_AtaqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_AtaqueActionPerformed
// TODO add your handling code here:
    Ataque.setVisible(false);
}//GEN-LAST:event_Can_AtaqueActionPerformed

private void Atacar_TerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Atacar_TerActionPerformed
// TODO add your handling code here:
    Ataque.setLocation((ancho - 375)/2,(alto - 150)/2);
    Ataque.setVisible(true);
}//GEN-LAST:event_Atacar_TerActionPerformed

private void Can_SeleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_SeleActionPerformed
// TODO add your handling code here:
    Ubicar_Ejercito.setVisible(false);
}//GEN-LAST:event_Can_SeleActionPerformed

private void Ini_SeleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ini_SeleActionPerformed
// TODO add your handling code here:
    this.op= 4;
    if (Check_Esp.isSelected() == true)
        Modo_Seleccionado.setText("Modo Asignacin de Tropas");
    else
        Modo_Seleccionado.setText("Troops Assigned mode");
    Ubicar_Ejercito.setVisible(false);
}//GEN-LAST:event_Ini_SeleActionPerformed

private void Ubicar_EjerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ubicar_EjerActionPerformed
// TODO add your handling code here:
    Ubicar_Ejercito.setLocation((ancho - 375)/2,(alto - 150)/2);
    Ubicar_Ejercito.setVisible(true);
}//GEN-LAST:event_Ubicar_EjerActionPerformed

private void Ini_TrasladoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ini_TrasladoActionPerformed
// TODO add your handling code here:
    this.op= 2;
    if (Check_Esp.isSelected() == true)
        Modo_Seleccionado.setText("Modo Traslado de tropas");
    else
        Modo_Seleccionado.setText("Transfer Mode troops");
    Trasladar_Ejercito.setVisible(false);
}//GEN-LAST:event_Ini_TrasladoActionPerformed

private void Can_TrasladoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_TrasladoActionPerformed
// TODO add your handling code here:
    Trasladar_Ejercito.setVisible(false);
}//GEN-LAST:event_Can_TrasladoActionPerformed

private void Trasladar_EjerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Trasladar_EjerActionPerformed
// TODO add your handling code here:
    Trasladar_Ejercito.setLocation((ancho - 400)/2,(alto - 150)/2);
    Trasladar_Ejercito.setVisible(true);
}//GEN-LAST:event_Trasladar_EjerActionPerformed

private void Ejer_6MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_6MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_6.getName());
}//GEN-LAST:event_Ejer_6MouseClicked

private void Ejer_6MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_6MouseMoved
// TODO add your handling code here:
    Ejer_6.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_6MouseMoved

private void Ejer_2MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_2MouseMoved
// TODO add your handling code here:
    Ejer_2.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_2MouseMoved

private void Ejer_2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_2MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_2.getName());
}//GEN-LAST:event_Ejer_2MouseClicked

private void Ejer_7MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_7MouseMoved
// TODO add your handling code here:
    Ejer_7.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_7MouseMoved

private void Ejer_7MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_7MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_7.getName());
}//GEN-LAST:event_Ejer_7MouseClicked

private void Ejer_8MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_8MouseMoved
// TODO add your handling code here:
    Ejer_8.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_8MouseMoved

private void Ejer_8MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_8MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_8.getName());
}//GEN-LAST:event_Ejer_8MouseClicked

private void Ejer_5MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_5MouseMoved
// TODO add your handling code here:
    Ejer_5.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 51), 2, false));
}//GEN-LAST:event_Ejer_5MouseMoved

private void Ejer_5MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_5MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_5.getName());
}//GEN-LAST:event_Ejer_5MouseClicked

private void Ejer_10MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_10MouseMoved
// TODO add your handling code here:
    Ejer_10.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_10MouseMoved

private void Ejer_10MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_10MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_10.getName());
}//GEN-LAST:event_Ejer_10MouseClicked

private void Ejer_12MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_12MouseMoved
// TODO add your handling code here:
    Ejer_12.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_12MouseMoved

private void Ejer_12MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_12MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_12.getName());
}//GEN-LAST:event_Ejer_12MouseClicked

private void Ejer_13MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_13MouseMoved
// TODO add your handling code here:
    Ejer_13.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_13MouseMoved

private void Ejer_13MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_13MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_13.getName());
}//GEN-LAST:event_Ejer_13MouseClicked

private void Ejer_14MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_14MouseMoved
// TODO add your handling code here:
    Ejer_14.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_14MouseMoved

private void Ejer_14MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_14MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_14.getName());    
}//GEN-LAST:event_Ejer_14MouseClicked

private void Ejer_39MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_39MouseMoved
// TODO add your handling code here:
    Ejer_39.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_39MouseMoved

private void Ejer_39MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_39MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_39.getName());    
}//GEN-LAST:event_Ejer_39MouseClicked

private void Ejer_42MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_42MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_42.getName());    
}//GEN-LAST:event_Ejer_42MouseClicked

private void Ejer_42MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_42MouseMoved
// TODO add your handling code here:
    Ejer_42.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_42MouseMoved

private void Ejer_41MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_41MouseMoved
// TODO add your handling code here:
    Ejer_41.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_41MouseMoved

private void Ejer_41MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_41MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_41.getName());    
}//GEN-LAST:event_Ejer_41MouseClicked

private void Ejer_40MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_40MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_40.getName());    
}//GEN-LAST:event_Ejer_40MouseClicked

private void Ejer_40MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_40MouseMoved
// TODO add your handling code here:
    Ejer_40.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_40MouseMoved

private void Ejer_15MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_15MouseMoved
// TODO add your handling code here:
    Ejer_15.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_15MouseMoved

private void Ejer_15MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_15MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_15.getName());
}//GEN-LAST:event_Ejer_15MouseClicked

private void Ejer_16MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_16MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_16.getName());
}//GEN-LAST:event_Ejer_16MouseClicked

private void Ejer_16MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_16MouseMoved
// TODO add your handling code here:
    Ejer_16.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_16MouseMoved

private void Ejer_17MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_17MouseMoved
// TODO add your handling code here:
    Ejer_17.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_17MouseMoved

private void Ejer_17MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_17MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_17.getName());
}//GEN-LAST:event_Ejer_17MouseClicked

private void Ejer_18MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_18MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_18.getName());
}//GEN-LAST:event_Ejer_18MouseClicked

private void Ejer_18MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_18MouseMoved
// TODO add your handling code here:
    Ejer_18.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_18MouseMoved

private void Ejer_19MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_19MouseMoved
// TODO add your handling code here:
    Ejer_19.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_19MouseMoved

private void Ejer_19MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_19MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_19.getName());
}//GEN-LAST:event_Ejer_19MouseClicked

private void Ejer_27MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_27MouseMoved
// TODO add your handling code here:
    Ejer_27.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_27MouseMoved

private void Ejer_27MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_27MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_27.getName());
}//GEN-LAST:event_Ejer_27MouseClicked

private void Ejer_28MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_28MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_28.getName());
}//GEN-LAST:event_Ejer_28MouseClicked

private void Ejer_28MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_28MouseMoved
// TODO add your handling code here:
    Ejer_28.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_28MouseMoved

private void Ejer_29MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_29MouseMoved
// TODO add your handling code here:
    Ejer_29.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_29MouseMoved

private void Ejer_29MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_29MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_29.getName());
}//GEN-LAST:event_Ejer_29MouseClicked

private void Ejer_30MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_30MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_30.getName());
}//GEN-LAST:event_Ejer_30MouseClicked

private void Ejer_30MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_30MouseMoved
// TODO add your handling code here:
    Ejer_30.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_30MouseMoved

private void Ejer_31MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_31MouseMoved
// TODO add your handling code here:
    Ejer_31.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_31MouseMoved

private void Ejer_31MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_31MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_31.getName());
}//GEN-LAST:event_Ejer_31MouseClicked

private void Ejer_32MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_32MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_32.getName());
}//GEN-LAST:event_Ejer_32MouseClicked

private void Ejer_32MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_32MouseMoved
// TODO add your handling code here:
    Ejer_32.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_32MouseMoved

private void Mision_SecActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Mision_SecActionPerformed
// TODO add your handling code here:
    this.juego.Estado(this.jugadores[turno]);
    Mision_Secreta.setSize(444, 320);
    Mision_Secreta.setLocation((ancho - 444)/2,(alto - 320)/2);
    Mision_Secreta.setVisible(true);
}//GEN-LAST:event_Mision_SecActionPerformed

private void Ejer_34MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_34MouseMoved
// TODO add your handling code here:
    Ejer_34.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_34MouseMoved

private void Ejer_34MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_34MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_34.getName());
}//GEN-LAST:event_Ejer_34MouseClicked

private void Ejer_35MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_35MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_35.getName());
}//GEN-LAST:event_Ejer_35MouseClicked

private void Ejer_35MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_35MouseMoved
// TODO add your handling code here:
    Ejer_35.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_35MouseMoved

private void Ejer_36MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_36MouseMoved
// TODO add your handling code here:
    Ejer_36.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_36MouseMoved

private void Ejer_36MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_36MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_36.getName());
}//GEN-LAST:event_Ejer_36MouseClicked

private void Ejer_37MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_37MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_37.getName());
}//GEN-LAST:event_Ejer_37MouseClicked

private void Ejer_37MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_37MouseMoved
// TODO add your handling code here:
    Ejer_37.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_37MouseMoved

private void Ejer_38MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_38MouseMoved
// TODO add your handling code here:
    Ejer_38.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_38MouseMoved

private void Ejer_38MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_38MouseClicked
// TODO add your handling code here:
    Pulsado(Ejer_38.getName());
}//GEN-LAST:event_Ejer_38MouseClicked

private void Ejer_20MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_20MouseMoved
    // TODO add your handling code here:
    Ejer_20.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_20MouseMoved

private void Ejer_20MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_20MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_20.getName());
}//GEN-LAST:event_Ejer_20MouseClicked

private void Ejer_22MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_22MouseMoved
    // TODO add your handling code here:
    Ejer_22.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_22MouseMoved

private void Ejer_22MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_22MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_22.getName());
}//GEN-LAST:event_Ejer_22MouseClicked

private void Ejer_23MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_23MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_23.getName());
}//GEN-LAST:event_Ejer_23MouseClicked

private void Ejer_23MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_23MouseMoved
    // TODO add your handling code here:
    Ejer_23.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_23MouseMoved

private void Ejer_24MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_24MouseMoved
    // TODO add your handling code here:
    Ejer_24.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_24MouseMoved

private void Ejer_24MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_24MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_24.getName());
}//GEN-LAST:event_Ejer_24MouseClicked

private void Ejer_25MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_25MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_25.getName());
}//GEN-LAST:event_Ejer_25MouseClicked

private void Ejer_25MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_25MouseMoved
    // TODO add your handling code here:
    Ejer_25.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 0, 0), 2, false));
}//GEN-LAST:event_Ejer_25MouseMoved

private void Ejer_26MouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_26MouseMoved
    // TODO add your handling code here:
    Ejer_26.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(255, 255, 0), 2, false));
}//GEN-LAST:event_Ejer_26MouseMoved

private void Ejer_26MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Ejer_26MouseClicked
    // TODO add your handling code here:
    Pulsado(Ejer_26.getName());
}//GEN-LAST:event_Ejer_26MouseClicked

private void Sel_TerritorioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Sel_TerritorioActionPerformed
// TODO add your handling code here:
    this.op= 3;
    if (Check_Esp.isSelected() == true)
        Modo_Seleccionado.setText("Modo de Informacin");
    else
        Modo_Seleccionado.setText("Mode Information");
    Info_Territorio.setVisible(false);
}//GEN-LAST:event_Sel_TerritorioActionPerformed

private void Can_seleccionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Can_seleccionActionPerformed
// TODO add your handling code here:
    Info_Territorio.setVisible(false);
}//GEN-LAST:event_Can_seleccionActionPerformed

private void Info_TerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Info_TerActionPerformed
// TODO add your handling code here:
    Info_Territorio.setLocation((ancho - 400)/2,(alto - 150)/2);
    Info_Territorio.setVisible(true);
}//GEN-LAST:event_Info_TerActionPerformed

private void Aceptar_partidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Aceptar_partidaActionPerformed
// TODO add your handling code here:
    String modo= "";
    
    Inicializar();
    
    if (jCheckBox1.isSelected() == true){
        this.num_jug= 2;
        this.jugadores[0].setNombre_jug(jText_Jug_1.getText());
        this.jugadores[1].setNombre_jug(jText_Jug_2.getText());   
        this.jugadores[0].setId_jug(1);
        this.jugadores[1].setId_jug(2);
    }
    
    if (jCheckBox2.isSelected() == true){
        this.num_jug= 3;
        this.jugadores[0].setNombre_jug(jText_Jug_1.getText());
        this.jugadores[1].setNombre_jug(jText_Jug_2.getText());        
        this.jugadores[2].setNombre_jug(jText_Jug_3.getText());
        this.jugadores[0].setId_jug(1);
        this.jugadores[1].setId_jug(2);
        this.jugadores[2].setId_jug(3);
    }    

    if (jCheckBox3.isSelected() == true){
        this.num_jug= 4;
        this.jugadores[0].setNombre_jug(jText_Jug_1.getText());
        this.jugadores[1].setNombre_jug(jText_Jug_2.getText());        
        this.jugadores[2].setNombre_jug(jText_Jug_3.getText());
        this.jugadores[3].setNombre_jug(jText_Jug_4.getText());    
        this.jugadores[0].setId_jug(1);
        this.jugadores[1].setId_jug(2);
        this.jugadores[2].setId_jug(3);
        this.jugadores[3].setId_jug(4);
    }    
    
    if (Modo_1.isSelected() == true){
        this.modo_juego= 1;
        if (Check_Esp.isSelected() == true)
            modo= "Modo de Juego: Conquista el mundo";
        else
            modo= "Game Mode: Conquer the world";
        Mision_Sec.setEnabled(false);
    }    

    if (Modo_2.isSelected() == true){
        this.modo_juego= 2;
        if (Check_Esp.isSelected() == true)
            modo= "Modo de Juego: Misin Secreta";
        else
            modo= "Game Mode: Secret Mission";
        
        Mision_Sec.setEnabled(true);
    }    

    if (Modo_3.isSelected() == true){
        this.modo_juego= 3;
        if (Check_Esp.isSelected() == true)
            modo= "Modo de Juego: Defiende tu territorio";
        else
            modo= "Game Mode: Defend your territory";
        
        this.juego.setNum_capitales(num_jug);
        Mision_Sec.setEnabled(false);
    }
    
    if (jComboBox_Ronda.getSelectedItem().toString().compareTo("Ilimitada") == 0) {
        this.juego.setRonda(-1);
        if (Check_Esp.isSelected() == true)
            jLabel_Ronda.setText("Ronda Ilimitada");
        else
            jLabel_Ronda.setText("Unlimited Round");
    }
    else{
        this.juego.setRonda(Integer.parseInt(jComboBox_Ronda.getSelectedItem().toString()));
        if (Check_Esp.isSelected() == true)
            jLabel_Ronda.setText("Ronda "+this.ronda+" de "+this.juego.getRonda());
        else
            jLabel_Ronda.setText("Round "+this.ronda+" of "+this.juego.getRonda());
    }    
    
    this.juego.setNum_jugadores(this.num_jug);
    this.juego.setModo_juego(this.modo_juego);
    Nueva_Part.setVisible(false);
    Asignar_Territorio(this.num_jug);
   
    this.turno= 0;

    this.juego.Refuerzos(this.jugadores[turno]);   
    
    Rellenar_Tabla();
    
    if (this.modo_juego == 2){
        if (Check_Esp.isSelected() == true)
            Territorio_def.setText("Objetivos: "+this.jugadores[turno].getMision().getNom_misiones_esp());
        else
            Territorio_def.setText("Objectives: "+this.jugadores[turno].getMision().getNom_misiones_ing());
    }    
    
    if (this.modo_juego == 3){
        if (Check_Esp.isSelected() == true)
            Territorio_def.setText("Territorio a Defender: "+this.jugadores[turno].getTerr_defender());
        else
            Territorio_def.setText("To Defend Territory: "+this.jugadores[turno].getTerr_defender());
    }    

    
    Nom_jug.setText(this.jugadores[turno].getNombre_jug());
    Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
    Text_EjerAsig.setText("0");
    Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
    Modo_JuegoSel.setText(modo);
    
    //Activamos los botones
    //Atacar_Ter.setEnabled(true);
    //Trasladar_Ejer.setEnabled(true);
    Info_Ter.setEnabled(true);
    Ubicar_Ejer.setEnabled(true);
    Terminar_Turno.setEnabled(true);
    Cancelar_Operacion.setEnabled(true);
    Panel_Tablero.setEnabled(true);
    Item_Guardar.setEnabled(true);
}//GEN-LAST:event_Aceptar_partidaActionPerformed

private void jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox1ActionPerformed
// TODO add your handling code here:
    jText_Jug_3.setEnabled(false);
    jText_Jug_4.setEnabled(false);
    Icon_Jug3.setEnabled(false);
    Icon_Jug4.setEnabled(false);
    jLabel7.setEnabled(false);
    jLabel8.setEnabled(false);
}//GEN-LAST:event_jCheckBox1ActionPerformed

private void jCheckBox2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox2ActionPerformed
// TODO add your handling code here:
    jText_Jug_3.setEnabled(true);
    Icon_Jug3.setEnabled(true);
    jText_Jug_4.setEnabled(false);
    Icon_Jug4.setEnabled(false);
    jLabel7.setEnabled(true);
    jLabel8.setEnabled(false);    
}//GEN-LAST:event_jCheckBox2ActionPerformed

private void jCheckBox3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBox3ActionPerformed
// TODO add your handling code here:
    jText_Jug_3.setEnabled(true);
    jText_Jug_4.setEnabled(true);
    Icon_Jug3.setEnabled(true);
    Icon_Jug4.setEnabled(true);
    jLabel7.setEnabled(true);
    jLabel8.setEnabled(true);    
}//GEN-LAST:event_jCheckBox3ActionPerformed

private void Cancelar_partidaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancelar_partidaActionPerformed
// TODO add your handling code here:
    Nueva_Part.setVisible(false);
}//GEN-LAST:event_Cancelar_partidaActionPerformed

private void Ini_AtaqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ini_AtaqueActionPerformed
// TODO add your handling code here:
    this.op= 1;
    if (Check_Esp.isSelected() == true)
        Modo_Seleccionado.setText("Modo de Ataque");
    else
        Modo_Seleccionado.setText("Attack Mode");
    Ataque.setVisible(false);
}//GEN-LAST:event_Ini_AtaqueActionPerformed

private void Aceptar_capitalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Aceptar_capitalActionPerformed
// TODO add your handling code here:
    Territorios nuevo;
    
    nuevo= this.jugadores[turno].getTerritorioPorNombre((String)Combo_Territorio.getSelectedItem());
    this.jugadores[turno].setTerr_defender(Combo_Territorio.getSelectedItem()+"");
    Seleccionado(nuevo.getIdTerritorio(),2);
    Selecionar_Capital.setVisible(false);
}//GEN-LAST:event_Aceptar_capitalActionPerformed

private void Boton_OkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Boton_OkActionPerformed
// TODO add your handling code here:
    Mensaje.setVisible(false);
}//GEN-LAST:event_Boton_OkActionPerformed

private void Habilitar_MensajeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Habilitar_MensajeActionPerformed
// TODO add your handling code here:
    Aviso.setSelected(false);
}//GEN-LAST:event_Habilitar_MensajeActionPerformed

private void Ub_CanActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ub_CanActionPerformed
// TODO add your handling code here:
    Ubicar_Ejercitos2.setVisible(false);
    Modo_Seleccionado.setText("");
}//GEN-LAST:event_Ub_CanActionPerformed

private void Ub_OkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ub_OkActionPerformed
// TODO add your handling code here:
    int val= 0;
    
    if (Combo_Ejercitos.getSelectedIndex() != 10){
        val= Integer.parseInt(Combo_Ejercitos.getSelectedItem().toString());
        if (val <= this.jugadores[turno].getN_ejercitos())
        this.jugadores[turno].Ubicar_Ejercitos(this.origen, val);
    }
    else
        this.jugadores[turno].Ubicar_Ejercitos_Automatico();
                
    if (this.jugadores[turno].NoAsignado() != true){
        //Atacar_Ter.setEnabled(true);
        Trasladar_Ejer.setEnabled(true);
    }
    
    Ubicar_Ejercitos2.setVisible(false);   
    Modo_Seleccionado.setText("");
    this.op= 0;
}//GEN-LAST:event_Ub_OkActionPerformed

private void Combo_EjercitosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Combo_EjercitosActionPerformed
// TODO add your handling code here:
    int val= 0;
    
    
    if (Combo_Ejercitos.getSelectedIndex() != 10){
        val= Integer.parseInt(Combo_Ejercitos.getSelectedItem().toString());
        if (val > this.jugadores[turno].getN_ejercitos()){
            if (Check_Esp.isSelected() == true)
                Mensaje("Falta Ejercitos","Ests asignando ms ejercitos de lo que dispones. " +
                        "Selecciona de nuevo.");
            else
                Mensaje("Lack Armies","Armies are allocating more of what you have. Select again.");
                
            Combo_Ejercitos.setSelectedIndex(0);
        }
    }
}//GEN-LAST:event_Combo_EjercitosActionPerformed

private void OK_Info2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OK_Info2ActionPerformed
// TODO add your handling code here:
    Info_Territorio2.setVisible(false);
    Modo_Seleccionado.setText("");
}//GEN-LAST:event_OK_Info2ActionPerformed

private void Boton_mision_OkActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Boton_mision_OkActionPerformed
// TODO add your handling code here:
    Mision_Secreta.setVisible(false);
}//GEN-LAST:event_Boton_mision_OkActionPerformed

private void Ub_Ok1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ub_Ok1ActionPerformed
// TODO add your handling code here:
    this.jugadores[turno].Trasladar_Tropas(this.origen,this.destino,Combo_Ejercitos1.getSelectedIndex());
    Trasladar_Ejercito2.setVisible(false);
    Modo_Seleccionado.setText("");
}//GEN-LAST:event_Ub_Ok1ActionPerformed

private void Ub_Can1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ub_Can1ActionPerformed
// TODO add your handling code here:
    this.op= 0;
    this.seleccion= 1;
    Modo_Seleccionado.setText("");
    Sel_Origen.setText("");
    jText_Ori.setText("");
    Sel_Destino.setText("");
    jText_Des.setText("");
    Trasladar_Ejercito2.setVisible(false);
}//GEN-LAST:event_Ub_Can1ActionPerformed

private void Cancelar_ataqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancelar_ataqueActionPerformed
// TODO add your handling code here:
    this.op= 0;
    this.seleccion= 1;
    Modo_Seleccionado.setText("");
    Sel_Origen.setText("");
    jText_Ori.setText("");
    Sel_Destino.setText("");
    jText_Des.setText("");
    Combo_Ejercitos.setSelectedIndex(0);
    Ataque1.setVisible(false);
}//GEN-LAST:event_Cancelar_ataqueActionPerformed

private void jComboBox_DadosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox_DadosActionPerformed
// TODO add your handling code here:
    int val= 0;
    
    Atacar.setEnabled(true);
    val= Integer.parseInt(jComboBox_Dados.getSelectedItem().toString());

    if (val > this.origen.getEjercitos()){
        if (Check_Esp.isSelected() == true)
            Mensaje("Seleccin de dados","Solo puedes utilizar como mximo "
                     + this.origen.getEjercitos() +" dados. Selecciona de nuevo.");
        else
            Mensaje("Selection of dice","You can only use a maximum "
                     + this.origen.getEjercitos() +" dice. Select again.");
            
         jComboBox_Dados.setSelectedIndex(0);
    }
    else{
        switch (val){
            case 1: Dado1_ata.setText("0");
                    Dado1_ata.setVisible(true);
                    Dado2_ata.setVisible(false);
                    Dado3_ata.setVisible(false);
                    break;
            case 2: Dado1_ata.setText("0");
                    Dado1_ata.setVisible(true);
                    Dado2_ata.setText("0");
                    Dado2_ata.setVisible(true);
                    Dado3_ata.setVisible(false);
                    break;
            case 3: Dado1_ata.setText("0");
                    Dado1_ata.setVisible(true);
                    Dado2_ata.setText("0");
                    Dado2_ata.setVisible(true);
                    Dado3_ata.setText("0");
                    Dado3_ata.setVisible(true);
                    break;    
        }
        if (this.destino.getEjercitos() >= 2){
           if (val != 0){ 
            Dado1_def.setText("0");
            Dado1_def.setVisible(true);
            Dado2_def.setText("0");
            Dado2_def.setVisible(true);            
           } 
        }   
        else
            if (val != 0){
                Dado1_def.setText("0");
                Dado1_def.setVisible(true);
                Dado2_def.setVisible(false);            
            }    
        
    }     

}//GEN-LAST:event_jComboBox_DadosActionPerformed

private void Cancelar_OperacionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancelar_OperacionActionPerformed
// TODO add your handling code here:
    this.op= 0;
    this.seleccion= 1;
    Modo_Seleccionado.setText("");
}//GEN-LAST:event_Cancelar_OperacionActionPerformed

private void AtacarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AtacarActionPerformed
// TODO add your handling code here:
    int dado_def= 0;

        if (this.destino.getEjercitos() >= 2)
            dado_def= 2;
        else
            dado_def= 1;

    this.juego.Ataque(this.jugadores[turno],this.jugadores[this.usuario_sele], this.origen, this.destino, Integer.parseInt(jComboBox_Dados.getSelectedItem().toString()), dado_def, this.dados);
    Atacar.setEnabled(false);
}//GEN-LAST:event_AtacarActionPerformed

private void Panel_TableroMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Panel_TableroMouseClicked
// TODO add your handling code here:
    Rellenar_Tabla();
}//GEN-LAST:event_Panel_TableroMouseClicked

    @SuppressWarnings("static-access")
private void Item_GuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Item_GuardarActionPerformed
// TODO add your handling code here:
    JOptionPane pane= new JOptionPane();   
    Ent_Jugador jug;
    Ent_Territorios ter;
    Ent_Mision mis;
    Ent_Partida par;
    Calendar cal= Calendar.getInstance();
    String dia= "";
   
    dia= String.valueOf(Calendar.DAY_OF_WEEK)+"-"+String.valueOf(Calendar.DAY_OF_YEAR);    

    int returnValue= JOptionPane.CANCEL_OPTION;

  
    while (returnValue != JOptionPane.YES_OPTION){
       returnValue= JOptionPane.showConfirmDialog(pane, "Desea guardar la partida?", "Guardar partida",JOptionPane.YES_NO_CANCEL_OPTION);   
       
      if (returnValue == JOptionPane.YES_OPTION) {
        par= new Ent_Partida();
        par.setNum_jugadores(this.num_jug);
        par.setModo_juego(this.modo_juego);
        par.setTurno(this.turno);
        par.setDia(dia);
        ControladorBD.add(par);
    
        for (int i= 0; i< this.num_jug; i++){
            jug= new Ent_Jugador();
           
            jug.setNombre_jug(this.jugadores[i].getNombre_jug());
            jug.setId_jug(this.jugadores[i].getId_jug());
            jug.setComodin1(this.jugadores[i].getComodin1());
            jug.setComodin2(this.jugadores[i].getComodin2());
            jug.setN_ejercitos(this.jugadores[i].getN_ejercitos());
            jug.setN_territorios(this.jugadores[i].getnumTerritorios());
            jug.setEliminado(this.jugadores[i].isEliminado());
            jug.setTerr_defender(this.jugadores[i].getTerr_defender());
            jug.setTerr_perdido(this.jugadores[i].isTerr_defe());
            jug.setEjer_asignado(this.jugadores[i].getEjer_asignado());
            jug.setNum_mision(this.jugadores[i].getNum_mision());
            jug.setDia(dia);
            
            if (this.modo_juego == 2){
                mis= new Ent_Mision();
                
                mis.setNom_misiones_esp(this.jugadores[i].getMision().getNom_misiones_esp());
                mis.setNom_cont1(this.jugadores[i].getMision().getNom_cont1());     
                mis.setNom_cont2(this.jugadores[i].getMision().getNom_cont2());
                mis.setNum_terr_obj1(this.jugadores[i].getMision().getNum_terr_obj1());
                mis.setNum_terr_obj2(this.jugadores[i].getMision().getNum_terr_obj2());
                mis.setCompletado_obj1(this.jugadores[i].getMision().getCompletado_obj1());
                mis.setCompletado_obj2(this.jugadores[i].getMision().getCompletado_obj2());
                mis.setNum_mision(this.jugadores[i].getMision().getNum_mision());
                mis.setDia(dia);
                //ControladorBD.add(mis);
                jug.setMision(mis);
            }            
            
            for (int j= 0; j < this.jugadores[i].getnumTerritorios(); j++){
                ter= new Ent_Territorios();
                
                ter.setMEjercitos(this.jugadores[i].getTerritorios_One(j).getEjercitos());
                ter.setNombre(this.jugadores[i].getTerritorios_One(j).getNombre());
                ter.setIdTerritorio(this.jugadores[i].getTerritorios_One(j).getIdTerritorio());
                ter.setNVecinos(this.jugadores[i].getTerritorios_One(j).getNVecinos());
                ter.setPropietario(this.jugadores[i].getTerritorios_One(j).getPropietario());
                ter.setContinente(this.jugadores[i].getTerritorios_One(j).getContinente());
                ter.setTipo_soldado(this.jugadores[i].getTerritorios_One(j).getTipo_soldado());
                ter.setCanjeado(this.jugadores[i].getTerritorios_One(j).isCanjeado());
                ter.setDia(dia);
                
                ControladorBD.add(ter);
                //jug.setMisTerritorios(ter);
            }    
            
            System.out.println(jug.toString());
            ControladorBD.add(jug);
            System.out.println("Se ha insertado al jugador: "+this.jugadores[i].getNombre_jug());
        }   
        if (Check_Esp.isSelected() == true)
            Modo_Seleccionado.setText("Datos guardado");  
        else
            Modo_Seleccionado.setText("Data saved");  
      }
      else{
           if (returnValue == JOptionPane.NO_OPTION) {
               if (Check_Esp.isSelected() == true)
                   Modo_Seleccionado.setText("Datos no guardado"); 
               else
                   Modo_Seleccionado.setText("Unsaved data"); 
               
               returnValue= JOptionPane.YES_OPTION;
           }
           else
               returnValue= JOptionPane.YES_OPTION;
      }
    }
    
}//GEN-LAST:event_Item_GuardarActionPerformed

private void Item_ContinuarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Item_ContinuarActionPerformed
// TODO add your handling code here:
    JList jList1 = new javax.swing.JList();
    String cadena="", pro_idTer="", numEjer="", idJug_mis_ejer="", nombre="", terri_def="";
    String num_jug_modo_juego="", comparar="", comparar2="";
    int j= 0, fin= 0, ini= 0;

       Inicializar();
      /* 
       jList1.setListData(ControladorBD.getData_Partida().toArray(new Object[] {}));
       num_jug_modo_juego= jList1.getModel().getElementAt(0).toString();
       
       this.juego.setNum_jugadores(this.num_jug= Integer.parseInt(num_jug_modo_juego.substring(0, 1)));
       this.juego.setModo_juego(this.modo_juego= Integer.parseInt(num_jug_modo_juego.substring(1, 2)));
       comparar= num_jug_modo_juego.substring(3);
       
       jList1.removeAll();
       jList1.setListData(ControladorBD.getData_Jugador().toArray(new Object[] {}));       
       //Para los Jugadores
       while (j < jList1.getModel().getSize() && j < this.num_jug){
        cadena= jList1.getModel().getElementAt(j).toString();
        //Preparado para los jugadores

        //nombre= cadena.substring(0, cadena.lastIndexOf(","));
        this.jugadores[j].setNombre_jug(cadena.substring(0, cadena.lastIndexOf(",")));
        

        
        ini= cadena.lastIndexOf(",")+1;

        idJug_mis_ejer= cadena.substring(ini, cadena.lastIndexOf(":"));
        
        this.jugadores[j].setId_jug(Integer.parseInt(idJug_mis_ejer.substring(0, 1)));
        this.jugadores[j].setNum_mision(Integer.parseInt(idJug_mis_ejer.substring(1, 2)));
        if (this.jugadores[j].getNum_mision() != 0)
            this.jugadores[j].setMision(this.juego.getMision(this.jugadores[j].getNum_mision()-1));
        

        this.jugadores[j].setN_ejercitos(Integer.parseInt(idJug_mis_ejer.substring(2)));
        
        ini= cadena.lastIndexOf(":");
        terri_def= cadena.substring(ini+1, cadena.lastIndexOf("."));
        if (terri_def.compareTo("") != 0)
            this.jugadores[j].setTerr_defender(terri_def);
        
        comparar2= cadena.substring(cadena.lastIndexOf(".")+1, cadena.lastIndexOf(";"));
        
        j++;
       } 

       j= 0;
       jList1.removeAll();
       jList1.setListData(ControladorBD.getData_Territorio().toArray(new Object[] {}));
       //Para los Territorios
       while (j < jList1.getModel().getSize()){
        cadena= jList1.getModel().getElementAt(j).toString();
        //Preparado para los territorios
        fin= cadena.lastIndexOf("(");
        pro_idTer= cadena.substring(0, fin);
        
        
        ini= cadena.indexOf("(") + 1;
        fin= cadena.lastIndexOf(".");
        numEjer= cadena.substring(ini, fin);

        j++;
       }     */
}//GEN-LAST:event_Item_ContinuarActionPerformed

private void CheckBox_TodoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CheckBox_TodoActionPerformed
// TODO add your handling code here:
        String tipo="", estado= "";

        Limpiar_Tabla();
        
        for (int i= 0; i < this.jugadores[turno].getNum_cartas(); i++) {
            Cartas_Territorios.setValueAt(i + 1, i, 0);
            Cartas_Territorios.setValueAt(this.jugadores[turno].getCartas(i).getNombre(), i, 1);
            Cartas_Territorios.setValueAt(this.jugadores[turno].getCartas(i).getContinente(), i, 2);
            switch (this.jugadores[turno].getCartas(i).getTipo_soldado()){
                case 1: tipo= "Soldado Elite"; break;
                case 2: tipo= "Guerrera"; break;
                case 3: tipo= "Espartano"; break;   
            }
            Cartas_Territorios.setValueAt(tipo, i, 3);
            
            if (this.jugadores[turno].getCartas(i).isCanjeado() == false)
                estado= "No Canjeado";
            else
                estado= "Canjeado";
           
            Cartas_Territorios.setValueAt(estado, i, 4);
        }
}//GEN-LAST:event_CheckBox_TodoActionPerformed

private void CheckBox_CanjeadasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CheckBox_CanjeadasActionPerformed
// TODO add your handling code here:
        String tipo="";
        int i= 0;
        
        Limpiar_Tabla();
        
        while (i < this.jugadores[turno].getNum_cartas()) {
            if (this.jugadores[turno].getCartas(i).isCanjeado() == true){
                Cartas_Territorios.setValueAt(i + 1, i, 0);
                Cartas_Territorios.setValueAt(this.jugadores[turno].getCartas(i).getNombre(), i, 1);
                Cartas_Territorios.setValueAt(this.jugadores[turno].getCartas(i).getContinente(), i, 2);
                switch (this.jugadores[turno].getCartas(i).getTipo_soldado()){
                    case 1: tipo= "Soldado Elite"; break;
                    case 2: tipo= "Guerrera"; break;
                    case 3: tipo= "Espartano"; break;   
                }
                Cartas_Territorios.setValueAt(tipo, i, 3);
                Cartas_Territorios.setValueAt("Canjeado", i, 4);
            }
            i++;
        }
}//GEN-LAST:event_CheckBox_CanjeadasActionPerformed

private void Cartas_TerritoriosMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_Cartas_TerritoriosMouseClicked
// TODO add your handling code here:
    String tipo_carta="", cadena="";
    int seleccionado= 0;
    
    seleccionado= Cartas_Territorios.getSelectedRow();
    
    cadena= String.valueOf(Cartas_Territorios.getModel().getValueAt(seleccionado, Cartas_Territorios.getSelectedColumn()));
    if (cadena.compareTo("") != 0)
      if (this.jugadores[turno].getCartas(seleccionado).isCanjeado() != true){
        this.sel_carta++;

        switch (this.jugadores[turno].getCartas(seleccionado).getTipo_soldado()){
            case 1: tipo_carta= dir+"Soldado_Elite.png";break;
            case 2: tipo_carta= dir+"Guerrera.png";break;
            case 3: tipo_carta= dir+"Espartano.png";break;
        }
        if (this.sel_carta == 1) {
            Soldado_Elite.setVisible(true);
            Soldado_Elite.setIcon(new javax.swing.ImageIcon(getClass().getResource(tipo_carta))); 
            this.carta1= seleccionado;
            if (Check_Esp.isSelected() == true)
                jLabel60.setText("Seleccionada fila: "+(seleccionado+1));
            else
                jLabel60.setText("Selected row: "+(seleccionado+1));
        }
    
        if (this.sel_carta == 2) {
            this.carta2= seleccionado;            
            if (this.carta1 != this.carta2){
                Guerrera.setVisible(true);
                Guerrera.setIcon(new javax.swing.ImageIcon(getClass().getResource(tipo_carta))); 
                Canjear_cartas.setEnabled(true);  
                this.activar= 1;
                if (Check_Esp.isSelected() == true)
                    jLabel61.setText("Seleccionada fila: "+(seleccionado+1));
                else
                    jLabel61.setText("Selected row: "+(seleccionado+1));
            }    
            else
                this.sel_carta= 1;
        }
    
        if (this.sel_carta == 3) {
            this.carta3= seleccionado;            
            if (this.carta1 != this.carta3 && this.carta2 != this.carta3){
                Espartano.setVisible(true);
                Espartano.setIcon(new javax.swing.ImageIcon(getClass().getResource(tipo_carta))); 
                Canjear_cartas.setEnabled(true);
                this.activar= 0;
                if (Check_Esp.isSelected() == true)
                    jLabel62.setText("Seleccionada fila: "+(seleccionado+1));
                else
                    jLabel62.setText("Selected row: "+(seleccionado+1));
            }    
            else
                this.sel_carta= 2;
        } 
      }
      else{
        if (Check_Esp.isSelected() == true)
            Mensaje("Cambiar Carta",this.jugadores[turno].getNombre_jug()+" ya has canjeado la carta del " +
                    "territorio " +this.jugadores[turno].getCartas(seleccionado).getNombre());
        else
            Mensaje("Charter Change",this.jugadores[turno].getNombre_jug()+" you have redeemed the letter from the territory " +this.jugadores[turno].getCartas(seleccionado).getNombre());
            
      }  
    
}//GEN-LAST:event_Cartas_TerritoriosMouseClicked

private void CheckBox_NocanjeadaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CheckBox_NocanjeadaActionPerformed
// TODO add your handling code here:
        String tipo="";
        int i= 0;
        
        Limpiar_Tabla();
        
        while (i < this.jugadores[turno].getNum_cartas()) {
            if (this.jugadores[turno].getCartas(i).isCanjeado() == false){
                Cartas_Territorios.setValueAt(i + 1, i, 0);
                Cartas_Territorios.setValueAt(this.jugadores[turno].getCartas(i).getNombre(), i, 1);
                Cartas_Territorios.setValueAt(this.jugadores[turno].getCartas(i).getContinente(), i, 2);
                switch (this.jugadores[turno].getCartas(i).getTipo_soldado()){
                    case 1: tipo= "Soldado Elite"; break;
                    case 2: tipo= "Guerrera"; break;
                    case 3: tipo= "Espartano"; break;   
                }
                Cartas_Territorios.setValueAt(tipo, i, 3);
                Cartas_Territorios.setValueAt("No Canjeado", i, 4);
            }
            i++;
        }
}//GEN-LAST:event_CheckBox_NocanjeadaActionPerformed

private void Canjear_cartasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Canjear_cartasActionPerformed
// TODO add your handling code here:
    boolean entrar= true;
   

    
    if (this.activar != 1) {
    //Cartas del tipo 1: Soldado Elite
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 1 &&
        this.jugadores[turno].getCartas(this.carta3).getTipo_soldado() == 1 &&
        this.sel_carta == 3){
        
        this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,this.carta3,1);
        Soldado_Elite.setVisible(false);
        Guerrera.setVisible(false);
        Espartano.setVisible(false);  
        entrar= false;
    }    
    }

    if (this.activar != 1) {    
    //Cartas del tipo 2: Guerrera
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 2 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2 &&
        this.jugadores[turno].getCartas(this.carta3).getTipo_soldado() == 2 &&
        this.sel_carta == 3){
        
        this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,this.carta3,2);
        Soldado_Elite.setVisible(false);
        Guerrera.setVisible(false);
        Espartano.setVisible(false);  
        entrar= false;
    } 
    }

    if (this.activar != 1) {    
    //Cartas del tipo 3: Espartano
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 3 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 3 &&
        this.jugadores[turno].getCartas(this.carta3).getTipo_soldado() == 3 &&
        this.sel_carta == 3){
        
        this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,this.carta3,3);
        Soldado_Elite.setVisible(false);
        Guerrera.setVisible(false);
        Espartano.setVisible(false);   
        entrar= false;
    }
    }    

    if (this.activar != 1) {
    //Cartas de distinto tipo
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2 &&
        this.jugadores[turno].getCartas(this.carta3).getTipo_soldado() == 3 &&
        this.sel_carta == 3){
        
        this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,this.carta3,4);
        Soldado_Elite.setVisible(false);
        Guerrera.setVisible(false);
        Espartano.setVisible(false); 
        entrar= false;
    }    
    }

    //Combinaciones de cartas del tipo 1 ms un comodin    
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 1 &&
        this.carta3 != 0){
        
        if (this.carta3 == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Usar Comodin",this.jugadores[turno].getNombre_jug()+" tienes que usar" +
                    " un comodin para canjear");
            else
                Mensaje("Use wildcards",this.jugadores[turno].getNombre_jug()+" you have to use a wildcard to redeem");
                
            entrar= false;
        }    
        else{
            this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,-1,5);            
            Soldado_Elite.setVisible(false);
            Guerrera.setVisible(false);
            Espartano.setVisible(false); 
            entrar= false;
        }
    }

    //Combinaciones de cartas del tipo 2 ms un comodin    
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 2 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2 &&
        this.carta3 != 0){
        
        if (this.carta3 == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Usar Comodin",this.jugadores[turno].getNombre_jug()+" tienes que usar" +
                    " un comodin para canjear");
            else
                Mensaje("Use wildcards",this.jugadores[turno].getNombre_jug()+" you have to use a wildcard to redeem");
            
            entrar= false;
        }    
        else{
            this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,-1,6);            
            Soldado_Elite.setVisible(false);
            Guerrera.setVisible(false);
            Espartano.setVisible(false);  
            entrar= false;
        }
    }

    //Combinaciones de cartas del tipo 3 ms un comodin    
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 3 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 3 &&
        this.carta3 != 0){
        
        if (this.carta3 == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Usar Comodin",this.jugadores[turno].getNombre_jug()+" tienes que usar" +
                    " un comodin para canjear");
            else
                Mensaje("Use wildcards",this.jugadores[turno].getNombre_jug()+" you have to use a wildcard to redeem");
            
            entrar= false;
        }    
        else{
            this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,-1,7);            
            Soldado_Elite.setVisible(false);
            Guerrera.setVisible(false);
            Espartano.setVisible(false);  
            entrar= false;
        }
    }        

    //Combinaciones de cartas diferentes ms un comodin    
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2 &&
        this.carta3 != 0){
        
        if (this.carta3 == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Usar Comodin",this.jugadores[turno].getNombre_jug()+" tienes que usar" +
                    " un comodin para canjear");
            else
                Mensaje("Use wildcards",this.jugadores[turno].getNombre_jug()+" you have to use a wildcard to redeem");
            
            entrar= false;
        }    
        else{
            this.juego.Canjear_Cartas(this.jugadores[turno],this.carta1,this.carta2,-1,8);            
            Soldado_Elite.setVisible(false);
            Guerrera.setVisible(false);
            Espartano.setVisible(false); 
            entrar= false;
        }
    }
    
    if (entrar == true){
        if (Check_Esp.isSelected() == true)
            Mensaje("Combinacin de Cartas",this.jugadores[turno].getNombre_jug()+" tienes que seleccionar" +
                " primero la carta de tipo Soldado de Elite despues la carta Guerrera y por ltimo" +
                " la carta de tipo Espartano o combinar tres cartas del mismo tipo.");
        else
            Mensaje("Combination Card",this.jugadores[turno].getNombre_jug()+" by selecting the first letter of " +
                    "elite soldiers then type the letter Guerrera and finally type the letter Espartano or " +
                    "combine three cards of the same type.");
        
    }

    
        
    Canjear_cartas.setEnabled(false);
    Soldado_Elite.setVisible(false);
    Guerrera.setVisible(false);
    Espartano.setVisible(false);           
    
    this.carta1= 0;
    this.carta2= 0;
    this.carta3= 0;
    this.activar= 0;
    this.sel_carta= 0;
    jLabel60.setText("");
    jLabel61.setText("");
    jLabel62.setText("");
}//GEN-LAST:event_Canjear_cartasActionPerformed

private void Comodin2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Comodin2ActionPerformed
// TODO add your handling code here:
   if (this.activar == 1){ 
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 1){
        this.carta3= 1;
        this.jugadores[turno].setComodin2(false);
        Comodin2.setEnabled(false);
        this.asig_com++;
    }    
    else
        if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 2 &&
            this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2){
            this.carta3= 2;
            this.jugadores[turno].setComodin2(false);
            Comodin2.setEnabled(false);
            this.asig_com++;
        }    
        else
            if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 3 &&
                this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 3){
                this.carta3= 3;
                this.jugadores[turno].setComodin2(false);
                Comodin2.setEnabled(false);
                this.asig_com++;
            } 
            else{
                if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
                    this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2){
                    this.carta3= 4;
                    this.jugadores[turno].setComodin2(false);
                    Comodin2.setEnabled(false);
                    this.asig_com++;
                }         
            }
   } 
   else{
       if (Check_Esp.isSelected() == true)
            Mensaje("Comodin 2",this.jugadores[turno].getNombre_jug()+" tienes que seleccionar por lo menos" +
                   " dos cartas");
       else
            Mensaje("wildcards 2",this.jugadores[turno].getNombre_jug()+" you must select at least two letters");
           
   }    
}//GEN-LAST:event_Comodin2ActionPerformed

private void Comodin1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Comodin1ActionPerformed
// TODO add your handling code here:
   if (this.activar == 1){
    if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
        this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 1){
        this.carta3= 1;
        this.jugadores[turno].setComodin1(false);
        Comodin1.setEnabled(false);
        this.asig_com++;
    }    
    else
        if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 2 &&
            this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2){
            this.carta3= 2;
            this.jugadores[turno].setComodin1(false);
            Comodin1.setEnabled(false);
            this.asig_com++;
        }    
        else
            if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 3 &&
                this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 3){
                this.carta3= 3;
                this.jugadores[turno].setComodin1(false);
                Comodin1.setEnabled(false);
                this.asig_com++;
            }
            else{
                if (this.jugadores[turno].getCartas(this.carta1).getTipo_soldado() == 1 &&
                    this.jugadores[turno].getCartas(this.carta2).getTipo_soldado() == 2){
                    this.carta3= 4;
                    this.jugadores[turno].setComodin1(false);
                    Comodin1.setEnabled(false);
                    this.asig_com++;
                }                 
            }
   } 
   else{
       if (Check_Esp.isSelected() == true)
            Mensaje("Comodin 1",this.jugadores[turno].getNombre_jug()+" tienes que seleccionar por lo menos" +
                   " dos cartas");
       else
            Mensaje("wildcards 1",this.jugadores[turno].getNombre_jug()+" you must select at least two letters");
           
   }
}//GEN-LAST:event_Comodin1ActionPerformed

private void Cancelar_SeleccionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancelar_SeleccionActionPerformed
// TODO add your handling code here:
    Canjear_cartas.setEnabled(false);
    Soldado_Elite.setVisible(false);
    Guerrera.setVisible(false);
    Espartano.setVisible(false);           
    
    this.carta1= 0;
    this.carta2= 0;
    this.carta3= 0;
    this.activar= 0;
    this.sel_carta= 0;
    jLabel60.setText("");
    jLabel61.setText("");
    jLabel62.setText("");

}//GEN-LAST:event_Cancelar_SeleccionActionPerformed

private void AyudaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AyudaActionPerformed
// TODO add your handling code here:
    Rectangle dimension;
    
    dimension= this.ayuda.getBounds();
    
    this.ayuda.setSize(dimension.width, dimension.height);
    this.ayuda.setLocation((this.ancho - dimension.width)/2,(this.alto - dimension.height)/2);
    this.ayuda.setVisible(true);
}//GEN-LAST:event_AyudaActionPerformed

private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
// TODO add your handling code here:
    Estadistica.setVisible(false);
}//GEN-LAST:event_jButton1ActionPerformed

private void jMenuItem1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem1ActionPerformed
// TODO add your handling code here:
    Estadistica.setVisible(true); 
}//GEN-LAST:event_jMenuItem1ActionPerformed

private void Check_EspActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Check_EspActionPerformed
// TODO add your handling code here:
    String modo="";
    //Version en Espaol
  
    super.setTitle("Juego Risk");
    
  
    
    if (Modo_1.isSelected() == true){
        modo= "Modo de Juego: Conquista el mundo";
    }    

    if (Modo_2.isSelected() == true){
        modo= "Modo de Juego: Misin Secreta";
    }    

    if (Modo_3.isSelected() == true)
        modo= "Modo de Juego: Defiende tu territorio";
    
    
    Modo_JuegoSel.setText(modo);    
    
    
  
    //Menu principal
    Menu_Jugar.setText("Jugar");
    Item_Nueva_Partida.setText("Nueva Partida");
    Item_Continuar.setText("Continuar Partida");
    Item_Guardar.setText("Guardar Partida");
    jMenuItem1.setText("Estadisticas");
    Item_Salir.setText("Salir");
    
    Menu_Idioma.setText("Herramientas");
    Idiomas.setText("Seleccin de Idiomas");
    Check_Esp.setText("Espaol");
    Check_Ing.setText("Ingles");
    Habilitar_Mensaje.setText("Habilitar Mensajes");
    
    Menu_Ayuda.setText("Ayuda");
    Ayuda.setText("Ayuda sobre como jugar");
    
    //Botones del panel de abajo
    jLabel10.setText("N Ejercitos Asignados:");
    jLabel11.setText("N Ejercitos Sin Asignar:");
    jLabel12.setText("Territorios Ocupados:");
    Atacar_Ter.setText("Atacar Territorio");
    Atacar_Ter.setToolTipText("Inicia el Ataque");
    Trasladar_Ejer.setText("Trasladar Ejercitos");
    Trasladar_Ejer.setToolTipText("Traslada Ejercitos");        
    Info_Ter.setText("Informacin Territorio");
    Info_Ter.setToolTipText("Muestra informacin del territorio seleccionado");
    Ubicar_Ejer.setText("Ubicar Ejercitos");
    Ubicar_Ejer.setToolTipText("Asigna Ejercitos");
    Mision_Sec.setText("Estado de la Misin");
    Mision_Sec.setToolTipText("Muestra la Misin Secreta");
    Cancelar_Operacion.setText("Cancelar Opcin");
    Terminar_Turno.setText("Terminar Turno");
    Terminar_Turno.setToolTipText("Finaliza el turno del Jugador");
    
    //Segunda pestaa
    Canjear_cartas.setText("Canjear Cartas");
    Comodin1.setText("Usar Comodin 1");
    Comodin2.setText("Usar Comodin 2");
    Cancelar_Seleccion.setText("Cancelar");
    jLabel40.setText("Tres Soldados Elites equivale a 1 Ejercito");
    jLabel51.setText("Tres Guerrera equivale a 5 Ejercito");
    jLabel55.setText("Tres Espartanos equivale a 10 Ejercito");
    jLabel59.setText("4 ejercitos la primera ronda");
    jLabel63.setText("Ronda de Canjeo");
    CheckBox_Todo.setText("Mostrar todas las cartas");
    CheckBox_Canjeadas.setText("Cartas Canjeadas");
    CheckBox_Nocanjeada.setText("Cartas No Canjeadas");
    
    //jDialog Ataque
    Ataque.setTitle("Modo de Ataque");
    jLabel1.setText("Seleccione el territorio de origen y destino para iniciar ataque");
    Ini_Ataque.setText("Iniciar Ataque");
    Can_Ataque.setText("Cancelar Ataque");
    
    //jDialog Ataque 2
    Ataque1.setTitle("Modo de Ataque");
    jLabel42.setText("Territorio Atacante");
    jLabel43.setText("Territorio Atacado");
    jLabel44.setText("Nmero de Ejercitos");
    jLabel45.setText("Nmero de Ejercitos");
    jLabel48.setText("Nmero de dado de Ataque a usar:");
    jLabel49.setText("Dados de Ataque");
    jLabel50.setText("Dados Defensivos");
    Atacar.setText("Atacar");
    Cancelar_ataque.setText("Cancelar Ataque");
    
    //jDialog Ubicar Ejercitos
    Ubicar_Ejercito.setTitle("Seleccionar Territorio");
    jLabel2.setText("Seleccione su territorio para ubicar ejercitos");
    Ini_Sele.setText("Iniciar Seleccin");
    Can_Sele.setText("Cancelar");
    
    //jDialog Ubicar Ejercitos 2
    Ubicar_Ejercitos2.setTitle("Asignacin de Ejercitos");
    jLabel13.setText("Territorio Seleccionado:");
    jLabel16.setText("Ejercitos Disponibles:");
    jLabel14.setText("Ejercitos Asignados:");
    jLabel15.setText("Ejercitos a Asignar:");
    Ub_Can.setText("Cancelar");
    
    //jDialog Trasladar Ejercitos
    Trasladar_Ejercito.setTitle("Trasladar Ejercitos");
    jLabel3.setText("Seleccione el territorio de origen y destino para trasladar ejercitos");
    Ini_Traslado.setText("Iniciar Traslado");
    Can_Traslado.setText("Cancelar");
    
    //jDialog Trasladar Ejercitos 2
    Trasladar_Ejercito2.setTitle("Traslado de Ejercitos");
    jLabel35.setText("Territorio Origen Seleccionado:");
    jLabel36.setText("Ejercitos Asignados:");
    jLabel37.setText("Ejercitos a Enviar:");
    jLabel38.setText("Territorio Destino Seleccionado:");
    jLabel39.setText("Ejercitos Asignados:");
    Ub_Can1.setText("Cancelar");
    
    //jDialog Info
    Info_Territorio.setTitle("Informacin del Territorio");
    jLabel4.setText("Seleccione el territorio para mostrar su informacin");
    Sel_Territorio.setText("Seleccionar Territorio");
    Can_seleccion.setText("Cancelar");
    
    //jDialog info 2
    Info_Territorio2.setTitle("Informacin del territorio");
    jLabel19.setText("Territorio al que pertenece:");
    jLabel18.setText("Territorio Seleccionado:");
    jLabel20.setText("Contienente al que pertenece:");
    jLabel21.setText("N de Ejercitos Asignados:");
    jLabel25.setText("Carta Soldado del Territorio:");
    jLabel22.setText("Territorios vecinos:");
    
    //jDialog Nueva partida
    Nueva_Part.setTitle("Nueva Partida");
    Modo_1.setText("Conquista el mundo");
    Modo_1.setToolTipText("Conquista todos los territorios y ganaras");
    Modo_2.setText("Misin Secreta");
    Modo_2.setToolTipText("Completa la misin y ganaras");            
    Modo_3.setText("Defiende tu territorio");
    Modo_3.setToolTipText("Acaba con tus oponentes y ganaras");                        
    Ronda_juego.setText("Nmero de Ronda:");
    jCheckBox1.setText("2 Jugadores");
    jCheckBox2.setText("3 Jugadores");
    jCheckBox3.setText("4 Jugadores");
    jText_Jug_1.setText("Jugador 1");
    jText_Jug_2.setText("Jugador 2");
    jText_Jug_3.setText("Jugador 3");
    jText_Jug_4.setText("Jugador 4");     
    jLabel5.setText("Jugador 1");
    jLabel6.setText("Jugador 2");
    jLabel7.setText("Jugador 3");
    jLabel8.setText("Jugador 4");
    Aceptar_partida.setText("Aceptar");
    Cancelar_partida.setText("Cancelar");
    
    //jDialog Mision Secreta
    Mision_Secreta.setTitle("Estado de la Misin");
    jLabel28.setText("Misin nmero:");
    jLabel27.setText("Objetivo de la misin:");
    jLabel29.setText("Objetivo 1:");
    jLabel30.setText("Objetivo 2:");            
    jLabel31.setText("Territorio conquistado del objetivo 1:");
    jLabel32.setText("Territorio conquistado del objetivo 2:");
    jLabel33.setText("de");
    jLabel34.setText("de");
    
    //jDialog Seleccionar Capital
    Selecionar_Capital.setTitle("Seleccione el Territorio a Defender");
    jLabel9.setText("Seleccione el territorio a defender");
    
    //jDialog Mensaje
    Aviso.setText("No mostrar ms mensajes de aviso");
    
    //jDialog Estadistica
    Estadistica.setTitle("Resultado");
    jLabel65.setText("Resultado de la partida.");
}//GEN-LAST:event_Check_EspActionPerformed

private void Check_IngActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Check_IngActionPerformed
// TODO add your handling code here:
    String modo="";    
    //Version en Ingles

    if (Modo_1.isSelected() == true){
        modo= "Game Mode: Secret Mission";
    }    

    if (Modo_2.isSelected() == true){
        modo= "Game Mode: Secret Mission";
    }    

    if (Modo_3.isSelected() == true)
        modo= "Game Mode: Defend your territory";
    
    Modo_JuegoSel.setText(modo);       
  
    super.setTitle("Game Risk");
  
    //Menu principal
    Menu_Jugar.setText("Game");
    Item_Nueva_Partida.setText("New game");
    Item_Continuar.setText("Continue game");
    Item_Guardar.setText("Save Game");
    jMenuItem1.setText("Statistics");
    Item_Salir.setText("Exit");
    
    Menu_Idioma.setText("Tools");
    Idiomas.setText("Language Selection");
    Check_Esp.setText("Spanish");
    Check_Ing.setText("English");
    Habilitar_Mensaje.setText("Enable Message");
    
    Menu_Ayuda.setText("Help");
    Ayuda.setText("Help on how to play");
    
    //Botones del panel de abajo
    jLabel10.setText("Army Assigned Number:");
    jLabel11.setText("Number Army Unassigned:");
    jLabel12.setText("Occupied Territories:");
    Atacar_Ter.setText("Land Attack");
    Atacar_Ter.setToolTipText("Starts Attack");
    Trasladar_Ejer.setText("Move Armies");
    Trasladar_Ejer.setToolTipText("Moves Armies");        
    Info_Ter.setText("Information Territory");
    Info_Ter.setToolTipText("Displays information of the area selected");
    Ubicar_Ejer.setText("Locating Armies");
    Ubicar_Ejer.setToolTipText("Assigns Armies");
    Mision_Sec.setText("Status of Mission");
    Mision_Sec.setToolTipText("Shows the Secret Mission");
    Cancelar_Operacion.setText("Cancel Option");
    Terminar_Turno.setText("Finish Shift");
    Terminar_Turno.setToolTipText("Ends turn Player");
    
    //Segunda pestaa
    Canjear_cartas.setText("Redeem Letters");
    Comodin1.setText("Use wildcards 1");
    Comodin2.setText("Use wildcards 2");
    Cancelar_Seleccion.setText("Cancel");
    jLabel40.setText("Three Soldiers Army Elites equals 1");
    jLabel51.setText("Three Army Warrior equals 5");
    jLabel55.setText("Three Sparta equals 10 Army");
    jLabel59.setText("4 armies First Round");
    jLabel63.setText("Round redemption");
    CheckBox_Todo.setText("Show all letters");
    CheckBox_Canjeadas.setText("Letters exchanged");
    CheckBox_Nocanjeada.setText("No letters exchanged");
    
    //jDialog Ataque
    Ataque.setTitle("Attack Mode");
    jLabel1.setText("Select the area of origin and destination to launch attack");
    Ini_Ataque.setText("Launch Attack");
    Can_Ataque.setText("Cancel Attack");
    
    //jDialog Ataque 2
    Ataque1.setTitle("Attack Mode");
    jLabel42.setText("Attacker Territory");
    jLabel43.setText("Territory Attacked");
    jLabel44.setText("Army Number");
    jLabel45.setText("Army Number");
    jLabel48.setText("Number of attack to use as:");
    jLabel49.setText("Attack");
    jLabel50.setText("Defensive");
    Atacar.setText(" Attacking ");
    Cancelar_ataque.setText("Cancel Attack");
    
    //jDialog Ubicar Ejercitos
    Ubicar_Ejercito.setTitle("Select Territory");
    jLabel2.setText("Select your area to locate armies");
    Ini_Sele.setText("Start Selection");
    Can_Sele.setText("Cancel");
    
    //jDialog Ubicar Ejercitos 2
    Ubicar_Ejercitos2.setTitle("Allocation of the Army");
    jLabel13.setText("Selected Territory:");
    jLabel16.setText("Available armies:");
    jLabel14.setText("Assigned armies:");
    jLabel15.setText("Army to allocate:");
    Ub_Can.setText("Cancel");
    
    //jDialog Trasladar Ejercitos
    Trasladar_Ejercito.setTitle("Move Armies");
    jLabel3.setText("Select the area of origin and destination to move armies");
    Ini_Traslado.setText("Start Moving");
    Can_Traslado.setText("Cancel");
    
    //jDialog Trasladar Ejercitos 2
    Trasladar_Ejercito2.setTitle("Moving armies");
    jLabel35.setText("Source Selected Territory:");
    jLabel36.setText("Assigned armies:");
    jLabel37.setText("Army to Send:");
    jLabel38.setText("Selected territory Destination:");
    jLabel39.setText("Assigned armies:");
    Ub_Can1.setText("Cancel");
    
    //jDialog Info
    Info_Territorio.setTitle("Information Territory");
    jLabel4.setText("Select the area to display your information");
    Sel_Territorio.setText("Select Territory");
    Can_seleccion.setText("Cancel");
    
    //jDialog info 2
    Info_Territorio2.setTitle("Information from the territory");
    jLabel19.setText("Territory to which it belongs:");
    jLabel18.setText("Selected Territory:");
    jLabel20.setText("Continent to which it belongs:");
    jLabel21.setText("Army Assigned Number:");
    jLabel25.setText("Soldier's letter Territory:");
    jLabel22.setText("Neighboring territories:");
    
    //jDialog Nueva partida
    Nueva_Part.setTitle("New game");
    Modo_1.setText("Conquers the world");
    Modo_1.setToolTipText("Conquer all territories and lives");
    Modo_2.setText("Secret Mission");
    Modo_2.setToolTipText("Complete the mission and lives");            
    Modo_3.setText("Defend your territory");
    Modo_3.setToolTipText("Destroys your opponents and win");                        
    Ronda_juego.setText("Round Number:");
    jCheckBox1.setText("2 Players");
    jCheckBox2.setText("3 Players");
    jCheckBox3.setText("4 Players");
    jText_Jug_1.setText("Players 1");
    jText_Jug_2.setText("Players 2");
    jText_Jug_3.setText("Players 3");
    jText_Jug_4.setText("Players 4");     
    jLabel5.setText("Players 1");
    jLabel6.setText("Players 2");
    jLabel7.setText("Players 3");
    jLabel8.setText("Players 4");
    Aceptar_partida.setText("OK");
    Cancelar_partida.setText("Cancel");
    
    //jDialog Mision Secreta
    Mision_Secreta.setTitle("Status of Mission");
    jLabel28.setText("Mission number:");
    jLabel27.setText("Mission target:");
    jLabel29.setText("Target 1:");
    jLabel30.setText("Target 2:");            
    jLabel31.setText("Conquered territory of the target 1:");
    jLabel32.setText("Conquered territory of the target 2:");
    jLabel33.setText("of");
    jLabel34.setText("of");
    
    //jDialog Seleccionar Capital
    Selecionar_Capital.setTitle("Selected to Defend Territory");
    jLabel9.setText("Selected to defend the territory");
    
    //jDialog Mensaje
    Aviso.setText("Do not display warning messages");
    
    //jDialog Estadistica
    Estadistica.setTitle("Results");
    jLabel65.setText("Result of the game.");
    
}//GEN-LAST:event_Check_IngActionPerformed

    /**
    * @param args the command line arguments
    *
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Pantalla().setVisible(true);
            }
        });
    }*/

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton Aceptar_capital;
    private javax.swing.JButton Aceptar_partida;
    private javax.swing.JButton Atacar;
    private javax.swing.JButton Atacar_Ter;
    private javax.swing.JDialog Ataque;
    private javax.swing.JDialog Ataque1;
    private javax.swing.JCheckBox Aviso;
    private javax.swing.JMenuItem Ayuda;
    private javax.swing.JButton Boton_Ok;
    private javax.swing.JButton Boton_mision_Ok;
    private javax.swing.JButton Can_Ataque;
    private javax.swing.JButton Can_Sele;
    private javax.swing.JButton Can_Traslado;
    private javax.swing.JButton Can_seleccion;
    private javax.swing.JButton Cancelar_Operacion;
    private javax.swing.JButton Cancelar_Seleccion;
    private javax.swing.JButton Cancelar_ataque;
    private javax.swing.JButton Cancelar_partida;
    private javax.swing.JButton Canjear_cartas;
    private javax.swing.JTextField Carta_soldado;
    private javax.swing.JTable Cartas_Territorios;
    private javax.swing.JCheckBox CheckBox_Canjeadas;
    private javax.swing.JCheckBox CheckBox_Nocanjeada;
    private javax.swing.JCheckBox CheckBox_Todo;
    private javax.swing.JCheckBoxMenuItem Check_Esp;
    private javax.swing.JCheckBoxMenuItem Check_Ing;
    private javax.swing.JComboBox Combo_Ejercitos;
    private javax.swing.JComboBox Combo_Ejercitos1;
    private javax.swing.JComboBox Combo_Territorio;
    private javax.swing.JButton Comodin1;
    private javax.swing.JButton Comodin2;
    private javax.swing.JLabel Dado1_ata;
    private javax.swing.JLabel Dado1_def;
    private javax.swing.JLabel Dado2_ata;
    private javax.swing.JLabel Dado2_def;
    private javax.swing.JLabel Dado3_ata;
    private javax.swing.JLabel Ejer_1;
    private javax.swing.JLabel Ejer_10;
    private javax.swing.JLabel Ejer_11;
    private javax.swing.JLabel Ejer_12;
    private javax.swing.JLabel Ejer_13;
    private javax.swing.JLabel Ejer_14;
    private javax.swing.JLabel Ejer_15;
    private javax.swing.JLabel Ejer_16;
    private javax.swing.JLabel Ejer_17;
    private javax.swing.JLabel Ejer_18;
    private javax.swing.JLabel Ejer_19;
    private javax.swing.JLabel Ejer_2;
    private javax.swing.JLabel Ejer_20;
    private javax.swing.JLabel Ejer_21;
    private javax.swing.JLabel Ejer_22;
    private javax.swing.JLabel Ejer_23;
    private javax.swing.JLabel Ejer_24;
    private javax.swing.JLabel Ejer_25;
    private javax.swing.JLabel Ejer_26;
    private javax.swing.JLabel Ejer_27;
    private javax.swing.JLabel Ejer_28;
    private javax.swing.JLabel Ejer_29;
    private javax.swing.JLabel Ejer_3;
    private javax.swing.JLabel Ejer_30;
    private javax.swing.JLabel Ejer_31;
    private javax.swing.JLabel Ejer_32;
    private javax.swing.JLabel Ejer_33;
    private javax.swing.JLabel Ejer_34;
    private javax.swing.JLabel Ejer_35;
    private javax.swing.JLabel Ejer_36;
    private javax.swing.JLabel Ejer_37;
    private javax.swing.JLabel Ejer_38;
    private javax.swing.JLabel Ejer_39;
    private javax.swing.JLabel Ejer_4;
    private javax.swing.JLabel Ejer_40;
    private javax.swing.JLabel Ejer_41;
    private javax.swing.JLabel Ejer_42;
    private javax.swing.JLabel Ejer_5;
    private javax.swing.JLabel Ejer_6;
    private javax.swing.JLabel Ejer_7;
    private javax.swing.JLabel Ejer_8;
    private javax.swing.JLabel Ejer_9;
    private javax.swing.JLabel Ejer_Atacante;
    private javax.swing.JLabel Ejer_Defensor;
    private javax.swing.JLabel Espartano;
    private javax.swing.JDialog Estadistica;
    private javax.swing.ButtonGroup Filtros;
    private javax.swing.ButtonGroup Grupo_Jugadores;
    private javax.swing.ButtonGroup Grupo_boton;
    private javax.swing.ButtonGroup Grupo_modoJue;
    private javax.swing.JLabel Guerrera;
    private javax.swing.JCheckBoxMenuItem Habilitar_Mensaje;
    private javax.swing.JLabel Icon_Jug1;
    private javax.swing.JLabel Icon_Jug2;
    private javax.swing.JLabel Icon_Jug3;
    private javax.swing.JLabel Icon_Jug4;
    private javax.swing.JLabel Icon_jug1;
    private javax.swing.JLabel Icon_jug2;
    private javax.swing.JMenu Idiomas;
    private javax.swing.JButton Info_Ter;
    private javax.swing.JDialog Info_Territorio;
    private javax.swing.JDialog Info_Territorio2;
    private javax.swing.JButton Ini_Ataque;
    private javax.swing.JButton Ini_Sele;
    private javax.swing.JButton Ini_Traslado;
    private javax.swing.JMenuItem Item_Continuar;
    private javax.swing.JMenuItem Item_Guardar;
    private javax.swing.JMenuItem Item_Nueva_Partida;
    private javax.swing.JMenuItem Item_Salir;
    private javax.swing.JLabel Jug_1;
    private javax.swing.JLabel Jugador;
    private javax.swing.JLabel Jugador_Icon;
    private javax.swing.JLabel Jugador_Icon1;
    private javax.swing.JLabel Jugador_Nom;
    private javax.swing.JLabel Jugador_Nom1;
    private javax.swing.JLabel Jugador_icon;
    private javax.swing.JLabel Marca_1;
    private javax.swing.JLabel Marca_10;
    private javax.swing.JLabel Marca_11;
    private javax.swing.JLabel Marca_12;
    private javax.swing.JLabel Marca_13;
    private javax.swing.JLabel Marca_14;
    private javax.swing.JLabel Marca_15;
    private javax.swing.JLabel Marca_16;
    private javax.swing.JLabel Marca_17;
    private javax.swing.JLabel Marca_18;
    private javax.swing.JLabel Marca_19;
    private javax.swing.JLabel Marca_2;
    private javax.swing.JLabel Marca_20;
    private javax.swing.JLabel Marca_21;
    private javax.swing.JLabel Marca_22;
    private javax.swing.JLabel Marca_23;
    private javax.swing.JLabel Marca_24;
    private javax.swing.JLabel Marca_25;
    private javax.swing.JLabel Marca_26;
    private javax.swing.JLabel Marca_27;
    private javax.swing.JLabel Marca_28;
    private javax.swing.JLabel Marca_29;
    private javax.swing.JLabel Marca_3;
    private javax.swing.JLabel Marca_30;
    private javax.swing.JLabel Marca_31;
    private javax.swing.JLabel Marca_32;
    private javax.swing.JLabel Marca_33;
    private javax.swing.JLabel Marca_34;
    private javax.swing.JLabel Marca_35;
    private javax.swing.JLabel Marca_36;
    private javax.swing.JLabel Marca_37;
    private javax.swing.JLabel Marca_38;
    private javax.swing.JLabel Marca_39;
    private javax.swing.JLabel Marca_4;
    private javax.swing.JLabel Marca_40;
    private javax.swing.JLabel Marca_41;
    private javax.swing.JLabel Marca_42;
    private javax.swing.JLabel Marca_5;
    private javax.swing.JLabel Marca_6;
    private javax.swing.JLabel Marca_7;
    private javax.swing.JLabel Marca_8;
    private javax.swing.JLabel Marca_9;
    private javax.swing.JDialog Mensaje;
    private javax.swing.JMenu Menu_Ayuda;
    private javax.swing.JMenu Menu_Idioma;
    private javax.swing.JMenu Menu_Jugar;
    private javax.swing.JMenuBar Menu_Principal;
    private javax.swing.JButton Mision_Sec;
    private javax.swing.JDialog Mision_Secreta;
    private javax.swing.JCheckBox Modo_1;
    private javax.swing.JCheckBox Modo_2;
    private javax.swing.JCheckBox Modo_3;
    private javax.swing.JLabel Modo_JuegoSel;
    private javax.swing.JLabel Modo_Seleccionado;
    private javax.swing.JLabel Nom_jug;
    private javax.swing.JLabel Nom_jug1;
    private javax.swing.JLabel Nom_jug2;
    private javax.swing.JDialog Nueva_Part;
    private javax.swing.JButton OK_Info2;
    private javax.swing.JLayeredPane Panel_Botones;
    private javax.swing.JPanel Panel_Filtros;
    private javax.swing.JPanel Panel_Opciones;
    private javax.swing.JTabbedPane Panel_Tablero;
    private javax.swing.JLabel Ronda_juego;
    private javax.swing.JScrollPane Scroll_Mensaje;
    private javax.swing.JLabel Sel_Destino;
    private javax.swing.JLabel Sel_Origen;
    private javax.swing.JButton Sel_Territorio;
    private javax.swing.JDialog Selecionar_Capital;
    private javax.swing.JLabel Soldado_Elite;
    private javax.swing.JButton Terminar_Turno;
    private javax.swing.JLabel Territorio_def;
    private javax.swing.JTextField Text_Comp_Obj1;
    private javax.swing.JTextField Text_Comp_Obj2;
    private javax.swing.JTextField Text_EjerAsig;
    private javax.swing.JTextField Text_EjerSinAsig;
    private javax.swing.JTextField Text_NumMision;
    private javax.swing.JTextField Text_NumTerritorio1;
    private javax.swing.JTextField Text_NumTerritorio2;
    private javax.swing.JTextField Text_Objetivo1;
    private javax.swing.JTextField Text_Objetivo2;
    private javax.swing.JTextField Text_Objetivos;
    private javax.swing.JTextField Text_TerriOcu;
    private javax.swing.JButton Trasladar_Ejer;
    private javax.swing.JDialog Trasladar_Ejercito;
    private javax.swing.JDialog Trasladar_Ejercito2;
    private javax.swing.JButton Ub_Can;
    private javax.swing.JButton Ub_Can1;
    private javax.swing.JButton Ub_Ok;
    private javax.swing.JButton Ub_Ok1;
    private javax.swing.JButton Ubicar_Ejer;
    private javax.swing.JDialog Ubicar_Ejercito;
    private javax.swing.JDialog Ubicar_Ejercitos2;
    private javax.swing.JLabel fondo;
    private javax.swing.JLabel fondo2;
    private javax.swing.JButton jButton1;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JCheckBox jCheckBox2;
    private javax.swing.JCheckBox jCheckBox3;
    private javax.swing.JComboBox jComboBox_Dados;
    private javax.swing.JComboBox jComboBox_Ronda;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel36;
    private javax.swing.JLabel jLabel37;
    private javax.swing.JLabel jLabel38;
    private javax.swing.JLabel jLabel39;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel40;
    private javax.swing.JLabel jLabel41;
    private javax.swing.JLabel jLabel42;
    private javax.swing.JLabel jLabel43;
    private javax.swing.JLabel jLabel44;
    private javax.swing.JLabel jLabel45;
    private javax.swing.JLabel jLabel46;
    private javax.swing.JLabel jLabel47;
    private javax.swing.JLabel jLabel48;
    private javax.swing.JLabel jLabel49;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel50;
    private javax.swing.JLabel jLabel51;
    private javax.swing.JLabel jLabel52;
    private javax.swing.JLabel jLabel53;
    private javax.swing.JLabel jLabel54;
    private javax.swing.JLabel jLabel55;
    private javax.swing.JLabel jLabel56;
    private javax.swing.JLabel jLabel57;
    private javax.swing.JLabel jLabel58;
    private javax.swing.JLabel jLabel59;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel60;
    private javax.swing.JLabel jLabel61;
    private javax.swing.JLabel jLabel62;
    private javax.swing.JLabel jLabel63;
    private javax.swing.JLabel jLabel64;
    private javax.swing.JLabel jLabel65;
    private javax.swing.JLabel jLabel66;
    private javax.swing.JLabel jLabel67;
    private javax.swing.JLabel jLabel68;
    private javax.swing.JLabel jLabel69;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel jLabel_Ronda;
    private javax.swing.JLayeredPane jLayeredPane1;
    private javax.swing.JLayeredPane jLayeredPane2;
    private javax.swing.JLayeredPane jLayered_Tablero;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel_Cartas;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator10;
    private javax.swing.JSeparator jSeparator11;
    private javax.swing.JSeparator jSeparator12;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JSeparator jSeparator4;
    private javax.swing.JSeparator jSeparator5;
    private javax.swing.JSeparator jSeparator6;
    private javax.swing.JSeparator jSeparator7;
    private javax.swing.JSeparator jSeparator8;
    private javax.swing.JSeparator jSeparator9;
    private javax.swing.JTable jTabla_Vecino;
    private javax.swing.JTable jTable1;
    private javax.swing.JTextArea jTextArea1;
    private javax.swing.JTextField jTextContinente;
    private javax.swing.JTextField jTextEjer_Asig;
    private javax.swing.JTextField jTextNum_Vec;
    private javax.swing.JTextField jTextTer_Sel;
    private javax.swing.JTextField jText_Asig;
    private javax.swing.JTextField jText_Asig1;
    private javax.swing.JTextField jText_Asig2;
    private javax.swing.JTextField jText_Des;
    private javax.swing.JTextField jText_Disp;
    private javax.swing.JTextField jText_JugPer;
    private javax.swing.JTextField jText_Jug_1;
    private javax.swing.JTextField jText_Jug_2;
    private javax.swing.JTextField jText_Jug_3;
    private javax.swing.JTextField jText_Jug_4;
    private javax.swing.JTextField jText_Ori;
    private javax.swing.JTextField jText_Ter_Atacante;
    private javax.swing.JTextField jText_Ter_Defensor;
    private javax.swing.JTextField jText_Terri;
    private javax.swing.JTextField jText_Terri_Des;
    private javax.swing.JTextField jText_Terri_Ori;
    // End of variables declaration//GEN-END:variables

    @Override
    public void update(Observable o, Object arg) {
        String quien= (String) arg, total="";
        int com1= 0, com2= 0, res= 0, turno2= 0;
        Rectangle dimension;
     

        if (quien.compareTo("Estadistica") == 0){ 
            dimension= Estadistica.getBounds();
            jMenuItem1.setEnabled(true);
            
            switch (this.num_jug){
                case 3:
                    jLabel68.setEnabled(true);
                    break;
                case 4:
                    jLabel69.setEnabled(true);
                    break;                    
            }
            
            for (int i= 0; i < this.num_jug; i++){
                //Nombre Jugadores
                jTable1.setValueAt(this.jugadores[i].getNombre_jug(), i, 0);
                //Numero de Territorios
                jTable1.setValueAt(this.jugadores[i].getnumTerritorios(), i, 1);
                //Numero de cartas
                jTable1.setValueAt(this.jugadores[i].getNum_cartas(), i, 2);
                //Numero de ejercitos asignado
                jTable1.setValueAt(this.jugadores[i].getEjer_asignado(), i, 3);
                //Numero de ejercitos disponibles
                jTable1.setValueAt(this.jugadores[i].getN_ejercitos(), i, 4);
                
                if (this.juego.getModo_juego() == 2){
                    //Mision
                    jTable1.setValueAt(this.jugadores[i].getMision().getNom_misiones_esp(), i, 6);       
                }
                else
                    jTable1.setValueAt("No Disponible", i, 6);       
                
                if (this.juego.getModo_juego() == 3){
                    //Territorio a Defender
                    if (this.jugadores[i].isTerr_defe() == false)
                        jTable1.setValueAt(this.jugadores[i].getTerr_defender(), i, 5);       
                    else
                        jTable1.setValueAt("Perdido", i, 5);       
                }
                else
                    jTable1.setValueAt("No Disponible", i, 5);  
                
                if (this.jugadores[i].isEliminado() == true)
                    jTable1.setValueAt("Eliminado", i, 7);  
                else
                    jTable1.setValueAt("Jugando", i, 7);  

            }
            
            Estadistica.setSize(dimension.width, dimension.height);
            Estadistica.setLocation((this.ancho - dimension.width)/2,(this.alto - dimension.height)/2);
            Estadistica.setVisible(true);                    
            Atacar_Ter.setEnabled(false);
            Trasladar_Ejer.setEnabled(false);
            Ubicar_Ejer.setEnabled(false);
            Terminar_Turno.setEnabled(false);
            Canjear_cartas.setEnabled(false);
            Comodin1.setEnabled(false);
            Comodin2.setEnabled(false);
        }            
        
        if (quien.compareTo("Cartas Canjeadas") == 0){
            Rellenar_Tabla();
            res= Integer.parseInt(Text_EjerSinAsig.getText());
            
            if (Check_Esp.isSelected() == true)
                Mensaje("Cartas Canjeadas",this.jugadores[turno].getNombre_jug()+" aadidos "+
                        (this.jugadores[turno].getN_ejercitos() - res)+" nuevo ejercitos por haber canjeado cartas.");
            else
                Mensaje("Letters exchanged",this.jugadores[turno].getNombre_jug()+" added "+
                        (this.jugadores[turno].getN_ejercitos() - res)+" new army for having exchanged letters.");
            
                    
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
            
            Atacar_Ter.setEnabled(true);
            Trasladar_Ejer.setEnabled(true);
            Ubicar_Ejer.setEnabled(true);
            Terminar_Turno.setEnabled(true);
        }

                
        if (quien.compareTo("Canjear Cartas") == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Canjear Cartas",this.jugadores[turno].getNombre_jug()+" tiene ms de 6 carta," +
                        " debes canjear.");
            else
                Mensaje("Redeem Letters",this.jugadores[turno].getNombre_jug()+" has more than 6 letter must redeem.");
                
            Atacar_Ter.setEnabled(false);
            Trasladar_Ejer.setEnabled(false);
            Ubicar_Ejer.setEnabled(false);
            Terminar_Turno.setEnabled(false);
        }                
                
                
        if (quien.compareTo("Tienes Cartas") == 0){
            Rellenar_Tabla();
            if (Check_Esp.isSelected() == true)
                Mensaje("Tienes Cartas",this.jugadores[turno].getNombre_jug()+" tiene una nueva carta.");
            else
                Mensaje("Letters have",this.jugadores[turno].getNombre_jug()+" has a new letter.");                
        }                
        
        if (quien.compareTo("El Ganador Es") == 0){
            if (this.modo_juego == 3){
             while (this.jugadores[turno2].isTerr_defe() == true){
                if (turno2 < this.num_jug)
                    turno2++;
             }
            }
            else{
                turno2= 0;
                while (this.jugadores[turno2].isEliminado() == true){
                    if (turno2 < this.num_jug)
                        turno2++;
                }
            }
            
            turno= turno2;
            
            Nom_jug.setText(this.jugadores[turno].getNombre_jug());            
            switch (this.jugadores[turno].getId_jug()){
                    case 1: this.jug_icon= dir+"Jug_Snake.png";break;
                    case 2: this.jug_icon= dir+"Jug_Meryl.png";break;
                    case 3: this.jug_icon= dir+"Jug_Raiden.png";break;
                    case 4: this.jug_icon= dir+"Jug_Mantis.png";break;
            }

            Jug_1.setIcon(new javax.swing.ImageIcon(getClass().getResource(this.jug_icon)));            
    
            Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
            Rellenar_Tabla();
            if (Check_Esp.isSelected() == true)
                Mensaje("El Ganador es",this.jugadores[turno].getNombre_jug()+" ha sido el Ganador.");
            else
                Mensaje("The winner is",this.jugadores[turno].getNombre_jug()+" has Winner.");                
            
            Atacar_Ter.setEnabled(false);
            Trasladar_Ejer.setEnabled(false);
            Ubicar_Ejer.setEnabled(false);
            Terminar_Turno.setEnabled(false);
        }
                
                
        //El jugador atacante ha ganado el territorio
        if (quien.compareTo("Ganado_Territorio") == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Resultado Ataque",this.jugadores[turno].getNombre_jug()+" ha ganado " +
                            "el territorio " + this.destino.getNombre());
            else
                Mensaje("Staff Attack",this.jugadores[turno].getNombre_jug()+" won territory " + this.destino.getNombre());

            Actualizar(this.destino.getIdTerritorio(),this.destino.getPropietario(),this.destino);
            this.jugadores[this.usuario_sele].quitarTerritorios(this.destino);
            this.jugadores[turno].AddTerritorios(this.destino);
            
            if (this.modo_juego == 3){
                if (this.jugadores[this.usuario_sele].getTerr_defender().compareTo(this.destino.getNombre()) == 0){
                    if (this.jugadores[this.usuario_sele].isTerr_defe() == true){
                        if (Check_Esp.isSelected() == true)
                         Mensaje("Resultado Ataque",this.jugadores[this.usuario_sele].getNombre_jug()+" ha perdido " +
                                "el territorio a defender: " + this.destino.getNombre());
                        else
                         Mensaje("Staff Attack",this.jugadores[this.usuario_sele].getNombre_jug()+" lost territory to defend: " + this.destino.getNombre());
                            
                         Seleccionado(this.destino.getIdTerritorio(),0);
                         this.juego.quitar_capitales();
                    }                    
                }
                
                if (this.jugadores[turno].getTerr_defender().compareTo(this.destino.getNombre()) == 0){
                    if (this.jugadores[turno].isTerr_defe() == false){
                        if (Check_Esp.isSelected() == true)
                            Mensaje("Resultado Ataque",this.jugadores[turno].getNombre_jug()+" ha recuperado " +
                            "el territorio a defender: " + this.destino.getNombre());
                        else
                            Mensaje("Staff Attack",this.jugadores[turno].getNombre_jug()+" has recovered to defend the territory: " + this.destino.getNombre());
                            
                        Seleccionado(this.destino.getIdTerritorio(),2);
                        this.juego.dar_capitales();
                    }  
                }    
            }    

            if (this.jugadores[this.usuario_sele].getnumTerritorios() == 0){
                this.jugadores[this.usuario_sele].setEliminado(true);
                this.juego.quitar_jug_eliminado();
            }
            this.juego.Comprobar_Ganador();            
            this.ocupado[this.destino.getIdTerritorio() - 1]= this.destino.getPropietario();
            Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            jComboBox_Dados.setSelectedIndex(0);
            Ataque1.setVisible(false);
            
            //ASIGNAR CARTA*********************************************************
            if (this.noasig_carta == false){
                if (this.cartas != 0){
                    this.cartas--;
                    this.noasig_carta= true;
                    this.juego.Repartir_Carta(this.jugadores[turno]);
                }
            }
        }        
                
        
        //El jugador atacante ha perdido su territorio
        if (quien.compareTo("Perdido_Territorio") == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Resultado Ataque",this.jugadores[turno].getNombre_jug()+" ha perdido " +
                        "el territorio " + this.origen.getNombre());
            else
                Mensaje("Staff Attack",this.jugadores[turno].getNombre_jug()+" lost territory " + this.origen.getNombre());

            Actualizar(this.origen.getIdTerritorio(),this.origen.getPropietario(),this.origen);
            this.jugadores[turno].quitarTerritorios(this.origen);
            this.jugadores[this.usuario_sele].AddTerritorios(this.origen);
            
            if (this.modo_juego == 3){
                if (this.jugadores[turno].getTerr_defender().compareTo(this.origen.getNombre()) == 0){
                    if (this.jugadores[turno].isTerr_defe() == true){
                        if (Check_Esp.isSelected() == true)
                         Mensaje("Resultado Ataque",this.jugadores[turno].getNombre_jug()+" ha perdido " +
                                "el territorio a defender: " + this.origen.getNombre());
                        else
                         Mensaje("Staff Attack",this.jugadores[turno].getNombre_jug()+" lost territory to defend: " + this.origen.getNombre());
                            
                         Seleccionado(this.origen.getIdTerritorio(),0);
                         this.juego.quitar_capitales();
                    }                    
                }
                
                if (this.jugadores[this.usuario_sele].getTerr_defender().compareTo(this.origen.getNombre()) == 0){
                    if (this.jugadores[this.usuario_sele].isTerr_defe() == false){
                        if (Check_Esp.isSelected() == true)
                            Mensaje("Resultado Ataque",this.jugadores[this.usuario_sele].getNombre_jug()+" ha recuperado " +
                            "el territorio a defender: " + this.origen.getNombre());
                        else
                            Mensaje("Staff Attack",this.jugadores[this.usuario_sele].getNombre_jug()+" has recovered to defend the territory: " + this.origen.getNombre());
                            
                        Seleccionado(this.origen.getIdTerritorio(),2);
                        this.juego.dar_capitales();
                    }  
                }                
            }    
            
            if (this.jugadores[turno].getnumTerritorios() == 0){
                this.jugadores[turno].setEliminado(true);
                this.juego.quitar_jug_eliminado();
            }
            
            this.juego.Comprobar_Ganador();
            this.ocupado[this.origen.getIdTerritorio() - 1]= this.origen.getPropietario();
            Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            Ataque1.setVisible(false);
            jComboBox_Dados.setSelectedIndex(0);
        }        
                
        
        if (quien.compareTo("Resultado_Ataque") == 0){
            res= Integer.parseInt(Ejer_Atacante.getText());
            if (this.origen.getEjercitos() != this.ejer_ata){
                res= res - this.origen.getEjercitos();
                this.ejer_ata= this.origen.getEjercitos();
                if (Check_Esp.isSelected() == true)
                    Mensaje("Resultado Ataque",this.jugadores[turno].getNombre_jug()+" ha perdido " +
                            res+" ejercitos.");
                else
                    Mensaje("Staff Attack",this.jugadores[turno].getNombre_jug()+" lost " +
                            res+" armies.");
                    
            }    
            
            res= Integer.parseInt(Ejer_Defensor.getText());
            if (this.destino.getEjercitos() != this.ejer_def){
                this.ejer_def= this.destino.getEjercitos();
                res= res - this.destino.getEjercitos();
                if (Check_Esp.isSelected() == true)
                    Mensaje("Resultado Ataque",this.jugadores[this.usuario_sele].getNombre_jug()+" ha perdido " +
                            res+" ejercitos.");
                else
                    Mensaje("Staff Attack",this.jugadores[this.usuario_sele].getNombre_jug()+" lost " +
                            res+" armies.");
                    
            }   
            
            Ejer_Atacante.setText(this.origen.getEjercitos()+"");
            Ejer_Defensor.setText(this.destino.getEjercitos()+"");
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            if (this.origen.getEjercitos() != 0)
                Actualizar(this.origen.getIdTerritorio(),this.jugadores[turno].getId_jug(),this.origen);
            
            if (this.destino.getEjercitos() != 0)
                Actualizar(this.destino.getIdTerritorio(),this.jugadores[this.usuario_sele].getId_jug(),this.destino);            
            
            jComboBox_Dados.setSelectedIndex(0);
        }        
                
        
        if (quien.compareTo("Resultado_Dados") == 0){
            Dado1_ata.setText(this.dados.getValorCara_ataq1()+"");
            Dado2_ata.setText(this.dados.getValorCara_ataq2()+"");
            Dado3_ata.setText(this.dados.getValorCara_ataq3()+"");
            Dado1_def.setText(this.dados.getValorCara_def1()+"");
            Dado2_def.setText(this.dados.getValorCara_def2()+"");
        }        
                
        
        if (quien.compareTo("Traslado_Tropas") == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Traslado Realizado",this.jugadores[turno].getNombre_jug()+" trasladado " +
                        Combo_Ejercitos1.getSelectedIndex() + " ejercito al territorio " + this.destino.getNombre());
            else
                Mensaje("Transfer Done",this.jugadores[turno].getNombre_jug()+" moved " +
                        Combo_Ejercitos1.getSelectedIndex() + " army to the territory " + this.destino.getNombre());
                
            Actualizar(this.origen.getIdTerritorio(),this.jugadores[turno].getId_jug(),this.origen);
            Actualizar(this.destino.getIdTerritorio(),this.jugadores[turno].getId_jug(),this.destino);
        }        

                
        if (quien.compareTo("Automatico") == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Asignacin Automatica",this.jugadores[turno].getNombre_jug()+" asignado " +
                        "un ejercito por territorio en modo automatico.");
            else
                Mensaje("Automatic allocation",this.jugadores[turno].getNombre_jug()+" Army assigned a territory in automatic mode.");
                
            for (int i= 0; i < this.jugadores[turno].getnumTerritorios(); i++)
                Actualizar(this.jugadores[turno].getTerritorios_One(i).getIdTerritorio(),this.jugadores[turno].getId_jug(),this.jugadores[turno].getTerritorios_One(i));
            
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
        }        

                
        if (quien.compareTo("No Automatico") == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Asignacin Automatica",this.jugadores[turno].getNombre_jug()+" no puedes asignar " +
                        "ejercitos en modo automatico por no tener suficientes ejercitos.");
            else
                Mensaje("Automatic allocation",this.jugadores[turno].getNombre_jug()+" armies can not assign automatic mode by not having enough armies.");
                
        }        
                
        
        if (quien.compareTo("No Asignado") == 0){
            if (Check_Esp.isSelected() == true)
                Mensaje("Territorio Sin Asignar",this.jugadores[turno].getNombre_jug()+" falta asignar " +
                        "ejercitos a territorios.");
            else
                Mensaje("Unassigned Territory",this.jugadores[turno].getNombre_jug()+" lack armies assigned to territories.");
                
        }        
        
        if (quien.compareTo("Ganador") == 0){ 
            if (Check_Esp.isSelected() == true)
                Mensaje("El Ganador es",this.jugadores[turno].getNombre_jug()+" ha sido el Ganador.");
            else
                Mensaje("The winner is",this.jugadores[turno].getNombre_jug()+" was the winner.");                
            
            Atacar_Ter.setEnabled(false);
            Trasladar_Ejer.setEnabled(false);
            //Info_Ter.setEnabled(false);
            Ubicar_Ejer.setEnabled(false);
            Terminar_Turno.setEnabled(false);
            Canjear_cartas.setEnabled(false);
            Comodin1.setEnabled(false);
            Comodin2.setEnabled(false);
        }    
        
        
        if (quien.compareTo("Eliminado") == 0) {
            if (Check_Esp.isSelected() == true)
                Mensaje("Jugador Eliminado",this.jugadores[turno].getNombre_jug()+" ha sido eliminado.");
            else
                Mensaje("Player Dropped",this.jugadores[turno].getNombre_jug()+" has been removed.");

            if (this.jugadores[turno].getComodin1() == true && this.jugadores[turno].getComodin2() == true)
                this.asig_com= 2;
            else
                if (this.jugadores[turno].getComodin1() == true)
                    this.asig_com++;
                else
                    if (this.jugadores[turno].getComodin2() == true)
                        this.asig_com++;
        }
                
        
        if (quien.compareTo("Estado") == 0){
            Text_NumMision.setText(this.jugadores[turno].getMision().getNum_mision()+"");
            if (Check_Esp.isSelected() == true)
                Text_Objetivos.setText(this.jugadores[turno].getMision().getNom_misiones_esp());
            else
                Text_Objetivos.setText(this.jugadores[turno].getMision().getNom_misiones_ing());
            
            Text_Objetivo1.setText(this.jugadores[turno].getMision().getNom_cont1());
            Text_Objetivo2.setText(this.jugadores[turno].getMision().getNom_cont2());
            Text_Comp_Obj1.setText(this.jugadores[turno].getMision().getCompletado_obj1()+"");
            Text_Comp_Obj2.setText(this.jugadores[turno].getMision().getCompletado_obj2()+"");        
            Text_NumTerritorio1.setText(this.jugadores[turno].getMision().getNum_terr_obj1()+"");        
            Text_NumTerritorio2.setText(this.jugadores[turno].getMision().getNum_terr_obj2()+"");        
        }
        
        
        if (quien.compareTo("Ubicar Ejercitos") == 0) {
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
            this.Actualizar(this.origen.getIdTerritorio(), this.jugadores[turno].getId_jug(), this.origen);
        }
        
        if (quien.compareTo("Refuerzo") == 0){
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
            if (Check_Esp.isSelected() == true)
                Mensaje("Refuerzos de tropas",this.jugadores[turno].getNombre_jug()+" tienes ahora " 
                        +this.jugadores[turno].getN_ejercitos()+" ejercitos.");
            else
                Mensaje("Troop reinforcements",this.jugadores[turno].getNombre_jug()+" have now " 
                        +this.jugadores[turno].getN_ejercitos()+" armies.");
                
        }    
        
        if (quien.compareTo("Fin Turno") == 0){
            turno++;
            this.op= 0;
            this.noasig_carta= false;
            
            Modo_Seleccionado.setText("");

            if (turno >= num_jug){
                Atacar_Ter.setEnabled(true);
                turno= 0;
                if (this.juego.getRonda() != -1){
                    this.juego.Vuelta(this.ronda++);
                    if (this.ronda <= this.juego.getRonda())
                        if (Check_Esp.isSelected() == true)
                            jLabel_Ronda.setText("Ronda "+this.ronda+" de "+this.juego.getRonda());                    
                        else
                            jLabel_Ronda.setText("Round "+this.ronda+" of "+this.juego.getRonda());                    
                }

            }    
            
            while (this.jugadores[turno].isEliminado() == true){
                turno++;
                if (turno >= num_jug)
                    turno= 0;
            }

            Nom_jug.setText(this.jugadores[turno].getNombre_jug());            
            switch (this.jugadores[turno].getId_jug()){
                    case 1: this.jug_icon= dir+"Jug_Snake.png";break;
                    case 2: this.jug_icon= dir+"Jug_Meryl.png";break;
                    case 3: this.jug_icon= dir+"Jug_Raiden.png";break;
                    case 4: this.jug_icon= dir+"Jug_Mantis.png";break;
            }

            Jug_1.setIcon(new javax.swing.ImageIcon(getClass().getResource(this.jug_icon)));            
    
            Text_TerriOcu.setText(this.jugadores[turno].getnumTerritorios()+"");
            Text_EjerAsig.setText(this.jugadores[turno].getEjer_asignado()+"");
            Text_EjerSinAsig.setText(this.jugadores[turno].getN_ejercitos()+"");
            
            if (this.juego.getRonda() != -1){
                if (this.ronda <= this.juego.getRonda())
                    this.juego.Refuerzos(this.jugadores[turno]);
            }
            else
                this.juego.Refuerzos(this.jugadores[turno]);
            
            Rellenar_Tabla();
            
            if (this.modo_juego == 2){
                if (Check_Esp.isSelected() == true)
                    Territorio_def.setText("Objetivos: "+this.jugadores[turno].getMision().getNom_misiones_esp());
                else
                    Territorio_def.setText("Objectives: "+this.jugadores[turno].getMision().getNom_misiones_ing());
            }    
    
            if (this.modo_juego == 3){
                if (Check_Esp.isSelected() == true)
                    Territorio_def.setText("Territorio a Defender: "+this.jugadores[turno].getTerr_defender());
                else
                    Territorio_def.setText("To Defend Territory: "+this.jugadores[turno].getTerr_defender());
            }    
            
            
            if (this.jugadores[turno].NoAsignado() != true){
                //Atacar_Ter.setEnabled(true);
              if (this.juego.getRonda() != -1){
                if (this.ronda <= this.juego.getRonda())
                    Trasladar_Ejer.setEnabled(true);
              }
              else
                  Trasladar_Ejer.setEnabled(true);
            }
            else{
                Atacar_Ter.setEnabled(false);
                Trasladar_Ejer.setEnabled(false);
            }
            if (this.juego.getRonda() != -1){
                if (this.ronda <= this.juego.getRonda()){
                    Info_Ter.setEnabled(true);
                    Ubicar_Ejer.setEnabled(true);
                }
            }
            else {
                Info_Ter.setEnabled(true);
                Ubicar_Ejer.setEnabled(true);                
            }
        }
     
        Soldado_Elite.setVisible(false);
        Guerrera.setVisible(false);
        Espartano.setVisible(false); 
        this.carta1= 0;
        this.carta2= 0;
        this.carta3= 0;
        this.activar= 0;
        this.sel_carta= 0;
        jLabel60.setText("");
        jLabel61.setText("");
        jLabel62.setText("");

        
        com1= this.rnd_comodin1.nextInt(this.num_jug);
        com2= this.rnd_comodin2.nextInt(this.num_jug);

        switch (this.asig_com){
            case 1:
                    if (this.jugadores[com1].isEliminado() == false)
                        if (this.jugadores[com1].getComodin1() == false){
                            this.jugadores[com1].setComodin1(true);
                            if (Check_Esp.isSelected() == true)
                                Mensaje("Asignacin de Comodin.",this.jugadores[com1].getNombre_jug()+
                                        " le ha tocado el comodin 1.");
                            else
                                Mensaje("Allocation of wildcards.",this.jugadores[com1].getNombre_jug()+
                                        " he has touched the wildcard 1.");
                                
                            this.asig_com--;
                        }    
                    break;
            case 2:    
                    if (this.jugadores[com1].isEliminado() == false)
                        if (this.jugadores[com1].getComodin1() == false){
                            this.jugadores[com1].setComodin1(true);
                            if (Check_Esp.isSelected() == true)
                                Mensaje("Asignacin de Comodin.",this.jugadores[com1].getNombre_jug()+
                                        " le ha tocado el comodin 1.");
                            else
                                Mensaje("Allocation of wildcards.",this.jugadores[com1].getNombre_jug()+
                                        " he has touched the wildcard 1.");
                            this.asig_com--;
                        }    

                    if (this.jugadores[com2].isEliminado() == false)
                        if (this.jugadores[com2].getComodin2() == false){
                            this.jugadores[com2].setComodin2(true);
                            if (Check_Esp.isSelected() == true)
                                Mensaje("Asignacin de Comodin.",this.jugadores[com2].getNombre_jug()+
                                        " le ha tocado el comodin 2.");
                            else
                                Mensaje("Allocation of wildcards.",this.jugadores[com2].getNombre_jug()+
                                        " he has touched the wildcard 2.");
                                
                            this.asig_com--;
                        }
                    break;
        }
    }
}
